# frozen_string_literal: true
# Serializable const
class SerizableConstant < SerizableVariable
  # Override the type for constants, always integer
  #
  # @return [Type]
  def type
    Type.new('int')
  end

  # Serialize the constant
  def serialize
    serialize_primitive
  end

  # Deserialize the constant
  def deserialize
    @value = deserialize_primitive
  end
end
