# frozen_string_literal: true
namespace :language do
  desc 'Update the language files from the SteamKit repository.'
  task :update do
    Dir.mktmpdir do |path|
      `git clone https://github.com/SteamRE/SteamKit.git #{path} --depth=1`

      `cp -r #{path}/Resources/SteamLanguage/*.steamd #{Steamd.language_dir}/.`
    end
  end
end
