# Represents the EMsg enum
class EMsg
  # Data type of EMsg
  DATA_TYPE = 'int'
  # Constant INVALID for EMsg
  INVALID = 0
  # Constant MULTI for EMsg
  MULTI = 1
  # Constant BASE_GENERAL for EMsg
  BASE_GENERAL = 100
  # Constant GENERIC_REPLY for EMsg
  GENERIC_REPLY = 100
  # Constant DEST_JOB_FAILED for EMsg
  DEST_JOB_FAILED = 113
  # Constant ALERT for EMsg
  ALERT = 115
  # Constant SCID_REQUEST for EMsg
  SCID_REQUEST = 120
  # Constant SCID_RESPONSE for EMsg
  SCID_RESPONSE = 121
  # Constant JOB_HEARTBEAT for EMsg
  JOB_HEARTBEAT = 123
  # Constant HUB_CONNECT for EMsg
  HUB_CONNECT = 124
  # Constant SUBSCRIBE for EMsg
  SUBSCRIBE = 126
  # Constant ROUTE_MESSAGE for EMsg
  ROUTE_MESSAGE = 127
  # Constant REMOTE_SYS_ID for EMsg
  REMOTE_SYS_ID = 128
  # Constant AM_CREATE_ACCOUNT_RESPONSE for EMsg
  AM_CREATE_ACCOUNT_RESPONSE = 129
  # Constant WG_REQUEST for EMsg
  WG_REQUEST = 130
  # Constant WG_RESPONSE for EMsg
  WG_RESPONSE = 131
  # Constant KEEP_ALIVE for EMsg
  KEEP_ALIVE = 132
  # Constant WEB_API_JOB_REQUEST for EMsg
  WEB_API_JOB_REQUEST = 133
  # Constant WEB_API_JOB_RESPONSE for EMsg
  WEB_API_JOB_RESPONSE = 134
  # Constant CLIENT_SESSION_START for EMsg
  CLIENT_SESSION_START = 135
  # Constant CLIENT_SESSION_END for EMsg
  CLIENT_SESSION_END = 136
  # Constant CLIENT_SESSION_UPDATE_AUTH_TICKET for EMsg
  CLIENT_SESSION_UPDATE_AUTH_TICKET = 137
  # Constant STATS_DEPRECATED for EMsg
  STATS_DEPRECATED = 138
  # Constant PING for EMsg
  PING = 139
  # Constant PING_RESPONSE for EMsg
  PING_RESPONSE = 140
  # Constant STATS for EMsg
  STATS = 141
  # Constant REQUEST_FULL_STATS_BLOCK for EMsg
  REQUEST_FULL_STATS_BLOCK = 142
  # Constant LOAD_DBO_CACHE_ITEM for EMsg
  LOAD_DBO_CACHE_ITEM = 143
  # Constant LOAD_DBO_CACHE_ITEM_RESPONSE for EMsg
  LOAD_DBO_CACHE_ITEM_RESPONSE = 144
  # Constant INVALIDATE_DBO_CACHE_ITEMS for EMsg
  INVALIDATE_DBO_CACHE_ITEMS = 145
  # Constant SERVICE_METHOD for EMsg
  SERVICE_METHOD = 146
  # Constant SERVICE_METHOD_RESPONSE for EMsg
  SERVICE_METHOD_RESPONSE = 147
  # Constant BASE_SHELL for EMsg
  BASE_SHELL = 200
  # Constant ASSIGN_SYS_ID for EMsg
  ASSIGN_SYS_ID = 200
  # Constant EXIT for EMsg
  EXIT = 201
  # Constant DIR_REQUEST for EMsg
  DIR_REQUEST = 202
  # Constant DIR_RESPONSE for EMsg
  DIR_RESPONSE = 203
  # Constant ZIP_REQUEST for EMsg
  ZIP_REQUEST = 204
  # Constant ZIP_RESPONSE for EMsg
  ZIP_RESPONSE = 205
  # Constant UPDATE_RECORD_RESPONSE for EMsg
  UPDATE_RECORD_RESPONSE = 215
  # Constant UPDATE_CREDIT_CARD_REQUEST for EMsg
  UPDATE_CREDIT_CARD_REQUEST = 221
  # Constant UPDATE_USER_BAN_RESPONSE for EMsg
  UPDATE_USER_BAN_RESPONSE = 225
  # Constant PREPARE_TO_EXIT for EMsg
  PREPARE_TO_EXIT = 226
  # Constant CONTENT_DESCRIPTION_UPDATE for EMsg
  CONTENT_DESCRIPTION_UPDATE = 227
  # Constant TEST_RESET_SERVER for EMsg
  TEST_RESET_SERVER = 228
  # Constant UNIVERSE_CHANGED for EMsg
  UNIVERSE_CHANGED = 229
  # Constant SHELL_CONFIG_INFO_UPDATE for EMsg
  SHELL_CONFIG_INFO_UPDATE = 230
  # Constant REQUEST_WINDOWS_EVENT_LOG_ENTRIES for EMsg
  REQUEST_WINDOWS_EVENT_LOG_ENTRIES = 233
  # Constant PROVIDE_WINDOWS_EVENT_LOG_ENTRIES for EMsg
  PROVIDE_WINDOWS_EVENT_LOG_ENTRIES = 234
  # Constant SHELL_SEARCH_LOGS for EMsg
  SHELL_SEARCH_LOGS = 235
  # Constant SHELL_SEARCH_LOGS_RESPONSE for EMsg
  SHELL_SEARCH_LOGS_RESPONSE = 236
  # Constant SHELL_CHECK_WINDOWS_UPDATES for EMsg
  SHELL_CHECK_WINDOWS_UPDATES = 237
  # Constant SHELL_CHECK_WINDOWS_UPDATES_RESPONSE for EMsg
  SHELL_CHECK_WINDOWS_UPDATES_RESPONSE = 238
  # Constant SHELL_FLUSH_USER_LICENSE_CACHE for EMsg
  SHELL_FLUSH_USER_LICENSE_CACHE = 239
  # Constant BASE_GM for EMsg
  BASE_GM = 300
  # Constant HEARTBEAT for EMsg
  HEARTBEAT = 300
  # Constant SHELL_FAILED for EMsg
  SHELL_FAILED = 301
  # Constant EXIT_SHELLS for EMsg
  EXIT_SHELLS = 307
  # Constant EXIT_SHELL for EMsg
  EXIT_SHELL = 308
  # Constant GRACEFUL_EXIT_SHELL for EMsg
  GRACEFUL_EXIT_SHELL = 309
  # Constant NOTIFY_WATCHDOG for EMsg
  NOTIFY_WATCHDOG = 314
  # Constant LICENSE_PROCESSING_COMPLETE for EMsg
  LICENSE_PROCESSING_COMPLETE = 316
  # Constant SET_TEST_FLAG for EMsg
  SET_TEST_FLAG = 317
  # Constant QUEUED_EMAILS_COMPLETE for EMsg
  QUEUED_EMAILS_COMPLETE = 318
  # Constant GM_REPORT_PHP_ERROR for EMsg
  GM_REPORT_PHP_ERROR = 319
  # Constant GMDRM_SYNC for EMsg
  GMDRM_SYNC = 320
  # Constant PHYSICAL_BOX_INVENTORY for EMsg
  PHYSICAL_BOX_INVENTORY = 321
  # Constant UPDATE_CONFIG_FILE for EMsg
  UPDATE_CONFIG_FILE = 322
  # Constant TEST_INIT_DB for EMsg
  TEST_INIT_DB = 323
  # Constant GM_WRITE_CONFIG_TO_SQL for EMsg
  GM_WRITE_CONFIG_TO_SQL = 324
  # Constant GM_LOAD_ACTIVATION_CODES for EMsg
  GM_LOAD_ACTIVATION_CODES = 325
  # Constant GM_QUEUE_FOR_FBS for EMsg
  GM_QUEUE_FOR_FBS = 326
  # Constant GM_SCHEMA_CONVERSION_RESULTS for EMsg
  GM_SCHEMA_CONVERSION_RESULTS = 327
  # Constant GM_SCHEMA_CONVERSION_RESULTS_RESPONSE for EMsg
  GM_SCHEMA_CONVERSION_RESULTS_RESPONSE = 328
  # Constant GM_WRITE_SHELL_FAILURE_TO_SQL for EMsg
  GM_WRITE_SHELL_FAILURE_TO_SQL = 329
  # Constant BASE_AIS for EMsg
  BASE_AIS = 400
  # Constant AIS_REFRESH_CONTENT_DESCRIPTION for EMsg
  AIS_REFRESH_CONTENT_DESCRIPTION = 401
  # Constant AIS_REQUEST_CONTENT_DESCRIPTION for EMsg
  AIS_REQUEST_CONTENT_DESCRIPTION = 402
  # Constant AIS_UPDATE_APP_INFO for EMsg
  AIS_UPDATE_APP_INFO = 403
  # Constant AIS_UPDATE_PACKAGE_INFO for EMsg
  AIS_UPDATE_PACKAGE_INFO = 404
  # Constant AIS_GET_PACKAGE_CHANGE_NUMBER for EMsg
  AIS_GET_PACKAGE_CHANGE_NUMBER = 405
  # Constant AIS_GET_PACKAGE_CHANGE_NUMBER_RESPONSE for EMsg
  AIS_GET_PACKAGE_CHANGE_NUMBER_RESPONSE = 406
  # Constant AIS_APP_INFO_TABLE_CHANGED for EMsg
  AIS_APP_INFO_TABLE_CHANGED = 407
  # Constant AIS_UPDATE_PACKAGE_INFO_RESPONSE for EMsg
  AIS_UPDATE_PACKAGE_INFO_RESPONSE = 408
  # Constant AIS_CREATE_MARKETING_MESSAGE for EMsg
  AIS_CREATE_MARKETING_MESSAGE = 409
  # Constant AIS_CREATE_MARKETING_MESSAGE_RESPONSE for EMsg
  AIS_CREATE_MARKETING_MESSAGE_RESPONSE = 410
  # Constant AIS_GET_MARKETING_MESSAGE for EMsg
  AIS_GET_MARKETING_MESSAGE = 411
  # Constant AIS_GET_MARKETING_MESSAGE_RESPONSE for EMsg
  AIS_GET_MARKETING_MESSAGE_RESPONSE = 412
  # Constant AIS_UPDATE_MARKETING_MESSAGE for EMsg
  AIS_UPDATE_MARKETING_MESSAGE = 413
  # Constant AIS_UPDATE_MARKETING_MESSAGE_RESPONSE for EMsg
  AIS_UPDATE_MARKETING_MESSAGE_RESPONSE = 414
  # Constant AIS_REQUEST_MARKETING_MESSAGE_UPDATE for EMsg
  AIS_REQUEST_MARKETING_MESSAGE_UPDATE = 415
  # Constant AIS_DELETE_MARKETING_MESSAGE for EMsg
  AIS_DELETE_MARKETING_MESSAGE = 416
  # Constant AIS_GET_MARKETING_TREATMENTS for EMsg
  AIS_GET_MARKETING_TREATMENTS = 419
  # Constant AIS_GET_MARKETING_TREATMENTS_RESPONSE for EMsg
  AIS_GET_MARKETING_TREATMENTS_RESPONSE = 420
  # Constant AIS_REQUEST_MARKETING_TREATMENT_UPDATE for EMsg
  AIS_REQUEST_MARKETING_TREATMENT_UPDATE = 421
  # Constant AIS_TEST_ADD_PACKAGE for EMsg
  AIS_TEST_ADD_PACKAGE = 422
  # Constant AI_GET_APP_GC_FLAGS for EMsg
  AI_GET_APP_GC_FLAGS = 423
  # Constant AI_GET_APP_GC_FLAGS_RESPONSE for EMsg
  AI_GET_APP_GC_FLAGS_RESPONSE = 424
  # Constant AI_GET_APP_LIST for EMsg
  AI_GET_APP_LIST = 425
  # Constant AI_GET_APP_LIST_RESPONSE for EMsg
  AI_GET_APP_LIST_RESPONSE = 426
  # Constant AI_GET_APP_INFO for EMsg
  AI_GET_APP_INFO = 427
  # Constant AI_GET_APP_INFO_RESPONSE for EMsg
  AI_GET_APP_INFO_RESPONSE = 428
  # Constant AIS_GET_COUPON_DEFINITION for EMsg
  AIS_GET_COUPON_DEFINITION = 429
  # Constant AIS_GET_COUPON_DEFINITION_RESPONSE for EMsg
  AIS_GET_COUPON_DEFINITION_RESPONSE = 430
  # Constant BASE_AM for EMsg
  BASE_AM = 500
  # Constant AM_UPDATE_USER_BAN_REQUEST for EMsg
  AM_UPDATE_USER_BAN_REQUEST = 504
  # Constant AM_ADD_LICENSE for EMsg
  AM_ADD_LICENSE = 505
  # Constant AM_BEGIN_PROCESSING_LICENSES for EMsg
  AM_BEGIN_PROCESSING_LICENSES = 507
  # Constant AM_SEND_SYSTEM_IM_TO_USER for EMsg
  AM_SEND_SYSTEM_IM_TO_USER = 508
  # Constant AM_EXTEND_LICENSE for EMsg
  AM_EXTEND_LICENSE = 509
  # Constant AM_ADD_MINUTES_TO_LICENSE for EMsg
  AM_ADD_MINUTES_TO_LICENSE = 510
  # Constant AM_CANCEL_LICENSE for EMsg
  AM_CANCEL_LICENSE = 511
  # Constant AM_INIT_PURCHASE for EMsg
  AM_INIT_PURCHASE = 512
  # Constant AM_PURCHASE_RESPONSE for EMsg
  AM_PURCHASE_RESPONSE = 513
  # Constant AM_GET_FINAL_PRICE for EMsg
  AM_GET_FINAL_PRICE = 514
  # Constant AM_GET_FINAL_PRICE_RESPONSE for EMsg
  AM_GET_FINAL_PRICE_RESPONSE = 515
  # Constant AM_GET_LEGACY_GAME_KEY for EMsg
  AM_GET_LEGACY_GAME_KEY = 516
  # Constant AM_GET_LEGACY_GAME_KEY_RESPONSE for EMsg
  AM_GET_LEGACY_GAME_KEY_RESPONSE = 517
  # Constant AM_FIND_HUNG_TRANSACTIONS for EMsg
  AM_FIND_HUNG_TRANSACTIONS = 518
  # Constant AM_SET_ACCOUNT_TRUSTED_REQUEST for EMsg
  AM_SET_ACCOUNT_TRUSTED_REQUEST = 519
  # Constant AM_COMPLETE_PURCHASE for EMsg
  AM_COMPLETE_PURCHASE = 521
  # Constant AM_CANCEL_PURCHASE for EMsg
  AM_CANCEL_PURCHASE = 522
  # Constant AM_NEW_CHALLENGE for EMsg
  AM_NEW_CHALLENGE = 523
  # Constant AM_FIX_PENDING_PURCHASE_RESPONSE for EMsg
  AM_FIX_PENDING_PURCHASE_RESPONSE = 526
  # Constant AM_IS_USER_BANNED for EMsg
  AM_IS_USER_BANNED = 527
  # Constant AM_REGISTER_KEY for EMsg
  AM_REGISTER_KEY = 528
  # Constant AM_LOAD_ACTIVATION_CODES for EMsg
  AM_LOAD_ACTIVATION_CODES = 529
  # Constant AM_LOAD_ACTIVATION_CODES_RESPONSE for EMsg
  AM_LOAD_ACTIVATION_CODES_RESPONSE = 530
  # Constant AM_LOOKUP_KEY_RESPONSE for EMsg
  AM_LOOKUP_KEY_RESPONSE = 531
  # Constant AM_LOOKUP_KEY for EMsg
  AM_LOOKUP_KEY = 532
  # Constant AM_CHAT_CLEANUP for EMsg
  AM_CHAT_CLEANUP = 533
  # Constant AM_CLAN_CLEANUP for EMsg
  AM_CLAN_CLEANUP = 534
  # Constant AM_FIX_PENDING_REFUND for EMsg
  AM_FIX_PENDING_REFUND = 535
  # Constant AM_REVERSE_CHARGEBACK for EMsg
  AM_REVERSE_CHARGEBACK = 536
  # Constant AM_REVERSE_CHARGEBACK_RESPONSE for EMsg
  AM_REVERSE_CHARGEBACK_RESPONSE = 537
  # Constant AM_CLAN_CLEANUP_LIST for EMsg
  AM_CLAN_CLEANUP_LIST = 538
  # Constant AM_GET_LICENSES for EMsg
  AM_GET_LICENSES = 539
  # Constant AM_GET_LICENSES_RESPONSE for EMsg
  AM_GET_LICENSES_RESPONSE = 540
  # Constant ALLOW_USER_TO_PLAY_QUERY for EMsg
  ALLOW_USER_TO_PLAY_QUERY = 550
  # Constant ALLOW_USER_TO_PLAY_RESPONSE for EMsg
  ALLOW_USER_TO_PLAY_RESPONSE = 551
  # Constant AM_VERFIY_USER for EMsg
  AM_VERFIY_USER = 552
  # Constant AM_CLIENT_NOT_PLAYING for EMsg
  AM_CLIENT_NOT_PLAYING = 553
  # Constant CLIENT_REQUEST_FRIENDSHIP for EMsg
  CLIENT_REQUEST_FRIENDSHIP = 554
  # Constant AM_RELAY_PUBLISH_STATUS for EMsg
  AM_RELAY_PUBLISH_STATUS = 555
  # Constant AM_RESET_COMMUNITY_CONTENT for EMsg
  AM_RESET_COMMUNITY_CONTENT = 556
  # Constant AM_PRIME_PERSONA_STATE_CACHE for EMsg
  AM_PRIME_PERSONA_STATE_CACHE = 557
  # Constant AM_ALLOW_USER_CONTENT_QUERY for EMsg
  AM_ALLOW_USER_CONTENT_QUERY = 558
  # Constant AM_ALLOW_USER_CONTENT_RESPONSE for EMsg
  AM_ALLOW_USER_CONTENT_RESPONSE = 559
  # Constant AM_INIT_PURCHASE_RESPONSE for EMsg
  AM_INIT_PURCHASE_RESPONSE = 560
  # Constant AM_REVOKE_PURCHASE_RESPONSE for EMsg
  AM_REVOKE_PURCHASE_RESPONSE = 561
  # Constant AM_LOCK_PROFILE for EMsg
  AM_LOCK_PROFILE = 562
  # Constant AM_REFRESH_GUEST_PASSES for EMsg
  AM_REFRESH_GUEST_PASSES = 563
  # Constant AM_INVITE_USER_TO_CLAN for EMsg
  AM_INVITE_USER_TO_CLAN = 564
  # Constant AM_ACKNOWLEDGE_CLAN_INVITE for EMsg
  AM_ACKNOWLEDGE_CLAN_INVITE = 565
  # Constant AM_GRANT_GUEST_PASSES for EMsg
  AM_GRANT_GUEST_PASSES = 566
  # Constant AM_CLAN_DATA_UPDATED for EMsg
  AM_CLAN_DATA_UPDATED = 567
  # Constant AM_RELOAD_ACCOUNT for EMsg
  AM_RELOAD_ACCOUNT = 568
  # Constant AM_CLIENT_CHAT_MSG_RELAY for EMsg
  AM_CLIENT_CHAT_MSG_RELAY = 569
  # Constant AM_CHAT_MULTI for EMsg
  AM_CHAT_MULTI = 570
  # Constant AM_CLIENT_CHAT_INVITE_RELAY for EMsg
  AM_CLIENT_CHAT_INVITE_RELAY = 571
  # Constant AM_CHAT_INVITE for EMsg
  AM_CHAT_INVITE = 572
  # Constant AM_CLIENT_JOIN_CHAT_RELAY for EMsg
  AM_CLIENT_JOIN_CHAT_RELAY = 573
  # Constant AM_CLIENT_CHAT_MEMBER_INFO_RELAY for EMsg
  AM_CLIENT_CHAT_MEMBER_INFO_RELAY = 574
  # Constant AM_PUBLISH_CHAT_MEMBER_INFO for EMsg
  AM_PUBLISH_CHAT_MEMBER_INFO = 575
  # Constant AM_CLIENT_ACCEPT_FRIEND_INVITE for EMsg
  AM_CLIENT_ACCEPT_FRIEND_INVITE = 576
  # Constant AM_CHAT_ENTER for EMsg
  AM_CHAT_ENTER = 577
  # Constant AM_CLIENT_PUBLISH_REMOVAL_FROM_SOURCE for EMsg
  AM_CLIENT_PUBLISH_REMOVAL_FROM_SOURCE = 578
  # Constant AM_CHAT_ACTION_RESULT for EMsg
  AM_CHAT_ACTION_RESULT = 579
  # Constant AM_FIND_ACCOUNTS for EMsg
  AM_FIND_ACCOUNTS = 580
  # Constant AM_FIND_ACCOUNTS_RESPONSE for EMsg
  AM_FIND_ACCOUNTS_RESPONSE = 581
  # Constant AM_SET_ACCOUNT_FLAGS for EMsg
  AM_SET_ACCOUNT_FLAGS = 584
  # Constant AM_CREATE_CLAN for EMsg
  AM_CREATE_CLAN = 586
  # Constant AM_CREATE_CLAN_RESPONSE for EMsg
  AM_CREATE_CLAN_RESPONSE = 587
  # Constant AM_GET_CLAN_DETAILS for EMsg
  AM_GET_CLAN_DETAILS = 588
  # Constant AM_GET_CLAN_DETAILS_RESPONSE for EMsg
  AM_GET_CLAN_DETAILS_RESPONSE = 589
  # Constant AM_SET_PERSONA_NAME for EMsg
  AM_SET_PERSONA_NAME = 590
  # Constant AM_SET_AVATAR for EMsg
  AM_SET_AVATAR = 591
  # Constant AM_AUTHENTICATE_USER for EMsg
  AM_AUTHENTICATE_USER = 592
  # Constant AM_AUTHENTICATE_USER_RESPONSE for EMsg
  AM_AUTHENTICATE_USER_RESPONSE = 593
  # Constant AM_GET_ACCOUNT_FRIENDS_COUNT for EMsg
  AM_GET_ACCOUNT_FRIENDS_COUNT = 594
  # Constant AM_GET_ACCOUNT_FRIENDS_COUNT_RESPONSE for EMsg
  AM_GET_ACCOUNT_FRIENDS_COUNT_RESPONSE = 595
  # Constant AMP2_P_INTRODUCER_MESSAGE for EMsg
  AMP2_P_INTRODUCER_MESSAGE = 596
  # Constant CLIENT_CHAT_ACTION for EMsg
  CLIENT_CHAT_ACTION = 597
  # Constant AM_CLIENT_CHAT_ACTION_RELAY for EMsg
  AM_CLIENT_CHAT_ACTION_RELAY = 598
  # Constant BASE_VS for EMsg
  BASE_VS = 600
  # Constant REQ_CHALLENGE for EMsg
  REQ_CHALLENGE = 600
  # Constant VAC_RESPONSE for EMsg
  VAC_RESPONSE = 601
  # Constant REQ_CHALLENGE_TEST for EMsg
  REQ_CHALLENGE_TEST = 602
  # Constant VS_MARK_CHEAT for EMsg
  VS_MARK_CHEAT = 604
  # Constant VS_ADD_CHEAT for EMsg
  VS_ADD_CHEAT = 605
  # Constant VS_PURGE_CODE_MOD_DB for EMsg
  VS_PURGE_CODE_MOD_DB = 606
  # Constant VS_GET_CHALLENGE_RESULTS for EMsg
  VS_GET_CHALLENGE_RESULTS = 607
  # Constant VS_CHALLENGE_RESULT_TEXT for EMsg
  VS_CHALLENGE_RESULT_TEXT = 608
  # Constant VS_REPORT_LINGERER for EMsg
  VS_REPORT_LINGERER = 609
  # Constant VS_REQUEST_MANAGED_CHALLENGE for EMsg
  VS_REQUEST_MANAGED_CHALLENGE = 610
  # Constant VS_LOAD_DB_FINISHED for EMsg
  VS_LOAD_DB_FINISHED = 611
  # Constant BASE_DRMS for EMsg
  BASE_DRMS = 625
  # Constant DRM_BUILD_BLOB_REQUEST for EMsg
  DRM_BUILD_BLOB_REQUEST = 628
  # Constant DRM_BUILD_BLOB_RESPONSE for EMsg
  DRM_BUILD_BLOB_RESPONSE = 629
  # Constant DRM_RESOLVE_GUID_REQUEST for EMsg
  DRM_RESOLVE_GUID_REQUEST = 630
  # Constant DRM_RESOLVE_GUID_RESPONSE for EMsg
  DRM_RESOLVE_GUID_RESPONSE = 631
  # Constant DRM_VARIABILITY_REPORT for EMsg
  DRM_VARIABILITY_REPORT = 633
  # Constant DRM_VARIABILITY_REPORT_RESPONSE for EMsg
  DRM_VARIABILITY_REPORT_RESPONSE = 634
  # Constant DRM_STABILITY_REPORT for EMsg
  DRM_STABILITY_REPORT = 635
  # Constant DRM_STABILITY_REPORT_RESPONSE for EMsg
  DRM_STABILITY_REPORT_RESPONSE = 636
  # Constant DRM_DETAILS_REPORT_REQUEST for EMsg
  DRM_DETAILS_REPORT_REQUEST = 637
  # Constant DRM_DETAILS_REPORT_RESPONSE for EMsg
  DRM_DETAILS_REPORT_RESPONSE = 638
  # Constant DRM_PROCESS_FILE for EMsg
  DRM_PROCESS_FILE = 639
  # Constant DRM_ADMIN_UPDATE for EMsg
  DRM_ADMIN_UPDATE = 640
  # Constant DRM_ADMIN_UPDATE_RESPONSE for EMsg
  DRM_ADMIN_UPDATE_RESPONSE = 641
  # Constant DRM_SYNC for EMsg
  DRM_SYNC = 642
  # Constant DRM_SYNC_RESPONSE for EMsg
  DRM_SYNC_RESPONSE = 643
  # Constant DRM_PROCESS_FILE_RESPONSE for EMsg
  DRM_PROCESS_FILE_RESPONSE = 644
  # Constant DRM_EMPTY_GUID_CACHE for EMsg
  DRM_EMPTY_GUID_CACHE = 645
  # Constant DRM_EMPTY_GUID_CACHE_RESPONSE for EMsg
  DRM_EMPTY_GUID_CACHE_RESPONSE = 646
  # Constant BASE_CS for EMsg
  BASE_CS = 650
  # Constant CS_USER_CONTENT_REQUEST for EMsg
  CS_USER_CONTENT_REQUEST = 652
  # Constant BASE_CLIENT for EMsg
  BASE_CLIENT = 700
  # Constant CLIENT_LOG_ON_DEPRECATED for EMsg
  CLIENT_LOG_ON_DEPRECATED = 701
  # Constant CLIENT_ANON_LOG_ON_DEPRECATED for EMsg
  CLIENT_ANON_LOG_ON_DEPRECATED = 702
  # Constant CLIENT_HEART_BEAT for EMsg
  CLIENT_HEART_BEAT = 703
  # Constant CLIENT_VAC_RESPONSE for EMsg
  CLIENT_VAC_RESPONSE = 704
  # Constant CLIENT_GAMES_PLAYED_OBSOLETE for EMsg
  CLIENT_GAMES_PLAYED_OBSOLETE = 705
  # Constant CLIENT_LOG_OFF for EMsg
  CLIENT_LOG_OFF = 706
  # Constant CLIENT_NO_UDP_CONNECTIVITY for EMsg
  CLIENT_NO_UDP_CONNECTIVITY = 707
  # Constant CLIENT_INFORM_OF_CREATE_ACCOUNT for EMsg
  CLIENT_INFORM_OF_CREATE_ACCOUNT = 708
  # Constant CLIENT_ACK_VAC_BAN for EMsg
  CLIENT_ACK_VAC_BAN = 709
  # Constant CLIENT_CONNECTION_STATS for EMsg
  CLIENT_CONNECTION_STATS = 710
  # Constant CLIENT_INIT_PURCHASE for EMsg
  CLIENT_INIT_PURCHASE = 711
  # Constant CLIENT_PING_RESPONSE for EMsg
  CLIENT_PING_RESPONSE = 712
  # Constant CLIENT_REMOVE_FRIEND for EMsg
  CLIENT_REMOVE_FRIEND = 714
  # Constant CLIENT_GAMES_PLAYED_NO_DATA_BLOB for EMsg
  CLIENT_GAMES_PLAYED_NO_DATA_BLOB = 715
  # Constant CLIENT_CHANGE_STATUS for EMsg
  CLIENT_CHANGE_STATUS = 716
  # Constant CLIENT_VAC_STATUS_RESPONSE for EMsg
  CLIENT_VAC_STATUS_RESPONSE = 717
  # Constant CLIENT_FRIEND_MSG for EMsg
  CLIENT_FRIEND_MSG = 718
  # Constant CLIENT_GAME_CONNECT_OBSOLETE for EMsg
  CLIENT_GAME_CONNECT_OBSOLETE = 719
  # Constant CLIENT_GAMES_PLAYED2_OBSOLETE for EMsg
  CLIENT_GAMES_PLAYED2_OBSOLETE = 720
  # Constant CLIENT_GAME_ENDED_OBSOLETE for EMsg
  CLIENT_GAME_ENDED_OBSOLETE = 721
  # Constant CLIENT_GET_FINAL_PRICE for EMsg
  CLIENT_GET_FINAL_PRICE = 722
  # Constant CLIENT_SYSTEM_IM for EMsg
  CLIENT_SYSTEM_IM = 726
  # Constant CLIENT_SYSTEM_IM_ACK for EMsg
  CLIENT_SYSTEM_IM_ACK = 727
  # Constant CLIENT_GET_LICENSES for EMsg
  CLIENT_GET_LICENSES = 728
  # Constant CLIENT_CANCEL_LICENSE for EMsg
  CLIENT_CANCEL_LICENSE = 729
  # Constant CLIENT_GET_LEGACY_GAME_KEY for EMsg
  CLIENT_GET_LEGACY_GAME_KEY = 730
  # Constant CLIENT_CONTENT_SERVER_LOG_ON_DEPRECATED for EMsg
  CLIENT_CONTENT_SERVER_LOG_ON_DEPRECATED = 731
  # Constant CLIENT_ACK_VAC_BAN2 for EMsg
  CLIENT_ACK_VAC_BAN2 = 732
  # Constant CLIENT_ACK_MESSAGE_BY_GID for EMsg
  CLIENT_ACK_MESSAGE_BY_GID = 735
  # Constant CLIENT_GET_PURCHASE_RECEIPTS for EMsg
  CLIENT_GET_PURCHASE_RECEIPTS = 736
  # Constant CLIENT_ACK_PURCHASE_RECEIPT for EMsg
  CLIENT_ACK_PURCHASE_RECEIPT = 737
  # Constant CLIENT_GAMES_PLAYED3_OBSOLETE for EMsg
  CLIENT_GAMES_PLAYED3_OBSOLETE = 738
  # Constant CLIENT_SEND_GUEST_PASS for EMsg
  CLIENT_SEND_GUEST_PASS = 739
  # Constant CLIENT_ACK_GUEST_PASS for EMsg
  CLIENT_ACK_GUEST_PASS = 740
  # Constant CLIENT_REDEEM_GUEST_PASS for EMsg
  CLIENT_REDEEM_GUEST_PASS = 741
  # Constant CLIENT_GAMES_PLAYED for EMsg
  CLIENT_GAMES_PLAYED = 742
  # Constant CLIENT_REGISTER_KEY for EMsg
  CLIENT_REGISTER_KEY = 743
  # Constant CLIENT_INVITE_USER_TO_CLAN for EMsg
  CLIENT_INVITE_USER_TO_CLAN = 744
  # Constant CLIENT_ACKNOWLEDGE_CLAN_INVITE for EMsg
  CLIENT_ACKNOWLEDGE_CLAN_INVITE = 745
  # Constant CLIENT_PURCHASE_WITH_MACHINE_ID for EMsg
  CLIENT_PURCHASE_WITH_MACHINE_ID = 746
  # Constant CLIENT_APP_USAGE_EVENT for EMsg
  CLIENT_APP_USAGE_EVENT = 747
  # Constant CLIENT_GET_GIFT_TARGET_LIST for EMsg
  CLIENT_GET_GIFT_TARGET_LIST = 748
  # Constant CLIENT_GET_GIFT_TARGET_LIST_RESPONSE for EMsg
  CLIENT_GET_GIFT_TARGET_LIST_RESPONSE = 749
  # Constant CLIENT_LOG_ON_RESPONSE for EMsg
  CLIENT_LOG_ON_RESPONSE = 751
  # Constant CLIENT_VAC_CHALLENGE for EMsg
  CLIENT_VAC_CHALLENGE = 753
  # Constant CLIENT_SET_HEARTBEAT_RATE for EMsg
  CLIENT_SET_HEARTBEAT_RATE = 755
  # Constant CLIENT_NOT_LOGGED_ON_DEPRECATED for EMsg
  CLIENT_NOT_LOGGED_ON_DEPRECATED = 756
  # Constant CLIENT_LOGGED_OFF for EMsg
  CLIENT_LOGGED_OFF = 757
  # Constant GS_APPROVE for EMsg
  GS_APPROVE = 758
  # Constant GS_DENY for EMsg
  GS_DENY = 759
  # Constant GS_KICK for EMsg
  GS_KICK = 760
  # Constant CLIENT_CREATE_ACCT_RESPONSE for EMsg
  CLIENT_CREATE_ACCT_RESPONSE = 761
  # Constant CLIENT_PURCHASE_RESPONSE for EMsg
  CLIENT_PURCHASE_RESPONSE = 763
  # Constant CLIENT_PING for EMsg
  CLIENT_PING = 764
  # Constant CLIENT_NOP for EMsg
  CLIENT_NOP = 765
  # Constant CLIENT_PERSONA_STATE for EMsg
  CLIENT_PERSONA_STATE = 766
  # Constant CLIENT_FRIENDS_LIST for EMsg
  CLIENT_FRIENDS_LIST = 767
  # Constant CLIENT_ACCOUNT_INFO for EMsg
  CLIENT_ACCOUNT_INFO = 768
  # Constant CLIENT_VAC_STATUS_QUERY for EMsg
  CLIENT_VAC_STATUS_QUERY = 770
  # Constant CLIENT_NEWS_UPDATE for EMsg
  CLIENT_NEWS_UPDATE = 771
  # Constant CLIENT_GAME_CONNECT_DENY for EMsg
  CLIENT_GAME_CONNECT_DENY = 773
  # Constant GS_STATUS_REPLY for EMsg
  GS_STATUS_REPLY = 774
  # Constant CLIENT_GET_FINAL_PRICE_RESPONSE for EMsg
  CLIENT_GET_FINAL_PRICE_RESPONSE = 775
  # Constant CLIENT_GAME_CONNECT_TOKENS for EMsg
  CLIENT_GAME_CONNECT_TOKENS = 779
  # Constant CLIENT_LICENSE_LIST for EMsg
  CLIENT_LICENSE_LIST = 780
  # Constant CLIENT_CANCEL_LICENSE_RESPONSE for EMsg
  CLIENT_CANCEL_LICENSE_RESPONSE = 781
  # Constant CLIENT_VAC_BAN_STATUS for EMsg
  CLIENT_VAC_BAN_STATUS = 782
  # Constant CLIENT_CM_LIST for EMsg
  CLIENT_CM_LIST = 783
  # Constant CLIENT_ENCRYPT_PCT for EMsg
  CLIENT_ENCRYPT_PCT = 784
  # Constant CLIENT_GET_LEGACY_GAME_KEY_RESPONSE for EMsg
  CLIENT_GET_LEGACY_GAME_KEY_RESPONSE = 785
  # Constant CLIENT_FAVORITES_LIST for EMsg
  CLIENT_FAVORITES_LIST = 786
  # Constant CS_USER_CONTENT_APPROVE for EMsg
  CS_USER_CONTENT_APPROVE = 787
  # Constant CS_USER_CONTENT_DENY for EMsg
  CS_USER_CONTENT_DENY = 788
  # Constant CLIENT_INIT_PURCHASE_RESPONSE for EMsg
  CLIENT_INIT_PURCHASE_RESPONSE = 789
  # Constant CLIENT_ADD_FRIEND for EMsg
  CLIENT_ADD_FRIEND = 791
  # Constant CLIENT_ADD_FRIEND_RESPONSE for EMsg
  CLIENT_ADD_FRIEND_RESPONSE = 792
  # Constant CLIENT_INVITE_FRIEND for EMsg
  CLIENT_INVITE_FRIEND = 793
  # Constant CLIENT_INVITE_FRIEND_RESPONSE for EMsg
  CLIENT_INVITE_FRIEND_RESPONSE = 794
  # Constant CLIENT_SEND_GUEST_PASS_RESPONSE for EMsg
  CLIENT_SEND_GUEST_PASS_RESPONSE = 795
  # Constant CLIENT_ACK_GUEST_PASS_RESPONSE for EMsg
  CLIENT_ACK_GUEST_PASS_RESPONSE = 796
  # Constant CLIENT_REDEEM_GUEST_PASS_RESPONSE for EMsg
  CLIENT_REDEEM_GUEST_PASS_RESPONSE = 797
  # Constant CLIENT_UPDATE_GUEST_PASSES_LIST for EMsg
  CLIENT_UPDATE_GUEST_PASSES_LIST = 798
  # Constant CLIENT_CHAT_MSG for EMsg
  CLIENT_CHAT_MSG = 799
  # Constant CLIENT_CHAT_INVITE for EMsg
  CLIENT_CHAT_INVITE = 800
  # Constant CLIENT_JOIN_CHAT for EMsg
  CLIENT_JOIN_CHAT = 801
  # Constant CLIENT_CHAT_MEMBER_INFO for EMsg
  CLIENT_CHAT_MEMBER_INFO = 802
  # Constant CLIENT_LOG_ON_WITH_CREDENTIALS_DEPRECATED for EMsg
  CLIENT_LOG_ON_WITH_CREDENTIALS_DEPRECATED = 803
  # Constant CLIENT_PASSWORD_CHANGE_RESPONSE for EMsg
  CLIENT_PASSWORD_CHANGE_RESPONSE = 805
  # Constant CLIENT_CHAT_ENTER for EMsg
  CLIENT_CHAT_ENTER = 807
  # Constant CLIENT_FRIEND_REMOVED_FROM_SOURCE for EMsg
  CLIENT_FRIEND_REMOVED_FROM_SOURCE = 808
  # Constant CLIENT_CREATE_CHAT for EMsg
  CLIENT_CREATE_CHAT = 809
  # Constant CLIENT_CREATE_CHAT_RESPONSE for EMsg
  CLIENT_CREATE_CHAT_RESPONSE = 810
  # Constant CLIENT_UPDATE_CHAT_METADATA for EMsg
  CLIENT_UPDATE_CHAT_METADATA = 811
  # Constant CLIENT_P2_P_INTRODUCER_MESSAGE for EMsg
  CLIENT_P2_P_INTRODUCER_MESSAGE = 813
  # Constant CLIENT_CHAT_ACTION_RESULT for EMsg
  CLIENT_CHAT_ACTION_RESULT = 814
  # Constant CLIENT_REQUEST_FRIEND_DATA for EMsg
  CLIENT_REQUEST_FRIEND_DATA = 815
  # Constant CLIENT_GET_USER_STATS for EMsg
  CLIENT_GET_USER_STATS = 818
  # Constant CLIENT_GET_USER_STATS_RESPONSE for EMsg
  CLIENT_GET_USER_STATS_RESPONSE = 819
  # Constant CLIENT_STORE_USER_STATS for EMsg
  CLIENT_STORE_USER_STATS = 820
  # Constant CLIENT_STORE_USER_STATS_RESPONSE for EMsg
  CLIENT_STORE_USER_STATS_RESPONSE = 821
  # Constant CLIENT_CLAN_STATE for EMsg
  CLIENT_CLAN_STATE = 822
  # Constant CLIENT_SERVICE_MODULE for EMsg
  CLIENT_SERVICE_MODULE = 830
  # Constant CLIENT_SERVICE_CALL for EMsg
  CLIENT_SERVICE_CALL = 831
  # Constant CLIENT_SERVICE_CALL_RESPONSE for EMsg
  CLIENT_SERVICE_CALL_RESPONSE = 832
  # Constant CLIENT_PACKAGE_INFO_REQUEST for EMsg
  CLIENT_PACKAGE_INFO_REQUEST = 833
  # Constant CLIENT_PACKAGE_INFO_RESPONSE for EMsg
  CLIENT_PACKAGE_INFO_RESPONSE = 834
  # Constant CLIENT_NAT_TRAVERSAL_STAT_EVENT for EMsg
  CLIENT_NAT_TRAVERSAL_STAT_EVENT = 839
  # Constant CLIENT_APP_INFO_REQUEST for EMsg
  CLIENT_APP_INFO_REQUEST = 840
  # Constant CLIENT_APP_INFO_RESPONSE for EMsg
  CLIENT_APP_INFO_RESPONSE = 841
  # Constant CLIENT_STEAM_USAGE_EVENT for EMsg
  CLIENT_STEAM_USAGE_EVENT = 842
  # Constant CLIENT_CHECK_PASSWORD for EMsg
  CLIENT_CHECK_PASSWORD = 845
  # Constant CLIENT_RESET_PASSWORD for EMsg
  CLIENT_RESET_PASSWORD = 846
  # Constant CLIENT_CHECK_PASSWORD_RESPONSE for EMsg
  CLIENT_CHECK_PASSWORD_RESPONSE = 848
  # Constant CLIENT_RESET_PASSWORD_RESPONSE for EMsg
  CLIENT_RESET_PASSWORD_RESPONSE = 849
  # Constant CLIENT_SESSION_TOKEN for EMsg
  CLIENT_SESSION_TOKEN = 850
  # Constant CLIENT_DRM_PROBLEM_REPORT for EMsg
  CLIENT_DRM_PROBLEM_REPORT = 851
  # Constant CLIENT_SET_IGNORE_FRIEND for EMsg
  CLIENT_SET_IGNORE_FRIEND = 855
  # Constant CLIENT_SET_IGNORE_FRIEND_RESPONSE for EMsg
  CLIENT_SET_IGNORE_FRIEND_RESPONSE = 856
  # Constant CLIENT_GET_APP_OWNERSHIP_TICKET for EMsg
  CLIENT_GET_APP_OWNERSHIP_TICKET = 857
  # Constant CLIENT_GET_APP_OWNERSHIP_TICKET_RESPONSE for EMsg
  CLIENT_GET_APP_OWNERSHIP_TICKET_RESPONSE = 858
  # Constant CLIENT_GET_LOBBY_LIST_RESPONSE for EMsg
  CLIENT_GET_LOBBY_LIST_RESPONSE = 860
  # Constant CLIENT_GET_LOBBY_METADATA for EMsg
  CLIENT_GET_LOBBY_METADATA = 861
  # Constant CLIENT_GET_LOBBY_METADATA_RESPONSE for EMsg
  CLIENT_GET_LOBBY_METADATA_RESPONSE = 862
  # Constant CLIENT_VTT_CERT for EMsg
  CLIENT_VTT_CERT = 863
  # Constant CLIENT_APP_INFO_UPDATE for EMsg
  CLIENT_APP_INFO_UPDATE = 866
  # Constant CLIENT_APP_INFO_CHANGES for EMsg
  CLIENT_APP_INFO_CHANGES = 867
  # Constant CLIENT_SERVER_LIST for EMsg
  CLIENT_SERVER_LIST = 880
  # Constant CLIENT_EMAIL_CHANGE_RESPONSE for EMsg
  CLIENT_EMAIL_CHANGE_RESPONSE = 891
  # Constant CLIENT_SECRET_QA_CHANGE_RESPONSE for EMsg
  CLIENT_SECRET_QA_CHANGE_RESPONSE = 892
  # Constant CLIENT_DRM_BLOB_REQUEST for EMsg
  CLIENT_DRM_BLOB_REQUEST = 896
  # Constant CLIENT_DRM_BLOB_RESPONSE for EMsg
  CLIENT_DRM_BLOB_RESPONSE = 897
  # Constant CLIENT_LOOKUP_KEY for EMsg
  CLIENT_LOOKUP_KEY = 898
  # Constant CLIENT_LOOKUP_KEY_RESPONSE for EMsg
  CLIENT_LOOKUP_KEY_RESPONSE = 899
  # Constant BASE_GAME_SERVER for EMsg
  BASE_GAME_SERVER = 900
  # Constant GS_DISCONNECT_NOTICE for EMsg
  GS_DISCONNECT_NOTICE = 901
  # Constant GS_STATUS for EMsg
  GS_STATUS = 903
  # Constant GS_USER_PLAYING for EMsg
  GS_USER_PLAYING = 905
  # Constant GS_STATUS2 for EMsg
  GS_STATUS2 = 906
  # Constant GS_STATUS_UPDATE_UNUSED for EMsg
  GS_STATUS_UPDATE_UNUSED = 907
  # Constant GS_SERVER_TYPE for EMsg
  GS_SERVER_TYPE = 908
  # Constant GS_PLAYER_LIST for EMsg
  GS_PLAYER_LIST = 909
  # Constant GS_GET_USER_ACHIEVEMENT_STATUS for EMsg
  GS_GET_USER_ACHIEVEMENT_STATUS = 910
  # Constant GS_GET_USER_ACHIEVEMENT_STATUS_RESPONSE for EMsg
  GS_GET_USER_ACHIEVEMENT_STATUS_RESPONSE = 911
  # Constant GS_GET_PLAY_STATS for EMsg
  GS_GET_PLAY_STATS = 918
  # Constant GS_GET_PLAY_STATS_RESPONSE for EMsg
  GS_GET_PLAY_STATS_RESPONSE = 919
  # Constant GS_GET_USER_GROUP_STATUS for EMsg
  GS_GET_USER_GROUP_STATUS = 920
  # Constant AM_GET_USER_GROUP_STATUS for EMsg
  AM_GET_USER_GROUP_STATUS = 921
  # Constant AM_GET_USER_GROUP_STATUS_RESPONSE for EMsg
  AM_GET_USER_GROUP_STATUS_RESPONSE = 922
  # Constant GS_GET_USER_GROUP_STATUS_RESPONSE for EMsg
  GS_GET_USER_GROUP_STATUS_RESPONSE = 923
  # Constant GS_GET_REPUTATION for EMsg
  GS_GET_REPUTATION = 936
  # Constant GS_GET_REPUTATION_RESPONSE for EMsg
  GS_GET_REPUTATION_RESPONSE = 937
  # Constant GS_ASSOCIATE_WITH_CLAN for EMsg
  GS_ASSOCIATE_WITH_CLAN = 938
  # Constant GS_ASSOCIATE_WITH_CLAN_RESPONSE for EMsg
  GS_ASSOCIATE_WITH_CLAN_RESPONSE = 939
  # Constant GS_COMPUTE_NEW_PLAYER_COMPATIBILITY for EMsg
  GS_COMPUTE_NEW_PLAYER_COMPATIBILITY = 940
  # Constant GS_COMPUTE_NEW_PLAYER_COMPATIBILITY_RESPONSE for EMsg
  GS_COMPUTE_NEW_PLAYER_COMPATIBILITY_RESPONSE = 941
  # Constant BASE_ADMIN for EMsg
  BASE_ADMIN = 1000
  # Constant ADMIN_CMD for EMsg
  ADMIN_CMD = 1000
  # Constant ADMIN_CMD_RESPONSE for EMsg
  ADMIN_CMD_RESPONSE = 1004
  # Constant ADMIN_LOG_LISTEN_REQUEST for EMsg
  ADMIN_LOG_LISTEN_REQUEST = 1005
  # Constant ADMIN_LOG_EVENT for EMsg
  ADMIN_LOG_EVENT = 1006
  # Constant LOG_SEARCH_REQUEST for EMsg
  LOG_SEARCH_REQUEST = 1007
  # Constant LOG_SEARCH_RESPONSE for EMsg
  LOG_SEARCH_RESPONSE = 1008
  # Constant LOG_SEARCH_CANCEL for EMsg
  LOG_SEARCH_CANCEL = 1009
  # Constant UNIVERSE_DATA for EMsg
  UNIVERSE_DATA = 1010
  # Constant REQUEST_STAT_HISTORY for EMsg
  REQUEST_STAT_HISTORY = 1014
  # Constant STAT_HISTORY for EMsg
  STAT_HISTORY = 1015
  # Constant ADMIN_PW_LOGON for EMsg
  ADMIN_PW_LOGON = 1017
  # Constant ADMIN_PW_LOGON_RESPONSE for EMsg
  ADMIN_PW_LOGON_RESPONSE = 1018
  # Constant ADMIN_SPEW for EMsg
  ADMIN_SPEW = 1019
  # Constant ADMIN_CONSOLE_TITLE for EMsg
  ADMIN_CONSOLE_TITLE = 1020
  # Constant ADMIN_GC_SPEW for EMsg
  ADMIN_GC_SPEW = 1023
  # Constant ADMIN_GC_COMMAND for EMsg
  ADMIN_GC_COMMAND = 1024
  # Constant ADMIN_GC_GET_COMMAND_LIST for EMsg
  ADMIN_GC_GET_COMMAND_LIST = 1025
  # Constant ADMIN_GC_GET_COMMAND_LIST_RESPONSE for EMsg
  ADMIN_GC_GET_COMMAND_LIST_RESPONSE = 1026
  # Constant FBS_CONNECTION_DATA for EMsg
  FBS_CONNECTION_DATA = 1027
  # Constant ADMIN_MSG_SPEW for EMsg
  ADMIN_MSG_SPEW = 1028
  # Constant BASE_FBS for EMsg
  BASE_FBS = 1100
  # Constant FBS_REQ_VERSION for EMsg
  FBS_REQ_VERSION = 1100
  # Constant FBS_VERSION_INFO for EMsg
  FBS_VERSION_INFO = 1101
  # Constant FBS_FORCE_REFRESH for EMsg
  FBS_FORCE_REFRESH = 1102
  # Constant FBS_FORCE_BOUNCE for EMsg
  FBS_FORCE_BOUNCE = 1103
  # Constant FBS_DEPLOY_PACKAGE for EMsg
  FBS_DEPLOY_PACKAGE = 1104
  # Constant FBS_DEPLOY_RESPONSE for EMsg
  FBS_DEPLOY_RESPONSE = 1105
  # Constant FBS_UPDATE_BOOTSTRAPPER for EMsg
  FBS_UPDATE_BOOTSTRAPPER = 1106
  # Constant FBS_SET_STATE for EMsg
  FBS_SET_STATE = 1107
  # Constant FBS_APPLY_OS_UPDATES for EMsg
  FBS_APPLY_OS_UPDATES = 1108
  # Constant FBS_RUN_CMD_SCRIPT for EMsg
  FBS_RUN_CMD_SCRIPT = 1109
  # Constant FBS_REBOOT_BOX for EMsg
  FBS_REBOOT_BOX = 1110
  # Constant FBS_SET_BIG_BROTHER_MODE for EMsg
  FBS_SET_BIG_BROTHER_MODE = 1111
  # Constant FBS_MINIDUMP_SERVER for EMsg
  FBS_MINIDUMP_SERVER = 1112
  # Constant FBS_SET_SHELL_COUNT_OBSOLETE for EMsg
  FBS_SET_SHELL_COUNT_OBSOLETE = 1113
  # Constant FBS_DEPLOY_HOT_FIX_PACKAGE for EMsg
  FBS_DEPLOY_HOT_FIX_PACKAGE = 1114
  # Constant FBS_DEPLOY_HOT_FIX_RESPONSE for EMsg
  FBS_DEPLOY_HOT_FIX_RESPONSE = 1115
  # Constant FBS_DOWNLOAD_HOT_FIX for EMsg
  FBS_DOWNLOAD_HOT_FIX = 1116
  # Constant FBS_DOWNLOAD_HOT_FIX_RESPONSE for EMsg
  FBS_DOWNLOAD_HOT_FIX_RESPONSE = 1117
  # Constant FBS_UPDATE_TARGET_CONFIG_FILE for EMsg
  FBS_UPDATE_TARGET_CONFIG_FILE = 1118
  # Constant FBS_APPLY_ACCOUNT_CRED for EMsg
  FBS_APPLY_ACCOUNT_CRED = 1119
  # Constant FBS_APPLY_ACCOUNT_CRED_RESPONSE for EMsg
  FBS_APPLY_ACCOUNT_CRED_RESPONSE = 1120
  # Constant FBS_SET_SHELL_COUNT for EMsg
  FBS_SET_SHELL_COUNT = 1121
  # Constant FBS_TERMINATE_SHELL for EMsg
  FBS_TERMINATE_SHELL = 1122
  # Constant FBS_QUERY_GM_FOR_REQUEST for EMsg
  FBS_QUERY_GM_FOR_REQUEST = 1123
  # Constant FBS_QUERY_GM_RESPONSE for EMsg
  FBS_QUERY_GM_RESPONSE = 1124
  # Constant FBS_TERMINATE_ZOMBIES for EMsg
  FBS_TERMINATE_ZOMBIES = 1125
  # Constant FBS_INFO_FROM_BOOTSTRAPPER for EMsg
  FBS_INFO_FROM_BOOTSTRAPPER = 1126
  # Constant FBS_REBOOT_BOX_RESPONSE for EMsg
  FBS_REBOOT_BOX_RESPONSE = 1127
  # Constant FBS_BOOTSTRAPPER_PACKAGE_REQUEST for EMsg
  FBS_BOOTSTRAPPER_PACKAGE_REQUEST = 1128
  # Constant FBS_BOOTSTRAPPER_PACKAGE_RESPONSE for EMsg
  FBS_BOOTSTRAPPER_PACKAGE_RESPONSE = 1129
  # Constant FBS_BOOTSTRAPPER_GET_PACKAGE_CHUNK for EMsg
  FBS_BOOTSTRAPPER_GET_PACKAGE_CHUNK = 1130
  # Constant FBS_BOOTSTRAPPER_GET_PACKAGE_CHUNK_RESPONSE for EMsg
  FBS_BOOTSTRAPPER_GET_PACKAGE_CHUNK_RESPONSE = 1131
  # Constant FBS_BOOTSTRAPPER_PACKAGE_TRANSFER_PROGRESS for EMsg
  FBS_BOOTSTRAPPER_PACKAGE_TRANSFER_PROGRESS = 1132
  # Constant FBS_RESTART_BOOTSTRAPPER for EMsg
  FBS_RESTART_BOOTSTRAPPER = 1133
  # Constant BASE_FILE_XFER for EMsg
  BASE_FILE_XFER = 1200
  # Constant FILE_XFER_REQUEST for EMsg
  FILE_XFER_REQUEST = 1200
  # Constant FILE_XFER_RESPONSE for EMsg
  FILE_XFER_RESPONSE = 1201
  # Constant FILE_XFER_DATA for EMsg
  FILE_XFER_DATA = 1202
  # Constant FILE_XFER_END for EMsg
  FILE_XFER_END = 1203
  # Constant FILE_XFER_DATA_ACK for EMsg
  FILE_XFER_DATA_ACK = 1204
  # Constant BASE_CHANNEL_AUTH for EMsg
  BASE_CHANNEL_AUTH = 1300
  # Constant CHANNEL_AUTH_CHALLENGE for EMsg
  CHANNEL_AUTH_CHALLENGE = 1300
  # Constant CHANNEL_AUTH_RESPONSE for EMsg
  CHANNEL_AUTH_RESPONSE = 1301
  # Constant CHANNEL_AUTH_RESULT for EMsg
  CHANNEL_AUTH_RESULT = 1302
  # Constant CHANNEL_ENCRYPT_REQUEST for EMsg
  CHANNEL_ENCRYPT_REQUEST = 1303
  # Constant CHANNEL_ENCRYPT_RESPONSE for EMsg
  CHANNEL_ENCRYPT_RESPONSE = 1304
  # Constant CHANNEL_ENCRYPT_RESULT for EMsg
  CHANNEL_ENCRYPT_RESULT = 1305
  # Constant BASE_BS for EMsg
  BASE_BS = 1400
  # Constant BS_PURCHASE_START for EMsg
  BS_PURCHASE_START = 1401
  # Constant BS_PURCHASE_RESPONSE for EMsg
  BS_PURCHASE_RESPONSE = 1402
  # Constant BS_SETTLE_NOVA for EMsg
  BS_SETTLE_NOVA = 1404
  # Constant BS_SETTLE_COMPLETE for EMsg
  BS_SETTLE_COMPLETE = 1406
  # Constant BS_BANNED_REQUEST for EMsg
  BS_BANNED_REQUEST = 1407
  # Constant BS_INIT_PAY_PAL_TXN for EMsg
  BS_INIT_PAY_PAL_TXN = 1408
  # Constant BS_INIT_PAY_PAL_TXN_RESPONSE for EMsg
  BS_INIT_PAY_PAL_TXN_RESPONSE = 1409
  # Constant BS_GET_PAY_PAL_USER_INFO for EMsg
  BS_GET_PAY_PAL_USER_INFO = 1410
  # Constant BS_GET_PAY_PAL_USER_INFO_RESPONSE for EMsg
  BS_GET_PAY_PAL_USER_INFO_RESPONSE = 1411
  # Constant BS_REFUND_TXN for EMsg
  BS_REFUND_TXN = 1413
  # Constant BS_REFUND_TXN_RESPONSE for EMsg
  BS_REFUND_TXN_RESPONSE = 1414
  # Constant BS_GET_EVENTS for EMsg
  BS_GET_EVENTS = 1415
  # Constant BS_CHASE_RFR_REQUEST for EMsg
  BS_CHASE_RFR_REQUEST = 1416
  # Constant BS_PAYMENT_INSTR_BAN for EMsg
  BS_PAYMENT_INSTR_BAN = 1417
  # Constant BS_PAYMENT_INSTR_BAN_RESPONSE for EMsg
  BS_PAYMENT_INSTR_BAN_RESPONSE = 1418
  # Constant BS_PROCESS_GC_REPORTS for EMsg
  BS_PROCESS_GC_REPORTS = 1419
  # Constant BS_PROCESS_PP_REPORTS for EMsg
  BS_PROCESS_PP_REPORTS = 1420
  # Constant BS_INIT_GC_BANK_XFER_TXN for EMsg
  BS_INIT_GC_BANK_XFER_TXN = 1421
  # Constant BS_INIT_GC_BANK_XFER_TXN_RESPONSE for EMsg
  BS_INIT_GC_BANK_XFER_TXN_RESPONSE = 1422
  # Constant BS_QUERY_GC_BANK_XFER_TXN for EMsg
  BS_QUERY_GC_BANK_XFER_TXN = 1423
  # Constant BS_QUERY_GC_BANK_XFER_TXN_RESPONSE for EMsg
  BS_QUERY_GC_BANK_XFER_TXN_RESPONSE = 1424
  # Constant BS_COMMIT_GC_TXN for EMsg
  BS_COMMIT_GC_TXN = 1425
  # Constant BS_QUERY_TRANSACTION_STATUS for EMsg
  BS_QUERY_TRANSACTION_STATUS = 1426
  # Constant BS_QUERY_TRANSACTION_STATUS_RESPONSE for EMsg
  BS_QUERY_TRANSACTION_STATUS_RESPONSE = 1427
  # Constant BS_QUERY_CB_ORDER_STATUS for EMsg
  BS_QUERY_CB_ORDER_STATUS = 1428
  # Constant BS_QUERY_CB_ORDER_STATUS_RESPONSE for EMsg
  BS_QUERY_CB_ORDER_STATUS_RESPONSE = 1429
  # Constant BS_RUN_RED_FLAG_REPORT for EMsg
  BS_RUN_RED_FLAG_REPORT = 1430
  # Constant BS_QUERY_PAYMENT_INST_USAGE for EMsg
  BS_QUERY_PAYMENT_INST_USAGE = 1431
  # Constant BS_QUERY_PAYMENT_INST_RESPONSE for EMsg
  BS_QUERY_PAYMENT_INST_RESPONSE = 1432
  # Constant BS_QUERY_TXN_EXTENDED_INFO for EMsg
  BS_QUERY_TXN_EXTENDED_INFO = 1433
  # Constant BS_QUERY_TXN_EXTENDED_INFO_RESPONSE for EMsg
  BS_QUERY_TXN_EXTENDED_INFO_RESPONSE = 1434
  # Constant BS_UPDATE_CONVERSION_RATES for EMsg
  BS_UPDATE_CONVERSION_RATES = 1435
  # Constant BS_PROCESS_US_BANK_REPORTS for EMsg
  BS_PROCESS_US_BANK_REPORTS = 1436
  # Constant BS_PURCHASE_RUN_FRAUD_CHECKS for EMsg
  BS_PURCHASE_RUN_FRAUD_CHECKS = 1437
  # Constant BS_PURCHASE_RUN_FRAUD_CHECKS_RESPONSE for EMsg
  BS_PURCHASE_RUN_FRAUD_CHECKS_RESPONSE = 1438
  # Constant BS_START_SHIPPING_JOBS for EMsg
  BS_START_SHIPPING_JOBS = 1439
  # Constant BS_QUERY_BANK_INFORMATION for EMsg
  BS_QUERY_BANK_INFORMATION = 1440
  # Constant BS_QUERY_BANK_INFORMATION_RESPONSE for EMsg
  BS_QUERY_BANK_INFORMATION_RESPONSE = 1441
  # Constant BS_VALIDATE_XSOLLA_SIGNATURE for EMsg
  BS_VALIDATE_XSOLLA_SIGNATURE = 1445
  # Constant BS_VALIDATE_XSOLLA_SIGNATURE_RESPONSE for EMsg
  BS_VALIDATE_XSOLLA_SIGNATURE_RESPONSE = 1446
  # Constant BS_QIWI_WALLET_INVOICE for EMsg
  BS_QIWI_WALLET_INVOICE = 1448
  # Constant BS_QIWI_WALLET_INVOICE_RESPONSE for EMsg
  BS_QIWI_WALLET_INVOICE_RESPONSE = 1449
  # Constant BS_UPDATE_INVENTORY_FROM_PRO_PACK for EMsg
  BS_UPDATE_INVENTORY_FROM_PRO_PACK = 1450
  # Constant BS_UPDATE_INVENTORY_FROM_PRO_PACK_RESPONSE for EMsg
  BS_UPDATE_INVENTORY_FROM_PRO_PACK_RESPONSE = 1451
  # Constant BS_SEND_SHIPPING_REQUEST for EMsg
  BS_SEND_SHIPPING_REQUEST = 1452
  # Constant BS_SEND_SHIPPING_REQUEST_RESPONSE for EMsg
  BS_SEND_SHIPPING_REQUEST_RESPONSE = 1453
  # Constant BS_GET_PRO_PACK_ORDER_STATUS for EMsg
  BS_GET_PRO_PACK_ORDER_STATUS = 1454
  # Constant BS_GET_PRO_PACK_ORDER_STATUS_RESPONSE for EMsg
  BS_GET_PRO_PACK_ORDER_STATUS_RESPONSE = 1455
  # Constant BS_CHECK_JOB_RUNNING for EMsg
  BS_CHECK_JOB_RUNNING = 1456
  # Constant BS_CHECK_JOB_RUNNING_RESPONSE for EMsg
  BS_CHECK_JOB_RUNNING_RESPONSE = 1457
  # Constant BS_RESET_PACKAGE_PURCHASE_RATE_LIMIT for EMsg
  BS_RESET_PACKAGE_PURCHASE_RATE_LIMIT = 1458
  # Constant BS_RESET_PACKAGE_PURCHASE_RATE_LIMIT_RESPONSE for EMsg
  BS_RESET_PACKAGE_PURCHASE_RATE_LIMIT_RESPONSE = 1459
  # Constant BS_UPDATE_PAYMENT_DATA for EMsg
  BS_UPDATE_PAYMENT_DATA = 1460
  # Constant BS_UPDATE_PAYMENT_DATA_RESPONSE for EMsg
  BS_UPDATE_PAYMENT_DATA_RESPONSE = 1461
  # Constant BS_GET_BILLING_ADDRESS for EMsg
  BS_GET_BILLING_ADDRESS = 1462
  # Constant BS_GET_BILLING_ADDRESS_RESPONSE for EMsg
  BS_GET_BILLING_ADDRESS_RESPONSE = 1463
  # Constant BS_GET_CREDIT_CARD_INFO for EMsg
  BS_GET_CREDIT_CARD_INFO = 1464
  # Constant BS_GET_CREDIT_CARD_INFO_RESPONSE for EMsg
  BS_GET_CREDIT_CARD_INFO_RESPONSE = 1465
  # Constant BS_REMOVE_EXPIRED_PAYMENT_DATA for EMsg
  BS_REMOVE_EXPIRED_PAYMENT_DATA = 1468
  # Constant BS_REMOVE_EXPIRED_PAYMENT_DATA_RESPONSE for EMsg
  BS_REMOVE_EXPIRED_PAYMENT_DATA_RESPONSE = 1469
  # Constant BS_CONVERT_TO_CURRENT_KEYS for EMsg
  BS_CONVERT_TO_CURRENT_KEYS = 1470
  # Constant BS_CONVERT_TO_CURRENT_KEYS_RESPONSE for EMsg
  BS_CONVERT_TO_CURRENT_KEYS_RESPONSE = 1471
  # Constant BS_INIT_PURCHASE for EMsg
  BS_INIT_PURCHASE = 1472
  # Constant BS_INIT_PURCHASE_RESPONSE for EMsg
  BS_INIT_PURCHASE_RESPONSE = 1473
  # Constant BS_COMPLETE_PURCHASE for EMsg
  BS_COMPLETE_PURCHASE = 1474
  # Constant BS_COMPLETE_PURCHASE_RESPONSE for EMsg
  BS_COMPLETE_PURCHASE_RESPONSE = 1475
  # Constant BS_PRUNE_CARD_USAGE_STATS for EMsg
  BS_PRUNE_CARD_USAGE_STATS = 1476
  # Constant BS_PRUNE_CARD_USAGE_STATS_RESPONSE for EMsg
  BS_PRUNE_CARD_USAGE_STATS_RESPONSE = 1477
  # Constant BS_STORE_BANK_INFORMATION for EMsg
  BS_STORE_BANK_INFORMATION = 1478
  # Constant BS_STORE_BANK_INFORMATION_RESPONSE for EMsg
  BS_STORE_BANK_INFORMATION_RESPONSE = 1479
  # Constant BS_VERIFY_POSA_KEY for EMsg
  BS_VERIFY_POSA_KEY = 1480
  # Constant BS_VERIFY_POSA_KEY_RESPONSE for EMsg
  BS_VERIFY_POSA_KEY_RESPONSE = 1481
  # Constant BS_REVERSE_REDEEM_POSA_KEY for EMsg
  BS_REVERSE_REDEEM_POSA_KEY = 1482
  # Constant BS_REVERSE_REDEEM_POSA_KEY_RESPONSE for EMsg
  BS_REVERSE_REDEEM_POSA_KEY_RESPONSE = 1483
  # Constant BS_QUERY_FIND_CREDIT_CARD for EMsg
  BS_QUERY_FIND_CREDIT_CARD = 1484
  # Constant BS_QUERY_FIND_CREDIT_CARD_RESPONSE for EMsg
  BS_QUERY_FIND_CREDIT_CARD_RESPONSE = 1485
  # Constant BS_STATUS_INQUIRY_POSA_KEY for EMsg
  BS_STATUS_INQUIRY_POSA_KEY = 1486
  # Constant BS_STATUS_INQUIRY_POSA_KEY_RESPONSE for EMsg
  BS_STATUS_INQUIRY_POSA_KEY_RESPONSE = 1487
  # Constant BS_VALIDATE_MO_PAY_SIGNATURE for EMsg
  BS_VALIDATE_MO_PAY_SIGNATURE = 1488
  # Constant BS_VALIDATE_MO_PAY_SIGNATURE_RESPONSE for EMsg
  BS_VALIDATE_MO_PAY_SIGNATURE_RESPONSE = 1489
  # Constant BS_MO_PAY_CONFIRM_PRODUCT_DELIVERY for EMsg
  BS_MO_PAY_CONFIRM_PRODUCT_DELIVERY = 1490
  # Constant BS_MO_PAY_CONFIRM_PRODUCT_DELIVERY_RESPONSE for EMsg
  BS_MO_PAY_CONFIRM_PRODUCT_DELIVERY_RESPONSE = 1491
  # Constant BS_GENERATE_MO_PAY_MD5 for EMsg
  BS_GENERATE_MO_PAY_MD5 = 1492
  # Constant BS_GENERATE_MO_PAY_MD5_RESPONSE for EMsg
  BS_GENERATE_MO_PAY_MD5_RESPONSE = 1493
  # Constant BS_BOA_COMPRA_CONFIRM_PRODUCT_DELIVERY for EMsg
  BS_BOA_COMPRA_CONFIRM_PRODUCT_DELIVERY = 1494
  # Constant BS_BOA_COMPRA_CONFIRM_PRODUCT_DELIVERY_RESPONSE for EMsg
  BS_BOA_COMPRA_CONFIRM_PRODUCT_DELIVERY_RESPONSE = 1495
  # Constant BS_GENERATE_BOA_COMPRA_MD5 for EMsg
  BS_GENERATE_BOA_COMPRA_MD5 = 1496
  # Constant BS_GENERATE_BOA_COMPRA_MD5_RESPONSE for EMsg
  BS_GENERATE_BOA_COMPRA_MD5_RESPONSE = 1497
  # Constant BASE_ATS for EMsg
  BASE_ATS = 1500
  # Constant ATS_START_STRESS_TEST for EMsg
  ATS_START_STRESS_TEST = 1501
  # Constant ATS_STOP_STRESS_TEST for EMsg
  ATS_STOP_STRESS_TEST = 1502
  # Constant ATS_RUN_FAIL_SERVER_TEST for EMsg
  ATS_RUN_FAIL_SERVER_TEST = 1503
  # Constant ATSUFS_PERF_TEST_TASK for EMsg
  ATSUFS_PERF_TEST_TASK = 1504
  # Constant ATSUFS_PERF_TEST_RESPONSE for EMsg
  ATSUFS_PERF_TEST_RESPONSE = 1505
  # Constant ATS_CYCLE_TCM for EMsg
  ATS_CYCLE_TCM = 1506
  # Constant ATS_INIT_DRMS_STRESS_TEST for EMsg
  ATS_INIT_DRMS_STRESS_TEST = 1507
  # Constant ATS_CALL_TEST for EMsg
  ATS_CALL_TEST = 1508
  # Constant ATS_CALL_TEST_REPLY for EMsg
  ATS_CALL_TEST_REPLY = 1509
  # Constant ATS_START_EXTERNAL_STRESS for EMsg
  ATS_START_EXTERNAL_STRESS = 1510
  # Constant ATS_EXTERNAL_STRESS_JOB_START for EMsg
  ATS_EXTERNAL_STRESS_JOB_START = 1511
  # Constant ATS_EXTERNAL_STRESS_JOB_QUEUED for EMsg
  ATS_EXTERNAL_STRESS_JOB_QUEUED = 1512
  # Constant ATS_EXTERNAL_STRESS_JOB_RUNNING for EMsg
  ATS_EXTERNAL_STRESS_JOB_RUNNING = 1513
  # Constant ATS_EXTERNAL_STRESS_JOB_STOPPED for EMsg
  ATS_EXTERNAL_STRESS_JOB_STOPPED = 1514
  # Constant ATS_EXTERNAL_STRESS_JOB_STOP_ALL for EMsg
  ATS_EXTERNAL_STRESS_JOB_STOP_ALL = 1515
  # Constant ATS_EXTERNAL_STRESS_ACTION_RESULT for EMsg
  ATS_EXTERNAL_STRESS_ACTION_RESULT = 1516
  # Constant ATS_STARTED for EMsg
  ATS_STARTED = 1517
  # Constant ATSCS_PERF_TEST_TASK for EMsg
  ATSCS_PERF_TEST_TASK = 1518
  # Constant ATSCS_PERF_TEST_RESPONSE for EMsg
  ATSCS_PERF_TEST_RESPONSE = 1519
  # Constant BASE_DP for EMsg
  BASE_DP = 1600
  # Constant DP_SET_PUBLISHING_STATE for EMsg
  DP_SET_PUBLISHING_STATE = 1601
  # Constant DP_GAME_PLAYED_STATS for EMsg
  DP_GAME_PLAYED_STATS = 1602
  # Constant DP_UNIQUE_PLAYERS_STAT for EMsg
  DP_UNIQUE_PLAYERS_STAT = 1603
  # Constant DP_VAC_INFRACTION_STATS for EMsg
  DP_VAC_INFRACTION_STATS = 1605
  # Constant DP_VAC_BAN_STATS for EMsg
  DP_VAC_BAN_STATS = 1606
  # Constant DP_BLOCKING_STATS for EMsg
  DP_BLOCKING_STATS = 1607
  # Constant DP_NAT_TRAVERSAL_STATS for EMsg
  DP_NAT_TRAVERSAL_STATS = 1608
  # Constant DP_STEAM_USAGE_EVENT for EMsg
  DP_STEAM_USAGE_EVENT = 1609
  # Constant DP_VAC_CERT_BAN_STATS for EMsg
  DP_VAC_CERT_BAN_STATS = 1610
  # Constant DP_VAC_CAFE_BAN_STATS for EMsg
  DP_VAC_CAFE_BAN_STATS = 1611
  # Constant DP_CLOUD_STATS for EMsg
  DP_CLOUD_STATS = 1612
  # Constant DP_ACHIEVEMENT_STATS for EMsg
  DP_ACHIEVEMENT_STATS = 1613
  # Constant DP_ACCOUNT_CREATION_STATS for EMsg
  DP_ACCOUNT_CREATION_STATS = 1614
  # Constant DP_GET_PLAYER_COUNT for EMsg
  DP_GET_PLAYER_COUNT = 1615
  # Constant DP_GET_PLAYER_COUNT_RESPONSE for EMsg
  DP_GET_PLAYER_COUNT_RESPONSE = 1616
  # Constant DP_GAME_SERVERS_PLAYERS_STATS for EMsg
  DP_GAME_SERVERS_PLAYERS_STATS = 1617
  # Constant DP_DOWNLOAD_RATE_STATISTICS for EMsg
  DP_DOWNLOAD_RATE_STATISTICS = 1618
  # Constant DP_FACEBOOK_STATISTICS for EMsg
  DP_FACEBOOK_STATISTICS = 1619
  # Constant CLIENT_DP_CHECK_SPECIAL_SURVEY for EMsg
  CLIENT_DP_CHECK_SPECIAL_SURVEY = 1620
  # Constant CLIENT_DP_CHECK_SPECIAL_SURVEY_RESPONSE for EMsg
  CLIENT_DP_CHECK_SPECIAL_SURVEY_RESPONSE = 1621
  # Constant CLIENT_DP_SEND_SPECIAL_SURVEY_RESPONSE for EMsg
  CLIENT_DP_SEND_SPECIAL_SURVEY_RESPONSE = 1622
  # Constant CLIENT_DP_SEND_SPECIAL_SURVEY_RESPONSE_REPLY for EMsg
  CLIENT_DP_SEND_SPECIAL_SURVEY_RESPONSE_REPLY = 1623
  # Constant DP_STORE_SALE_STATISTICS for EMsg
  DP_STORE_SALE_STATISTICS = 1624
  # Constant CLIENT_DP_UPDATE_APP_JOB_REPORT for EMsg
  CLIENT_DP_UPDATE_APP_JOB_REPORT = 1625
  # Constant CLIENT_DP_STEAM2_APP_STARTED for EMsg
  CLIENT_DP_STEAM2_APP_STARTED = 1627
  # Constant DP_UPDATE_CONTENT_EVENT for EMsg
  DP_UPDATE_CONTENT_EVENT = 1626
  # Constant CLIENT_DP_CONTENT_STATS_REPORT for EMsg
  CLIENT_DP_CONTENT_STATS_REPORT = 1630
  # Constant BASE_CM for EMsg
  BASE_CM = 1700
  # Constant CM_SET_ALLOW_STATE for EMsg
  CM_SET_ALLOW_STATE = 1701
  # Constant CM_SPEW_ALLOW_STATE for EMsg
  CM_SPEW_ALLOW_STATE = 1702
  # Constant CM_APP_INFO_RESPONSE_DEPRECATED for EMsg
  CM_APP_INFO_RESPONSE_DEPRECATED = 1703
  # Constant BASE_DSS for EMsg
  BASE_DSS = 1800
  # Constant DSS_NEW_FILE for EMsg
  DSS_NEW_FILE = 1801
  # Constant DSS_CURRENT_FILE_LIST for EMsg
  DSS_CURRENT_FILE_LIST = 1802
  # Constant DSS_SYNCH_LIST for EMsg
  DSS_SYNCH_LIST = 1803
  # Constant DSS_SYNCH_LIST_RESPONSE for EMsg
  DSS_SYNCH_LIST_RESPONSE = 1804
  # Constant DSS_SYNCH_SUBSCRIBE for EMsg
  DSS_SYNCH_SUBSCRIBE = 1805
  # Constant DSS_SYNCH_UNSUBSCRIBE for EMsg
  DSS_SYNCH_UNSUBSCRIBE = 1806
  # Constant BASE_EPM for EMsg
  BASE_EPM = 1900
  # Constant EPM_START_PROCESS for EMsg
  EPM_START_PROCESS = 1901
  # Constant EPM_STOP_PROCESS for EMsg
  EPM_STOP_PROCESS = 1902
  # Constant EPM_RESTART_PROCESS for EMsg
  EPM_RESTART_PROCESS = 1903
  # Constant BASE_GC for EMsg
  BASE_GC = 2200
  # Constant GC_SEND_CLIENT for EMsg
  GC_SEND_CLIENT = 2200
  # Constant AM_RELAY_TO_GC for EMsg
  AM_RELAY_TO_GC = 2201
  # Constant GC_UPDATE_PLAYED_STATE for EMsg
  GC_UPDATE_PLAYED_STATE = 2202
  # Constant GC_CMD_REVIVE for EMsg
  GC_CMD_REVIVE = 2203
  # Constant GC_CMD_BOUNCE for EMsg
  GC_CMD_BOUNCE = 2204
  # Constant GC_CMD_FORCE_BOUNCE for EMsg
  GC_CMD_FORCE_BOUNCE = 2205
  # Constant GC_CMD_DOWN for EMsg
  GC_CMD_DOWN = 2206
  # Constant GC_CMD_DEPLOY for EMsg
  GC_CMD_DEPLOY = 2207
  # Constant GC_CMD_DEPLOY_RESPONSE for EMsg
  GC_CMD_DEPLOY_RESPONSE = 2208
  # Constant GC_CMD_SWITCH for EMsg
  GC_CMD_SWITCH = 2209
  # Constant AM_REFRESH_SESSIONS for EMsg
  AM_REFRESH_SESSIONS = 2210
  # Constant GC_UPDATE_GS_STATE for EMsg
  GC_UPDATE_GS_STATE = 2211
  # Constant GC_ACHIEVEMENT_AWARDED for EMsg
  GC_ACHIEVEMENT_AWARDED = 2212
  # Constant GC_SYSTEM_MESSAGE for EMsg
  GC_SYSTEM_MESSAGE = 2213
  # Constant GC_VALIDATE_SESSION for EMsg
  GC_VALIDATE_SESSION = 2214
  # Constant GC_VALIDATE_SESSION_RESPONSE for EMsg
  GC_VALIDATE_SESSION_RESPONSE = 2215
  # Constant GC_CMD_STATUS for EMsg
  GC_CMD_STATUS = 2216
  # Constant GC_REGISTER_WEB_INTERFACES for EMsg
  GC_REGISTER_WEB_INTERFACES = 2217
  # Constant GC_REGISTER_WEB_INTERFACES_DEPRECATED for EMsg
  GC_REGISTER_WEB_INTERFACES_DEPRECATED = 2217
  # Constant GC_GET_ACCOUNT_DETAILS for EMsg
  GC_GET_ACCOUNT_DETAILS = 2218
  # Constant GC_GET_ACCOUNT_DETAILS_DEPRECATED for EMsg
  GC_GET_ACCOUNT_DETAILS_DEPRECATED = 2218
  # Constant GC_INTER_APP_MESSAGE for EMsg
  GC_INTER_APP_MESSAGE = 2219
  # Constant GC_GET_EMAIL_TEMPLATE for EMsg
  GC_GET_EMAIL_TEMPLATE = 2220
  # Constant GC_GET_EMAIL_TEMPLATE_RESPONSE for EMsg
  GC_GET_EMAIL_TEMPLATE_RESPONSE = 2221
  # Constant IS_RELAY_TO_GCH for EMsg
  IS_RELAY_TO_GCH = 2222
  # Constant GCH_RELAY_CLIENT_TO_IS for EMsg
  GCH_RELAY_CLIENT_TO_IS = 2223
  # Constant GCH_UPDATE_SESSION for EMsg
  GCH_UPDATE_SESSION = 2224
  # Constant GCH_REQUEST_UPDATE_SESSION for EMsg
  GCH_REQUEST_UPDATE_SESSION = 2225
  # Constant GCH_REQUEST_STATUS for EMsg
  GCH_REQUEST_STATUS = 2226
  # Constant GCH_REQUEST_STATUS_RESPONSE for EMsg
  GCH_REQUEST_STATUS_RESPONSE = 2227
  # Constant BASE_P2_P for EMsg
  BASE_P2_P = 2500
  # Constant P2_P_INTRODUCER_MESSAGE for EMsg
  P2_P_INTRODUCER_MESSAGE = 2502
  # Constant BASE_SM for EMsg
  BASE_SM = 2900
  # Constant SM_EXPENSIVE_REPORT for EMsg
  SM_EXPENSIVE_REPORT = 2902
  # Constant SM_HOURLY_REPORT for EMsg
  SM_HOURLY_REPORT = 2903
  # Constant SM_FISHING_REPORT for EMsg
  SM_FISHING_REPORT = 2904
  # Constant SM_PARTITION_RENAMES for EMsg
  SM_PARTITION_RENAMES = 2905
  # Constant SM_MONITOR_SPACE for EMsg
  SM_MONITOR_SPACE = 2906
  # Constant SM_GET_SCHEMA_CONVERSION_RESULTS for EMsg
  SM_GET_SCHEMA_CONVERSION_RESULTS = 2907
  # Constant SM_GET_SCHEMA_CONVERSION_RESULTS_RESPONSE for EMsg
  SM_GET_SCHEMA_CONVERSION_RESULTS_RESPONSE = 2908
  # Constant BASE_TEST for EMsg
  BASE_TEST = 3000
  # Constant FAIL_SERVER for EMsg
  FAIL_SERVER = 3000
  # Constant JOB_HEARTBEAT_TEST for EMsg
  JOB_HEARTBEAT_TEST = 3001
  # Constant JOB_HEARTBEAT_TEST_RESPONSE for EMsg
  JOB_HEARTBEAT_TEST_RESPONSE = 3002
  # Constant BASE_FTS_RANGE for EMsg
  BASE_FTS_RANGE = 3100
  # Constant FTS_GET_BROWSE_COUNTS for EMsg
  FTS_GET_BROWSE_COUNTS = 3101
  # Constant FTS_GET_BROWSE_COUNTS_RESPONSE for EMsg
  FTS_GET_BROWSE_COUNTS_RESPONSE = 3102
  # Constant FTS_BROWSE_CLANS for EMsg
  FTS_BROWSE_CLANS = 3103
  # Constant FTS_BROWSE_CLANS_RESPONSE for EMsg
  FTS_BROWSE_CLANS_RESPONSE = 3104
  # Constant FTS_SEARCH_CLANS_BY_LOCATION for EMsg
  FTS_SEARCH_CLANS_BY_LOCATION = 3105
  # Constant FTS_SEARCH_CLANS_BY_LOCATION_RESPONSE for EMsg
  FTS_SEARCH_CLANS_BY_LOCATION_RESPONSE = 3106
  # Constant FTS_SEARCH_PLAYERS_BY_LOCATION for EMsg
  FTS_SEARCH_PLAYERS_BY_LOCATION = 3107
  # Constant FTS_SEARCH_PLAYERS_BY_LOCATION_RESPONSE for EMsg
  FTS_SEARCH_PLAYERS_BY_LOCATION_RESPONSE = 3108
  # Constant FTS_CLAN_DELETED for EMsg
  FTS_CLAN_DELETED = 3109
  # Constant FTS_SEARCH for EMsg
  FTS_SEARCH = 3110
  # Constant FTS_SEARCH_RESPONSE for EMsg
  FTS_SEARCH_RESPONSE = 3111
  # Constant FTS_SEARCH_STATUS for EMsg
  FTS_SEARCH_STATUS = 3112
  # Constant FTS_SEARCH_STATUS_RESPONSE for EMsg
  FTS_SEARCH_STATUS_RESPONSE = 3113
  # Constant FTS_GET_GS_PLAY_STATS for EMsg
  FTS_GET_GS_PLAY_STATS = 3114
  # Constant FTS_GET_GS_PLAY_STATS_RESPONSE for EMsg
  FTS_GET_GS_PLAY_STATS_RESPONSE = 3115
  # Constant FTS_GET_GS_PLAY_STATS_FOR_SERVER for EMsg
  FTS_GET_GS_PLAY_STATS_FOR_SERVER = 3116
  # Constant FTS_GET_GS_PLAY_STATS_FOR_SERVER_RESPONSE for EMsg
  FTS_GET_GS_PLAY_STATS_FOR_SERVER_RESPONSE = 3117
  # Constant FTS_REPORT_IP_UPDATES for EMsg
  FTS_REPORT_IP_UPDATES = 3118
  # Constant BASE_CCS_RANGE for EMsg
  BASE_CCS_RANGE = 3150
  # Constant CCS_GET_COMMENTS for EMsg
  CCS_GET_COMMENTS = 3151
  # Constant CCS_GET_COMMENTS_RESPONSE for EMsg
  CCS_GET_COMMENTS_RESPONSE = 3152
  # Constant CCS_ADD_COMMENT for EMsg
  CCS_ADD_COMMENT = 3153
  # Constant CCS_ADD_COMMENT_RESPONSE for EMsg
  CCS_ADD_COMMENT_RESPONSE = 3154
  # Constant CCS_DELETE_COMMENT for EMsg
  CCS_DELETE_COMMENT = 3155
  # Constant CCS_DELETE_COMMENT_RESPONSE for EMsg
  CCS_DELETE_COMMENT_RESPONSE = 3156
  # Constant CCS_PRELOAD_COMMENTS for EMsg
  CCS_PRELOAD_COMMENTS = 3157
  # Constant CCS_NOTIFY_COMMENT_COUNT for EMsg
  CCS_NOTIFY_COMMENT_COUNT = 3158
  # Constant CCS_GET_COMMENTS_FOR_NEWS for EMsg
  CCS_GET_COMMENTS_FOR_NEWS = 3159
  # Constant CCS_GET_COMMENTS_FOR_NEWS_RESPONSE for EMsg
  CCS_GET_COMMENTS_FOR_NEWS_RESPONSE = 3160
  # Constant CCS_DELETE_ALL_COMMENTS_BY_AUTHOR for EMsg
  CCS_DELETE_ALL_COMMENTS_BY_AUTHOR = 3161
  # Constant CCS_DELETE_ALL_COMMENTS_BY_AUTHOR_RESPONSE for EMsg
  CCS_DELETE_ALL_COMMENTS_BY_AUTHOR_RESPONSE = 3162
  # Constant BASE_LBS_RANGE for EMsg
  BASE_LBS_RANGE = 3200
  # Constant LBS_SET_SCORE for EMsg
  LBS_SET_SCORE = 3201
  # Constant LBS_SET_SCORE_RESPONSE for EMsg
  LBS_SET_SCORE_RESPONSE = 3202
  # Constant LBS_FIND_OR_CREATE_LB for EMsg
  LBS_FIND_OR_CREATE_LB = 3203
  # Constant LBS_FIND_OR_CREATE_LB_RESPONSE for EMsg
  LBS_FIND_OR_CREATE_LB_RESPONSE = 3204
  # Constant LBS_GET_LB_ENTRIES for EMsg
  LBS_GET_LB_ENTRIES = 3205
  # Constant LBS_GET_LB_ENTRIES_RESPONSE for EMsg
  LBS_GET_LB_ENTRIES_RESPONSE = 3206
  # Constant LBS_GET_LB_LIST for EMsg
  LBS_GET_LB_LIST = 3207
  # Constant LBS_GET_LB_LIST_RESPONSE for EMsg
  LBS_GET_LB_LIST_RESPONSE = 3208
  # Constant LBS_SET_LB_DETAILS for EMsg
  LBS_SET_LB_DETAILS = 3209
  # Constant LBS_DELETE_LB for EMsg
  LBS_DELETE_LB = 3210
  # Constant LBS_DELETE_LB_ENTRY for EMsg
  LBS_DELETE_LB_ENTRY = 3211
  # Constant LBS_RESET_LB for EMsg
  LBS_RESET_LB = 3212
  # Constant BASE_OGS for EMsg
  BASE_OGS = 3400
  # Constant OGS_BEGIN_SESSION for EMsg
  OGS_BEGIN_SESSION = 3401
  # Constant OGS_BEGIN_SESSION_RESPONSE for EMsg
  OGS_BEGIN_SESSION_RESPONSE = 3402
  # Constant OGS_END_SESSION for EMsg
  OGS_END_SESSION = 3403
  # Constant OGS_END_SESSION_RESPONSE for EMsg
  OGS_END_SESSION_RESPONSE = 3404
  # Constant OGS_WRITE_APP_SESSION_ROW for EMsg
  OGS_WRITE_APP_SESSION_ROW = 3406
  # Constant BASE_BRP for EMsg
  BASE_BRP = 3600
  # Constant BRP_START_SHIPPING_JOBS for EMsg
  BRP_START_SHIPPING_JOBS = 3601
  # Constant BRP_PROCESS_US_BANK_REPORTS for EMsg
  BRP_PROCESS_US_BANK_REPORTS = 3602
  # Constant BRP_PROCESS_GC_REPORTS for EMsg
  BRP_PROCESS_GC_REPORTS = 3603
  # Constant BRP_PROCESS_PP_REPORTS for EMsg
  BRP_PROCESS_PP_REPORTS = 3604
  # Constant BRP_SETTLE_NOVA for EMsg
  BRP_SETTLE_NOVA = 3605
  # Constant BRP_SETTLE_CB for EMsg
  BRP_SETTLE_CB = 3606
  # Constant BRP_COMMIT_GC for EMsg
  BRP_COMMIT_GC = 3607
  # Constant BRP_COMMIT_GC_RESPONSE for EMsg
  BRP_COMMIT_GC_RESPONSE = 3608
  # Constant BRP_FIND_HUNG_TRANSACTIONS for EMsg
  BRP_FIND_HUNG_TRANSACTIONS = 3609
  # Constant BRP_CHECK_FINANCE_CLOSE_OUT_DATE for EMsg
  BRP_CHECK_FINANCE_CLOSE_OUT_DATE = 3610
  # Constant BRP_PROCESS_LICENSES for EMsg
  BRP_PROCESS_LICENSES = 3611
  # Constant BRP_PROCESS_LICENSES_RESPONSE for EMsg
  BRP_PROCESS_LICENSES_RESPONSE = 3612
  # Constant BRP_REMOVE_EXPIRED_PAYMENT_DATA for EMsg
  BRP_REMOVE_EXPIRED_PAYMENT_DATA = 3613
  # Constant BRP_REMOVE_EXPIRED_PAYMENT_DATA_RESPONSE for EMsg
  BRP_REMOVE_EXPIRED_PAYMENT_DATA_RESPONSE = 3614
  # Constant BRP_CONVERT_TO_CURRENT_KEYS for EMsg
  BRP_CONVERT_TO_CURRENT_KEYS = 3615
  # Constant BRP_CONVERT_TO_CURRENT_KEYS_RESPONSE for EMsg
  BRP_CONVERT_TO_CURRENT_KEYS_RESPONSE = 3616
  # Constant BRP_PRUNE_CARD_USAGE_STATS for EMsg
  BRP_PRUNE_CARD_USAGE_STATS = 3617
  # Constant BRP_PRUNE_CARD_USAGE_STATS_RESPONSE for EMsg
  BRP_PRUNE_CARD_USAGE_STATS_RESPONSE = 3618
  # Constant BRP_CHECK_ACTIVATION_CODES for EMsg
  BRP_CHECK_ACTIVATION_CODES = 3619
  # Constant BRP_CHECK_ACTIVATION_CODES_RESPONSE for EMsg
  BRP_CHECK_ACTIVATION_CODES_RESPONSE = 3620
  # Constant BASE_AM_RANGE2 for EMsg
  BASE_AM_RANGE2 = 4000
  # Constant AM_CREATE_CHAT for EMsg
  AM_CREATE_CHAT = 4001
  # Constant AM_CREATE_CHAT_RESPONSE for EMsg
  AM_CREATE_CHAT_RESPONSE = 4002
  # Constant AM_UPDATE_CHAT_METADATA for EMsg
  AM_UPDATE_CHAT_METADATA = 4003
  # Constant AM_PUBLISH_CHAT_METADATA for EMsg
  AM_PUBLISH_CHAT_METADATA = 4004
  # Constant AM_SET_PROFILE_URL for EMsg
  AM_SET_PROFILE_URL = 4005
  # Constant AM_GET_ACCOUNT_EMAIL_ADDRESS for EMsg
  AM_GET_ACCOUNT_EMAIL_ADDRESS = 4006
  # Constant AM_GET_ACCOUNT_EMAIL_ADDRESS_RESPONSE for EMsg
  AM_GET_ACCOUNT_EMAIL_ADDRESS_RESPONSE = 4007
  # Constant AM_REQUEST_FRIEND_DATA for EMsg
  AM_REQUEST_FRIEND_DATA = 4008
  # Constant AM_ROUTE_TO_CLIENTS for EMsg
  AM_ROUTE_TO_CLIENTS = 4009
  # Constant AM_LEAVE_CLAN for EMsg
  AM_LEAVE_CLAN = 4010
  # Constant AM_CLAN_PERMISSIONS for EMsg
  AM_CLAN_PERMISSIONS = 4011
  # Constant AM_CLAN_PERMISSIONS_RESPONSE for EMsg
  AM_CLAN_PERMISSIONS_RESPONSE = 4012
  # Constant AM_CREATE_CLAN_EVENT for EMsg
  AM_CREATE_CLAN_EVENT = 4013
  # Constant AM_CREATE_CLAN_EVENT_RESPONSE for EMsg
  AM_CREATE_CLAN_EVENT_RESPONSE = 4014
  # Constant AM_UPDATE_CLAN_EVENT for EMsg
  AM_UPDATE_CLAN_EVENT = 4015
  # Constant AM_UPDATE_CLAN_EVENT_RESPONSE for EMsg
  AM_UPDATE_CLAN_EVENT_RESPONSE = 4016
  # Constant AM_GET_CLAN_EVENTS for EMsg
  AM_GET_CLAN_EVENTS = 4017
  # Constant AM_GET_CLAN_EVENTS_RESPONSE for EMsg
  AM_GET_CLAN_EVENTS_RESPONSE = 4018
  # Constant AM_DELETE_CLAN_EVENT for EMsg
  AM_DELETE_CLAN_EVENT = 4019
  # Constant AM_DELETE_CLAN_EVENT_RESPONSE for EMsg
  AM_DELETE_CLAN_EVENT_RESPONSE = 4020
  # Constant AM_SET_CLAN_PERMISSION_SETTINGS for EMsg
  AM_SET_CLAN_PERMISSION_SETTINGS = 4021
  # Constant AM_SET_CLAN_PERMISSION_SETTINGS_RESPONSE for EMsg
  AM_SET_CLAN_PERMISSION_SETTINGS_RESPONSE = 4022
  # Constant AM_GET_CLAN_PERMISSION_SETTINGS for EMsg
  AM_GET_CLAN_PERMISSION_SETTINGS = 4023
  # Constant AM_GET_CLAN_PERMISSION_SETTINGS_RESPONSE for EMsg
  AM_GET_CLAN_PERMISSION_SETTINGS_RESPONSE = 4024
  # Constant AM_PUBLISH_CHAT_ROOM_INFO for EMsg
  AM_PUBLISH_CHAT_ROOM_INFO = 4025
  # Constant CLIENT_CHAT_ROOM_INFO for EMsg
  CLIENT_CHAT_ROOM_INFO = 4026
  # Constant AM_CREATE_CLAN_ANNOUNCEMENT for EMsg
  AM_CREATE_CLAN_ANNOUNCEMENT = 4027
  # Constant AM_CREATE_CLAN_ANNOUNCEMENT_RESPONSE for EMsg
  AM_CREATE_CLAN_ANNOUNCEMENT_RESPONSE = 4028
  # Constant AM_UPDATE_CLAN_ANNOUNCEMENT for EMsg
  AM_UPDATE_CLAN_ANNOUNCEMENT = 4029
  # Constant AM_UPDATE_CLAN_ANNOUNCEMENT_RESPONSE for EMsg
  AM_UPDATE_CLAN_ANNOUNCEMENT_RESPONSE = 4030
  # Constant AM_GET_CLAN_ANNOUNCEMENTS_COUNT for EMsg
  AM_GET_CLAN_ANNOUNCEMENTS_COUNT = 4031
  # Constant AM_GET_CLAN_ANNOUNCEMENTS_COUNT_RESPONSE for EMsg
  AM_GET_CLAN_ANNOUNCEMENTS_COUNT_RESPONSE = 4032
  # Constant AM_GET_CLAN_ANNOUNCEMENTS for EMsg
  AM_GET_CLAN_ANNOUNCEMENTS = 4033
  # Constant AM_GET_CLAN_ANNOUNCEMENTS_RESPONSE for EMsg
  AM_GET_CLAN_ANNOUNCEMENTS_RESPONSE = 4034
  # Constant AM_DELETE_CLAN_ANNOUNCEMENT for EMsg
  AM_DELETE_CLAN_ANNOUNCEMENT = 4035
  # Constant AM_DELETE_CLAN_ANNOUNCEMENT_RESPONSE for EMsg
  AM_DELETE_CLAN_ANNOUNCEMENT_RESPONSE = 4036
  # Constant AM_GET_SINGLE_CLAN_ANNOUNCEMENT for EMsg
  AM_GET_SINGLE_CLAN_ANNOUNCEMENT = 4037
  # Constant AM_GET_SINGLE_CLAN_ANNOUNCEMENT_RESPONSE for EMsg
  AM_GET_SINGLE_CLAN_ANNOUNCEMENT_RESPONSE = 4038
  # Constant AM_GET_CLAN_HISTORY for EMsg
  AM_GET_CLAN_HISTORY = 4039
  # Constant AM_GET_CLAN_HISTORY_RESPONSE for EMsg
  AM_GET_CLAN_HISTORY_RESPONSE = 4040
  # Constant AM_GET_CLAN_PERMISSION_BITS for EMsg
  AM_GET_CLAN_PERMISSION_BITS = 4041
  # Constant AM_GET_CLAN_PERMISSION_BITS_RESPONSE for EMsg
  AM_GET_CLAN_PERMISSION_BITS_RESPONSE = 4042
  # Constant AM_SET_CLAN_PERMISSION_BITS for EMsg
  AM_SET_CLAN_PERMISSION_BITS = 4043
  # Constant AM_SET_CLAN_PERMISSION_BITS_RESPONSE for EMsg
  AM_SET_CLAN_PERMISSION_BITS_RESPONSE = 4044
  # Constant AM_SESSION_INFO_REQUEST for EMsg
  AM_SESSION_INFO_REQUEST = 4045
  # Constant AM_SESSION_INFO_RESPONSE for EMsg
  AM_SESSION_INFO_RESPONSE = 4046
  # Constant AM_VALIDATE_WG_TOKEN for EMsg
  AM_VALIDATE_WG_TOKEN = 4047
  # Constant AM_GET_SINGLE_CLAN_EVENT for EMsg
  AM_GET_SINGLE_CLAN_EVENT = 4048
  # Constant AM_GET_SINGLE_CLAN_EVENT_RESPONSE for EMsg
  AM_GET_SINGLE_CLAN_EVENT_RESPONSE = 4049
  # Constant AM_GET_CLAN_RANK for EMsg
  AM_GET_CLAN_RANK = 4050
  # Constant AM_GET_CLAN_RANK_RESPONSE for EMsg
  AM_GET_CLAN_RANK_RESPONSE = 4051
  # Constant AM_SET_CLAN_RANK for EMsg
  AM_SET_CLAN_RANK = 4052
  # Constant AM_SET_CLAN_RANK_RESPONSE for EMsg
  AM_SET_CLAN_RANK_RESPONSE = 4053
  # Constant AM_GET_CLAN_POTW for EMsg
  AM_GET_CLAN_POTW = 4054
  # Constant AM_GET_CLAN_POTW_RESPONSE for EMsg
  AM_GET_CLAN_POTW_RESPONSE = 4055
  # Constant AM_SET_CLAN_POTW for EMsg
  AM_SET_CLAN_POTW = 4056
  # Constant AM_SET_CLAN_POTW_RESPONSE for EMsg
  AM_SET_CLAN_POTW_RESPONSE = 4057
  # Constant AM_REQUEST_CHAT_METADATA for EMsg
  AM_REQUEST_CHAT_METADATA = 4058
  # Constant AM_DUMP_USER for EMsg
  AM_DUMP_USER = 4059
  # Constant AM_KICK_USER_FROM_CLAN for EMsg
  AM_KICK_USER_FROM_CLAN = 4060
  # Constant AM_ADD_FOUNDER_TO_CLAN for EMsg
  AM_ADD_FOUNDER_TO_CLAN = 4061
  # Constant AM_VALIDATE_WG_TOKEN_RESPONSE for EMsg
  AM_VALIDATE_WG_TOKEN_RESPONSE = 4062
  # Constant AM_SET_COMMUNITY_STATE for EMsg
  AM_SET_COMMUNITY_STATE = 4063
  # Constant AM_SET_ACCOUNT_DETAILS for EMsg
  AM_SET_ACCOUNT_DETAILS = 4064
  # Constant AM_GET_CHAT_BAN_LIST for EMsg
  AM_GET_CHAT_BAN_LIST = 4065
  # Constant AM_GET_CHAT_BAN_LIST_RESPONSE for EMsg
  AM_GET_CHAT_BAN_LIST_RESPONSE = 4066
  # Constant AM_UN_BAN_FROM_CHAT for EMsg
  AM_UN_BAN_FROM_CHAT = 4067
  # Constant AM_SET_CLAN_DETAILS for EMsg
  AM_SET_CLAN_DETAILS = 4068
  # Constant AM_GET_ACCOUNT_LINKS for EMsg
  AM_GET_ACCOUNT_LINKS = 4069
  # Constant AM_GET_ACCOUNT_LINKS_RESPONSE for EMsg
  AM_GET_ACCOUNT_LINKS_RESPONSE = 4070
  # Constant AM_SET_ACCOUNT_LINKS for EMsg
  AM_SET_ACCOUNT_LINKS = 4071
  # Constant AM_SET_ACCOUNT_LINKS_RESPONSE for EMsg
  AM_SET_ACCOUNT_LINKS_RESPONSE = 4072
  # Constant AM_GET_USER_GAME_STATS for EMsg
  AM_GET_USER_GAME_STATS = 4073
  # Constant AM_GET_USER_GAME_STATS_RESPONSE for EMsg
  AM_GET_USER_GAME_STATS_RESPONSE = 4074
  # Constant AM_CHECK_CLAN_MEMBERSHIP for EMsg
  AM_CHECK_CLAN_MEMBERSHIP = 4075
  # Constant AM_GET_CLAN_MEMBERS for EMsg
  AM_GET_CLAN_MEMBERS = 4076
  # Constant AM_GET_CLAN_MEMBERS_RESPONSE for EMsg
  AM_GET_CLAN_MEMBERS_RESPONSE = 4077
  # Constant AM_JOIN_PUBLIC_CLAN for EMsg
  AM_JOIN_PUBLIC_CLAN = 4078
  # Constant AM_NOTIFY_CHAT_OF_CLAN_CHANGE for EMsg
  AM_NOTIFY_CHAT_OF_CLAN_CHANGE = 4079
  # Constant AM_RESUBMIT_PURCHASE for EMsg
  AM_RESUBMIT_PURCHASE = 4080
  # Constant AM_ADD_FRIEND for EMsg
  AM_ADD_FRIEND = 4081
  # Constant AM_ADD_FRIEND_RESPONSE for EMsg
  AM_ADD_FRIEND_RESPONSE = 4082
  # Constant AM_REMOVE_FRIEND for EMsg
  AM_REMOVE_FRIEND = 4083
  # Constant AM_DUMP_CLAN for EMsg
  AM_DUMP_CLAN = 4084
  # Constant AM_CHANGE_CLAN_OWNER for EMsg
  AM_CHANGE_CLAN_OWNER = 4085
  # Constant AM_CANCEL_EASY_COLLECT for EMsg
  AM_CANCEL_EASY_COLLECT = 4086
  # Constant AM_CANCEL_EASY_COLLECT_RESPONSE for EMsg
  AM_CANCEL_EASY_COLLECT_RESPONSE = 4087
  # Constant AM_GET_CLAN_MEMBERSHIP_LIST for EMsg
  AM_GET_CLAN_MEMBERSHIP_LIST = 4088
  # Constant AM_GET_CLAN_MEMBERSHIP_LIST_RESPONSE for EMsg
  AM_GET_CLAN_MEMBERSHIP_LIST_RESPONSE = 4089
  # Constant AM_CLANS_IN_COMMON for EMsg
  AM_CLANS_IN_COMMON = 4090
  # Constant AM_CLANS_IN_COMMON_RESPONSE for EMsg
  AM_CLANS_IN_COMMON_RESPONSE = 4091
  # Constant AM_IS_VALID_ACCOUNT_ID for EMsg
  AM_IS_VALID_ACCOUNT_ID = 4092
  # Constant AM_CONVERT_CLAN for EMsg
  AM_CONVERT_CLAN = 4093
  # Constant AM_GET_GIFT_TARGET_LIST_RELAY for EMsg
  AM_GET_GIFT_TARGET_LIST_RELAY = 4094
  # Constant AM_WIPE_FRIENDS_LIST for EMsg
  AM_WIPE_FRIENDS_LIST = 4095
  # Constant AM_SET_IGNORED for EMsg
  AM_SET_IGNORED = 4096
  # Constant AM_CLANS_IN_COMMON_COUNT_RESPONSE for EMsg
  AM_CLANS_IN_COMMON_COUNT_RESPONSE = 4097
  # Constant AM_FRIENDS_LIST for EMsg
  AM_FRIENDS_LIST = 4098
  # Constant AM_FRIENDS_LIST_RESPONSE for EMsg
  AM_FRIENDS_LIST_RESPONSE = 4099
  # Constant AM_FRIENDS_IN_COMMON for EMsg
  AM_FRIENDS_IN_COMMON = 4100
  # Constant AM_FRIENDS_IN_COMMON_RESPONSE for EMsg
  AM_FRIENDS_IN_COMMON_RESPONSE = 4101
  # Constant AM_FRIENDS_IN_COMMON_COUNT_RESPONSE for EMsg
  AM_FRIENDS_IN_COMMON_COUNT_RESPONSE = 4102
  # Constant AM_CLANS_IN_COMMON_COUNT for EMsg
  AM_CLANS_IN_COMMON_COUNT = 4103
  # Constant AM_CHALLENGE_VERDICT for EMsg
  AM_CHALLENGE_VERDICT = 4104
  # Constant AM_CHALLENGE_NOTIFICATION for EMsg
  AM_CHALLENGE_NOTIFICATION = 4105
  # Constant AM_FIND_GS_BY_IP for EMsg
  AM_FIND_GS_BY_IP = 4106
  # Constant AM_FOUND_GS_BY_IP for EMsg
  AM_FOUND_GS_BY_IP = 4107
  # Constant AM_GIFT_REVOKED for EMsg
  AM_GIFT_REVOKED = 4108
  # Constant AM_CREATE_ACCOUNT_RECORD for EMsg
  AM_CREATE_ACCOUNT_RECORD = 4109
  # Constant AM_USER_CLAN_LIST for EMsg
  AM_USER_CLAN_LIST = 4110
  # Constant AM_USER_CLAN_LIST_RESPONSE for EMsg
  AM_USER_CLAN_LIST_RESPONSE = 4111
  # Constant AM_GET_ACCOUNT_DETAILS2 for EMsg
  AM_GET_ACCOUNT_DETAILS2 = 4112
  # Constant AM_GET_ACCOUNT_DETAILS_RESPONSE2 for EMsg
  AM_GET_ACCOUNT_DETAILS_RESPONSE2 = 4113
  # Constant AM_SET_COMMUNITY_PROFILE_SETTINGS for EMsg
  AM_SET_COMMUNITY_PROFILE_SETTINGS = 4114
  # Constant AM_SET_COMMUNITY_PROFILE_SETTINGS_RESPONSE for EMsg
  AM_SET_COMMUNITY_PROFILE_SETTINGS_RESPONSE = 4115
  # Constant AM_GET_COMMUNITY_PRIVACY_STATE for EMsg
  AM_GET_COMMUNITY_PRIVACY_STATE = 4116
  # Constant AM_GET_COMMUNITY_PRIVACY_STATE_RESPONSE for EMsg
  AM_GET_COMMUNITY_PRIVACY_STATE_RESPONSE = 4117
  # Constant AM_CHECK_CLAN_INVITE_RATE_LIMITING for EMsg
  AM_CHECK_CLAN_INVITE_RATE_LIMITING = 4118
  # Constant AM_GET_USER_ACHIEVEMENT_STATUS for EMsg
  AM_GET_USER_ACHIEVEMENT_STATUS = 4119
  # Constant AM_GET_IGNORED for EMsg
  AM_GET_IGNORED = 4120
  # Constant AM_GET_IGNORED_RESPONSE for EMsg
  AM_GET_IGNORED_RESPONSE = 4121
  # Constant AM_SET_IGNORED_RESPONSE for EMsg
  AM_SET_IGNORED_RESPONSE = 4122
  # Constant AM_SET_FRIEND_RELATIONSHIP_NONE for EMsg
  AM_SET_FRIEND_RELATIONSHIP_NONE = 4123
  # Constant AM_GET_FRIEND_RELATIONSHIP for EMsg
  AM_GET_FRIEND_RELATIONSHIP = 4124
  # Constant AM_GET_FRIEND_RELATIONSHIP_RESPONSE for EMsg
  AM_GET_FRIEND_RELATIONSHIP_RESPONSE = 4125
  # Constant AM_SERVICE_MODULES_CACHE for EMsg
  AM_SERVICE_MODULES_CACHE = 4126
  # Constant AM_SERVICE_MODULES_CALL for EMsg
  AM_SERVICE_MODULES_CALL = 4127
  # Constant AM_SERVICE_MODULES_CALL_RESPONSE for EMsg
  AM_SERVICE_MODULES_CALL_RESPONSE = 4128
  # Constant AM_GET_CAPTCHA_DATA_FOR_IP for EMsg
  AM_GET_CAPTCHA_DATA_FOR_IP = 4129
  # Constant AM_GET_CAPTCHA_DATA_FOR_IP_RESPONSE for EMsg
  AM_GET_CAPTCHA_DATA_FOR_IP_RESPONSE = 4130
  # Constant AM_VALIDATE_CAPTCHA_DATA_FOR_IP for EMsg
  AM_VALIDATE_CAPTCHA_DATA_FOR_IP = 4131
  # Constant AM_VALIDATE_CAPTCHA_DATA_FOR_IP_RESPONSE for EMsg
  AM_VALIDATE_CAPTCHA_DATA_FOR_IP_RESPONSE = 4132
  # Constant AM_TRACK_FAILED_AUTH_BY_IP for EMsg
  AM_TRACK_FAILED_AUTH_BY_IP = 4133
  # Constant AM_GET_CAPTCHA_DATA_BY_GID for EMsg
  AM_GET_CAPTCHA_DATA_BY_GID = 4134
  # Constant AM_GET_CAPTCHA_DATA_BY_GID_RESPONSE for EMsg
  AM_GET_CAPTCHA_DATA_BY_GID_RESPONSE = 4135
  # Constant AM_GET_LOBBY_LIST for EMsg
  AM_GET_LOBBY_LIST = 4136
  # Constant AM_GET_LOBBY_LIST_RESPONSE for EMsg
  AM_GET_LOBBY_LIST_RESPONSE = 4137
  # Constant AM_GET_LOBBY_METADATA for EMsg
  AM_GET_LOBBY_METADATA = 4138
  # Constant AM_GET_LOBBY_METADATA_RESPONSE for EMsg
  AM_GET_LOBBY_METADATA_RESPONSE = 4139
  # Constant COMMUNITY_ADD_FRIEND_NEWS for EMsg
  COMMUNITY_ADD_FRIEND_NEWS = 4140
  # Constant AM_ADD_CLAN_NEWS for EMsg
  AM_ADD_CLAN_NEWS = 4141
  # Constant AM_WRITE_NEWS for EMsg
  AM_WRITE_NEWS = 4142
  # Constant AM_FIND_CLAN_USER for EMsg
  AM_FIND_CLAN_USER = 4143
  # Constant AM_FIND_CLAN_USER_RESPONSE for EMsg
  AM_FIND_CLAN_USER_RESPONSE = 4144
  # Constant AM_BAN_FROM_CHAT for EMsg
  AM_BAN_FROM_CHAT = 4145
  # Constant AM_GET_USER_HISTORY_RESPONSE for EMsg
  AM_GET_USER_HISTORY_RESPONSE = 4146
  # Constant AM_GET_USER_NEWS_SUBSCRIPTIONS for EMsg
  AM_GET_USER_NEWS_SUBSCRIPTIONS = 4147
  # Constant AM_GET_USER_NEWS_SUBSCRIPTIONS_RESPONSE for EMsg
  AM_GET_USER_NEWS_SUBSCRIPTIONS_RESPONSE = 4148
  # Constant AM_SET_USER_NEWS_SUBSCRIPTIONS for EMsg
  AM_SET_USER_NEWS_SUBSCRIPTIONS = 4149
  # Constant AM_GET_USER_NEWS for EMsg
  AM_GET_USER_NEWS = 4150
  # Constant AM_GET_USER_NEWS_RESPONSE for EMsg
  AM_GET_USER_NEWS_RESPONSE = 4151
  # Constant AM_SEND_QUEUED_EMAILS for EMsg
  AM_SEND_QUEUED_EMAILS = 4152
  # Constant AM_SET_LICENSE_FLAGS for EMsg
  AM_SET_LICENSE_FLAGS = 4153
  # Constant AM_GET_USER_HISTORY for EMsg
  AM_GET_USER_HISTORY = 4154
  # Constant COMMUNITY_DELETE_USER_NEWS for EMsg
  COMMUNITY_DELETE_USER_NEWS = 4155
  # Constant AM_ALLOW_USER_FILES_REQUEST for EMsg
  AM_ALLOW_USER_FILES_REQUEST = 4156
  # Constant AM_ALLOW_USER_FILES_RESPONSE for EMsg
  AM_ALLOW_USER_FILES_RESPONSE = 4157
  # Constant AM_GET_ACCOUNT_STATUS for EMsg
  AM_GET_ACCOUNT_STATUS = 4158
  # Constant AM_GET_ACCOUNT_STATUS_RESPONSE for EMsg
  AM_GET_ACCOUNT_STATUS_RESPONSE = 4159
  # Constant AM_EDIT_BAN_REASON for EMsg
  AM_EDIT_BAN_REASON = 4160
  # Constant AM_CHECK_CLAN_MEMBERSHIP_RESPONSE for EMsg
  AM_CHECK_CLAN_MEMBERSHIP_RESPONSE = 4161
  # Constant AM_PROBE_CLAN_MEMBERSHIP_LIST for EMsg
  AM_PROBE_CLAN_MEMBERSHIP_LIST = 4162
  # Constant AM_PROBE_CLAN_MEMBERSHIP_LIST_RESPONSE for EMsg
  AM_PROBE_CLAN_MEMBERSHIP_LIST_RESPONSE = 4163
  # Constant AM_GET_FRIENDS_LOBBIES for EMsg
  AM_GET_FRIENDS_LOBBIES = 4165
  # Constant AM_GET_FRIENDS_LOBBIES_RESPONSE for EMsg
  AM_GET_FRIENDS_LOBBIES_RESPONSE = 4166
  # Constant AM_GET_USER_FRIEND_NEWS_RESPONSE for EMsg
  AM_GET_USER_FRIEND_NEWS_RESPONSE = 4172
  # Constant COMMUNITY_GET_USER_FRIEND_NEWS for EMsg
  COMMUNITY_GET_USER_FRIEND_NEWS = 4173
  # Constant AM_GET_USER_CLANS_NEWS_RESPONSE for EMsg
  AM_GET_USER_CLANS_NEWS_RESPONSE = 4174
  # Constant AM_GET_USER_CLANS_NEWS for EMsg
  AM_GET_USER_CLANS_NEWS = 4175
  # Constant AM_STORE_INIT_PURCHASE for EMsg
  AM_STORE_INIT_PURCHASE = 4176
  # Constant AM_STORE_INIT_PURCHASE_RESPONSE for EMsg
  AM_STORE_INIT_PURCHASE_RESPONSE = 4177
  # Constant AM_STORE_GET_FINAL_PRICE for EMsg
  AM_STORE_GET_FINAL_PRICE = 4178
  # Constant AM_STORE_GET_FINAL_PRICE_RESPONSE for EMsg
  AM_STORE_GET_FINAL_PRICE_RESPONSE = 4179
  # Constant AM_STORE_COMPLETE_PURCHASE for EMsg
  AM_STORE_COMPLETE_PURCHASE = 4180
  # Constant AM_STORE_CANCEL_PURCHASE for EMsg
  AM_STORE_CANCEL_PURCHASE = 4181
  # Constant AM_STORE_PURCHASE_RESPONSE for EMsg
  AM_STORE_PURCHASE_RESPONSE = 4182
  # Constant AM_CREATE_ACCOUNT_RECORD_IN_STEAM3 for EMsg
  AM_CREATE_ACCOUNT_RECORD_IN_STEAM3 = 4183
  # Constant AM_GET_PREVIOUS_CB_ACCOUNT for EMsg
  AM_GET_PREVIOUS_CB_ACCOUNT = 4184
  # Constant AM_GET_PREVIOUS_CB_ACCOUNT_RESPONSE for EMsg
  AM_GET_PREVIOUS_CB_ACCOUNT_RESPONSE = 4185
  # Constant AM_UPDATE_BILLING_ADDRESS for EMsg
  AM_UPDATE_BILLING_ADDRESS = 4186
  # Constant AM_UPDATE_BILLING_ADDRESS_RESPONSE for EMsg
  AM_UPDATE_BILLING_ADDRESS_RESPONSE = 4187
  # Constant AM_GET_BILLING_ADDRESS for EMsg
  AM_GET_BILLING_ADDRESS = 4188
  # Constant AM_GET_BILLING_ADDRESS_RESPONSE for EMsg
  AM_GET_BILLING_ADDRESS_RESPONSE = 4189
  # Constant AM_GET_USER_LICENSE_HISTORY for EMsg
  AM_GET_USER_LICENSE_HISTORY = 4190
  # Constant AM_GET_USER_LICENSE_HISTORY_RESPONSE for EMsg
  AM_GET_USER_LICENSE_HISTORY_RESPONSE = 4191
  # Constant AM_SUPPORT_CHANGE_PASSWORD for EMsg
  AM_SUPPORT_CHANGE_PASSWORD = 4194
  # Constant AM_SUPPORT_CHANGE_EMAIL for EMsg
  AM_SUPPORT_CHANGE_EMAIL = 4195
  # Constant AM_SUPPORT_CHANGE_SECRET_QA for EMsg
  AM_SUPPORT_CHANGE_SECRET_QA = 4196
  # Constant AM_RESET_USER_VERIFICATION_GS_BY_IP for EMsg
  AM_RESET_USER_VERIFICATION_GS_BY_IP = 4197
  # Constant AM_UPDATE_GS_PLAY_STATS for EMsg
  AM_UPDATE_GS_PLAY_STATS = 4198
  # Constant AM_SUPPORT_ENABLE_OR_DISABLE for EMsg
  AM_SUPPORT_ENABLE_OR_DISABLE = 4199
  # Constant AM_GET_COMMENTS for EMsg
  AM_GET_COMMENTS = 4200
  # Constant AM_GET_COMMENTS_RESPONSE for EMsg
  AM_GET_COMMENTS_RESPONSE = 4201
  # Constant AM_ADD_COMMENT for EMsg
  AM_ADD_COMMENT = 4202
  # Constant AM_ADD_COMMENT_RESPONSE for EMsg
  AM_ADD_COMMENT_RESPONSE = 4203
  # Constant AM_DELETE_COMMENT for EMsg
  AM_DELETE_COMMENT = 4204
  # Constant AM_DELETE_COMMENT_RESPONSE for EMsg
  AM_DELETE_COMMENT_RESPONSE = 4205
  # Constant AM_GET_PURCHASE_STATUS for EMsg
  AM_GET_PURCHASE_STATUS = 4206
  # Constant AM_SUPPORT_IS_ACCOUNT_ENABLED for EMsg
  AM_SUPPORT_IS_ACCOUNT_ENABLED = 4209
  # Constant AM_SUPPORT_IS_ACCOUNT_ENABLED_RESPONSE for EMsg
  AM_SUPPORT_IS_ACCOUNT_ENABLED_RESPONSE = 4210
  # Constant AM_GET_USER_STATS for EMsg
  AM_GET_USER_STATS = 4211
  # Constant AM_SUPPORT_KICK_SESSION for EMsg
  AM_SUPPORT_KICK_SESSION = 4212
  # Constant AMGS_SEARCH for EMsg
  AMGS_SEARCH = 4213
  # Constant MARKETING_MESSAGE_UPDATE for EMsg
  MARKETING_MESSAGE_UPDATE = 4216
  # Constant AM_ROUTE_FRIEND_MSG for EMsg
  AM_ROUTE_FRIEND_MSG = 4219
  # Constant AM_TICKET_AUTH_REQUEST_OR_RESPONSE for EMsg
  AM_TICKET_AUTH_REQUEST_OR_RESPONSE = 4220
  # Constant AM_VERIFY_DEPOT_MANAGEMENT_RIGHTS for EMsg
  AM_VERIFY_DEPOT_MANAGEMENT_RIGHTS = 4222
  # Constant AM_VERIFY_DEPOT_MANAGEMENT_RIGHTS_RESPONSE for EMsg
  AM_VERIFY_DEPOT_MANAGEMENT_RIGHTS_RESPONSE = 4223
  # Constant AM_ADD_FREE_LICENSE for EMsg
  AM_ADD_FREE_LICENSE = 4224
  # Constant AM_GET_USER_FRIENDS_MINUTES_PLAYED for EMsg
  AM_GET_USER_FRIENDS_MINUTES_PLAYED = 4225
  # Constant AM_GET_USER_FRIENDS_MINUTES_PLAYED_RESPONSE for EMsg
  AM_GET_USER_FRIENDS_MINUTES_PLAYED_RESPONSE = 4226
  # Constant AM_GET_USER_MINUTES_PLAYED for EMsg
  AM_GET_USER_MINUTES_PLAYED = 4227
  # Constant AM_GET_USER_MINUTES_PLAYED_RESPONSE for EMsg
  AM_GET_USER_MINUTES_PLAYED_RESPONSE = 4228
  # Constant AM_VALIDATE_EMAIL_LINK for EMsg
  AM_VALIDATE_EMAIL_LINK = 4231
  # Constant AM_VALIDATE_EMAIL_LINK_RESPONSE for EMsg
  AM_VALIDATE_EMAIL_LINK_RESPONSE = 4232
  # Constant AM_ADD_USERS_TO_MARKETING_TREATMENT for EMsg
  AM_ADD_USERS_TO_MARKETING_TREATMENT = 4234
  # Constant AM_STORE_USER_STATS for EMsg
  AM_STORE_USER_STATS = 4236
  # Constant AM_GET_USER_GAMEPLAY_INFO for EMsg
  AM_GET_USER_GAMEPLAY_INFO = 4237
  # Constant AM_GET_USER_GAMEPLAY_INFO_RESPONSE for EMsg
  AM_GET_USER_GAMEPLAY_INFO_RESPONSE = 4238
  # Constant AM_GET_CARD_LIST for EMsg
  AM_GET_CARD_LIST = 4239
  # Constant AM_GET_CARD_LIST_RESPONSE for EMsg
  AM_GET_CARD_LIST_RESPONSE = 4240
  # Constant AM_DELETE_STORED_CARD for EMsg
  AM_DELETE_STORED_CARD = 4241
  # Constant AM_REVOKE_LEGACY_GAME_KEYS for EMsg
  AM_REVOKE_LEGACY_GAME_KEYS = 4242
  # Constant AM_GET_WALLET_DETAILS for EMsg
  AM_GET_WALLET_DETAILS = 4244
  # Constant AM_GET_WALLET_DETAILS_RESPONSE for EMsg
  AM_GET_WALLET_DETAILS_RESPONSE = 4245
  # Constant AM_DELETE_STORED_PAYMENT_INFO for EMsg
  AM_DELETE_STORED_PAYMENT_INFO = 4246
  # Constant AM_GET_STORED_PAYMENT_SUMMARY for EMsg
  AM_GET_STORED_PAYMENT_SUMMARY = 4247
  # Constant AM_GET_STORED_PAYMENT_SUMMARY_RESPONSE for EMsg
  AM_GET_STORED_PAYMENT_SUMMARY_RESPONSE = 4248
  # Constant AM_GET_WALLET_CONVERSION_RATE for EMsg
  AM_GET_WALLET_CONVERSION_RATE = 4249
  # Constant AM_GET_WALLET_CONVERSION_RATE_RESPONSE for EMsg
  AM_GET_WALLET_CONVERSION_RATE_RESPONSE = 4250
  # Constant AM_CONVERT_WALLET for EMsg
  AM_CONVERT_WALLET = 4251
  # Constant AM_CONVERT_WALLET_RESPONSE for EMsg
  AM_CONVERT_WALLET_RESPONSE = 4252
  # Constant AM_RELAY_GET_FRIENDS_WHO_PLAY_GAME for EMsg
  AM_RELAY_GET_FRIENDS_WHO_PLAY_GAME = 4253
  # Constant AM_RELAY_GET_FRIENDS_WHO_PLAY_GAME_RESPONSE for EMsg
  AM_RELAY_GET_FRIENDS_WHO_PLAY_GAME_RESPONSE = 4254
  # Constant AM_SET_PRE_APPROVAL for EMsg
  AM_SET_PRE_APPROVAL = 4255
  # Constant AM_SET_PRE_APPROVAL_RESPONSE for EMsg
  AM_SET_PRE_APPROVAL_RESPONSE = 4256
  # Constant AM_MARKETING_TREATMENT_UPDATE for EMsg
  AM_MARKETING_TREATMENT_UPDATE = 4257
  # Constant AM_CREATE_REFUND for EMsg
  AM_CREATE_REFUND = 4258
  # Constant AM_CREATE_REFUND_RESPONSE for EMsg
  AM_CREATE_REFUND_RESPONSE = 4259
  # Constant AM_CREATE_CHARGEBACK for EMsg
  AM_CREATE_CHARGEBACK = 4260
  # Constant AM_CREATE_CHARGEBACK_RESPONSE for EMsg
  AM_CREATE_CHARGEBACK_RESPONSE = 4261
  # Constant AM_CREATE_DISPUTE for EMsg
  AM_CREATE_DISPUTE = 4262
  # Constant AM_CREATE_DISPUTE_RESPONSE for EMsg
  AM_CREATE_DISPUTE_RESPONSE = 4263
  # Constant AM_CLEAR_DISPUTE for EMsg
  AM_CLEAR_DISPUTE = 4264
  # Constant AM_CLEAR_DISPUTE_RESPONSE for EMsg
  AM_CLEAR_DISPUTE_RESPONSE = 4265
  # Constant AM_PLAYER_NICKNAME_LIST for EMsg
  AM_PLAYER_NICKNAME_LIST = 4266
  # Constant AM_PLAYER_NICKNAME_LIST_RESPONSE for EMsg
  AM_PLAYER_NICKNAME_LIST_RESPONSE = 4267
  # Constant AM_SET_DRM_TEST_CONFIG for EMsg
  AM_SET_DRM_TEST_CONFIG = 4268
  # Constant AM_GET_USER_CURRENT_GAME_INFO for EMsg
  AM_GET_USER_CURRENT_GAME_INFO = 4269
  # Constant AM_GET_USER_CURRENT_GAME_INFO_RESPONSE for EMsg
  AM_GET_USER_CURRENT_GAME_INFO_RESPONSE = 4270
  # Constant AM_GET_GS_PLAYER_LIST for EMsg
  AM_GET_GS_PLAYER_LIST = 4271
  # Constant AM_GET_GS_PLAYER_LIST_RESPONSE for EMsg
  AM_GET_GS_PLAYER_LIST_RESPONSE = 4272
  # Constant AM_UPDATE_PERSONA_STATE_CACHE for EMsg
  AM_UPDATE_PERSONA_STATE_CACHE = 4275
  # Constant AM_GET_GAME_MEMBERS for EMsg
  AM_GET_GAME_MEMBERS = 4276
  # Constant AM_GET_GAME_MEMBERS_RESPONSE for EMsg
  AM_GET_GAME_MEMBERS_RESPONSE = 4277
  # Constant AM_GET_STEAM_ID_FOR_MICRO_TXN for EMsg
  AM_GET_STEAM_ID_FOR_MICRO_TXN = 4278
  # Constant AM_GET_STEAM_ID_FOR_MICRO_TXN_RESPONSE for EMsg
  AM_GET_STEAM_ID_FOR_MICRO_TXN_RESPONSE = 4279
  # Constant AM_ADD_PUBLISHER_USER for EMsg
  AM_ADD_PUBLISHER_USER = 4280
  # Constant AM_REMOVE_PUBLISHER_USER for EMsg
  AM_REMOVE_PUBLISHER_USER = 4281
  # Constant AM_GET_USER_LICENSE_LIST for EMsg
  AM_GET_USER_LICENSE_LIST = 4282
  # Constant AM_GET_USER_LICENSE_LIST_RESPONSE for EMsg
  AM_GET_USER_LICENSE_LIST_RESPONSE = 4283
  # Constant AM_RELOAD_GAME_GROUP_POLICY for EMsg
  AM_RELOAD_GAME_GROUP_POLICY = 4284
  # Constant AM_ADD_FREE_LICENSE_RESPONSE for EMsg
  AM_ADD_FREE_LICENSE_RESPONSE = 4285
  # Constant AMVAC_STATUS_UPDATE for EMsg
  AMVAC_STATUS_UPDATE = 4286
  # Constant AM_GET_ACCOUNT_DETAILS for EMsg
  AM_GET_ACCOUNT_DETAILS = 4287
  # Constant AM_GET_ACCOUNT_DETAILS_RESPONSE for EMsg
  AM_GET_ACCOUNT_DETAILS_RESPONSE = 4288
  # Constant AM_GET_PLAYER_LINK_DETAILS for EMsg
  AM_GET_PLAYER_LINK_DETAILS = 4289
  # Constant AM_GET_PLAYER_LINK_DETAILS_RESPONSE for EMsg
  AM_GET_PLAYER_LINK_DETAILS_RESPONSE = 4290
  # Constant AM_SUBSCRIBE_TO_PERSONA_FEED for EMsg
  AM_SUBSCRIBE_TO_PERSONA_FEED = 4291
  # Constant AM_GET_USER_VAC_BAN_LIST for EMsg
  AM_GET_USER_VAC_BAN_LIST = 4292
  # Constant AM_GET_USER_VAC_BAN_LIST_RESPONSE for EMsg
  AM_GET_USER_VAC_BAN_LIST_RESPONSE = 4293
  # Constant AM_GET_ACCOUNT_FLAGS_FOR_WG_SPOOFING for EMsg
  AM_GET_ACCOUNT_FLAGS_FOR_WG_SPOOFING = 4294
  # Constant AM_GET_ACCOUNT_FLAGS_FOR_WG_SPOOFING_RESPONSE for EMsg
  AM_GET_ACCOUNT_FLAGS_FOR_WG_SPOOFING_RESPONSE = 4295
  # Constant AM_GET_FRIENDS_WISHLIST_INFO for EMsg
  AM_GET_FRIENDS_WISHLIST_INFO = 4296
  # Constant AM_GET_FRIENDS_WISHLIST_INFO_RESPONSE for EMsg
  AM_GET_FRIENDS_WISHLIST_INFO_RESPONSE = 4297
  # Constant AM_GET_CLAN_OFFICERS for EMsg
  AM_GET_CLAN_OFFICERS = 4298
  # Constant AM_GET_CLAN_OFFICERS_RESPONSE for EMsg
  AM_GET_CLAN_OFFICERS_RESPONSE = 4299
  # Constant AM_NAME_CHANGE for EMsg
  AM_NAME_CHANGE = 4300
  # Constant AM_GET_NAME_HISTORY for EMsg
  AM_GET_NAME_HISTORY = 4301
  # Constant AM_GET_NAME_HISTORY_RESPONSE for EMsg
  AM_GET_NAME_HISTORY_RESPONSE = 4302
  # Constant AM_UPDATE_PROVIDER_STATUS for EMsg
  AM_UPDATE_PROVIDER_STATUS = 4305
  # Constant AM_CLEAR_PERSONA_METADATA_BLOB for EMsg
  AM_CLEAR_PERSONA_METADATA_BLOB = 4306
  # Constant AM_SUPPORT_REMOVE_ACCOUNT_SECURITY for EMsg
  AM_SUPPORT_REMOVE_ACCOUNT_SECURITY = 4307
  # Constant AM_IS_ACCOUNT_IN_CAPTCHA_GRACE_PERIOD for EMsg
  AM_IS_ACCOUNT_IN_CAPTCHA_GRACE_PERIOD = 4308
  # Constant AM_IS_ACCOUNT_IN_CAPTCHA_GRACE_PERIOD_RESPONSE for EMsg
  AM_IS_ACCOUNT_IN_CAPTCHA_GRACE_PERIOD_RESPONSE = 4309
  # Constant AM_ACCOUNT_PS3_UNLINK for EMsg
  AM_ACCOUNT_PS3_UNLINK = 4310
  # Constant AM_ACCOUNT_PS3_UNLINK_RESPONSE for EMsg
  AM_ACCOUNT_PS3_UNLINK_RESPONSE = 4311
  # Constant AM_STORE_USER_STATS_RESPONSE for EMsg
  AM_STORE_USER_STATS_RESPONSE = 4312
  # Constant AM_GET_ACCOUNT_PSN_INFO for EMsg
  AM_GET_ACCOUNT_PSN_INFO = 4313
  # Constant AM_GET_ACCOUNT_PSN_INFO_RESPONSE for EMsg
  AM_GET_ACCOUNT_PSN_INFO_RESPONSE = 4314
  # Constant AM_AUTHENTICATED_PLAYER_LIST for EMsg
  AM_AUTHENTICATED_PLAYER_LIST = 4315
  # Constant AM_GET_USER_GIFTS for EMsg
  AM_GET_USER_GIFTS = 4316
  # Constant AM_GET_USER_GIFTS_RESPONSE for EMsg
  AM_GET_USER_GIFTS_RESPONSE = 4317
  # Constant AM_TRANSFER_LOCKED_GIFTS for EMsg
  AM_TRANSFER_LOCKED_GIFTS = 4320
  # Constant AM_TRANSFER_LOCKED_GIFTS_RESPONSE for EMsg
  AM_TRANSFER_LOCKED_GIFTS_RESPONSE = 4321
  # Constant AM_PLAYER_HOSTED_ON_GAME_SERVER for EMsg
  AM_PLAYER_HOSTED_ON_GAME_SERVER = 4322
  # Constant AM_GET_ACCOUNT_BAN_INFO for EMsg
  AM_GET_ACCOUNT_BAN_INFO = 4323
  # Constant AM_GET_ACCOUNT_BAN_INFO_RESPONSE for EMsg
  AM_GET_ACCOUNT_BAN_INFO_RESPONSE = 4324
  # Constant AM_RECORD_BAN_ENFORCEMENT for EMsg
  AM_RECORD_BAN_ENFORCEMENT = 4325
  # Constant AM_ROLLBACK_GIFT_TRANSFER for EMsg
  AM_ROLLBACK_GIFT_TRANSFER = 4326
  # Constant AM_ROLLBACK_GIFT_TRANSFER_RESPONSE for EMsg
  AM_ROLLBACK_GIFT_TRANSFER_RESPONSE = 4327
  # Constant AM_HANDLE_PENDING_TRANSACTION for EMsg
  AM_HANDLE_PENDING_TRANSACTION = 4328
  # Constant AM_REQUEST_CLAN_DETAILS for EMsg
  AM_REQUEST_CLAN_DETAILS = 4329
  # Constant AM_DELETE_STORED_PAYPAL_AGREEMENT for EMsg
  AM_DELETE_STORED_PAYPAL_AGREEMENT = 4330
  # Constant AM_GAME_SERVER_UPDATE for EMsg
  AM_GAME_SERVER_UPDATE = 4331
  # Constant AM_GAME_SERVER_REMOVE for EMsg
  AM_GAME_SERVER_REMOVE = 4332
  # Constant AM_GET_PAYPAL_AGREEMENTS for EMsg
  AM_GET_PAYPAL_AGREEMENTS = 4333
  # Constant AM_GET_PAYPAL_AGREEMENTS_RESPONSE for EMsg
  AM_GET_PAYPAL_AGREEMENTS_RESPONSE = 4334
  # Constant AM_GAME_SERVER_PLAYER_COMPATIBILITY_CHECK for EMsg
  AM_GAME_SERVER_PLAYER_COMPATIBILITY_CHECK = 4335
  # Constant AM_GAME_SERVER_PLAYER_COMPATIBILITY_CHECK_RESPONSE for EMsg
  AM_GAME_SERVER_PLAYER_COMPATIBILITY_CHECK_RESPONSE = 4336
  # Constant AM_RENEW_LICENSE for EMsg
  AM_RENEW_LICENSE = 4337
  # Constant AM_GET_ACCOUNT_COMMUNITY_BAN_INFO for EMsg
  AM_GET_ACCOUNT_COMMUNITY_BAN_INFO = 4338
  # Constant AM_GET_ACCOUNT_COMMUNITY_BAN_INFO_RESPONSE for EMsg
  AM_GET_ACCOUNT_COMMUNITY_BAN_INFO_RESPONSE = 4339
  # Constant AM_GAME_SERVER_ACCOUNT_CHANGE_PASSWORD for EMsg
  AM_GAME_SERVER_ACCOUNT_CHANGE_PASSWORD = 4340
  # Constant AM_GAME_SERVER_ACCOUNT_DELETE_ACCOUNT for EMsg
  AM_GAME_SERVER_ACCOUNT_DELETE_ACCOUNT = 4341
  # Constant AM_RENEW_AGREEMENT for EMsg
  AM_RENEW_AGREEMENT = 4342
  # Constant AM_SEND_EMAIL for EMsg
  AM_SEND_EMAIL = 4343
  # Constant AM_XSOLLA_PAYMENT for EMsg
  AM_XSOLLA_PAYMENT = 4344
  # Constant AM_XSOLLA_PAYMENT_RESPONSE for EMsg
  AM_XSOLLA_PAYMENT_RESPONSE = 4345
  # Constant AM_ACCT_ALLOWED_TO_PURCHASE for EMsg
  AM_ACCT_ALLOWED_TO_PURCHASE = 4346
  # Constant AM_ACCT_ALLOWED_TO_PURCHASE_RESPONSE for EMsg
  AM_ACCT_ALLOWED_TO_PURCHASE_RESPONSE = 4347
  # Constant AM_SWAP_KIOSK_DEPOSIT for EMsg
  AM_SWAP_KIOSK_DEPOSIT = 4348
  # Constant AM_SWAP_KIOSK_DEPOSIT_RESPONSE for EMsg
  AM_SWAP_KIOSK_DEPOSIT_RESPONSE = 4349
  # Constant AM_SET_USER_GIFT_UNOWNED for EMsg
  AM_SET_USER_GIFT_UNOWNED = 4350
  # Constant AM_SET_USER_GIFT_UNOWNED_RESPONSE for EMsg
  AM_SET_USER_GIFT_UNOWNED_RESPONSE = 4351
  # Constant AM_CLAIM_UNOWNED_USER_GIFT for EMsg
  AM_CLAIM_UNOWNED_USER_GIFT = 4352
  # Constant AM_CLAIM_UNOWNED_USER_GIFT_RESPONSE for EMsg
  AM_CLAIM_UNOWNED_USER_GIFT_RESPONSE = 4353
  # Constant AM_SET_CLAN_NAME for EMsg
  AM_SET_CLAN_NAME = 4354
  # Constant AM_SET_CLAN_NAME_RESPONSE for EMsg
  AM_SET_CLAN_NAME_RESPONSE = 4355
  # Constant AM_GRANT_COUPON for EMsg
  AM_GRANT_COUPON = 4356
  # Constant AM_GRANT_COUPON_RESPONSE for EMsg
  AM_GRANT_COUPON_RESPONSE = 4357
  # Constant AM_IS_PACKAGE_RESTRICTED_IN_USER_COUNTRY for EMsg
  AM_IS_PACKAGE_RESTRICTED_IN_USER_COUNTRY = 4358
  # Constant AM_IS_PACKAGE_RESTRICTED_IN_USER_COUNTRY_RESPONSE for EMsg
  AM_IS_PACKAGE_RESTRICTED_IN_USER_COUNTRY_RESPONSE = 4359
  # Constant AM_HANDLE_PENDING_TRANSACTION_RESPONSE for EMsg
  AM_HANDLE_PENDING_TRANSACTION_RESPONSE = 4360
  # Constant AM_GRANT_GUEST_PASSES2 for EMsg
  AM_GRANT_GUEST_PASSES2 = 4361
  # Constant AM_GRANT_GUEST_PASSES2_RESPONSE for EMsg
  AM_GRANT_GUEST_PASSES2_RESPONSE = 4362
  # Constant AM_SESSION_QUERY for EMsg
  AM_SESSION_QUERY = 4363
  # Constant AM_SESSION_QUERY_RESPONSE for EMsg
  AM_SESSION_QUERY_RESPONSE = 4364
  # Constant AM_GET_PLAYER_BAN_DETAILS for EMsg
  AM_GET_PLAYER_BAN_DETAILS = 4365
  # Constant AM_GET_PLAYER_BAN_DETAILS_RESPONSE for EMsg
  AM_GET_PLAYER_BAN_DETAILS_RESPONSE = 4366
  # Constant AM_FINALIZE_PURCHASE for EMsg
  AM_FINALIZE_PURCHASE = 4367
  # Constant AM_FINALIZE_PURCHASE_RESPONSE for EMsg
  AM_FINALIZE_PURCHASE_RESPONSE = 4368
  # Constant AM_PERSONA_CHANGE_RESPONSE for EMsg
  AM_PERSONA_CHANGE_RESPONSE = 4372
  # Constant AM_GET_CLAN_DETAILS_FOR_FORUM_CREATION for EMsg
  AM_GET_CLAN_DETAILS_FOR_FORUM_CREATION = 4373
  # Constant AM_GET_CLAN_DETAILS_FOR_FORUM_CREATION_RESPONSE for EMsg
  AM_GET_CLAN_DETAILS_FOR_FORUM_CREATION_RESPONSE = 4374
  # Constant AM_GET_PENDING_NOTIFICATION_COUNT for EMsg
  AM_GET_PENDING_NOTIFICATION_COUNT = 4375
  # Constant AM_GET_PENDING_NOTIFICATION_COUNT_RESPONSE for EMsg
  AM_GET_PENDING_NOTIFICATION_COUNT_RESPONSE = 4376
  # Constant AM_PASSWORD_HASH_UPGRADE for EMsg
  AM_PASSWORD_HASH_UPGRADE = 4377
  # Constant AM_MO_PAY_PAYMENT for EMsg
  AM_MO_PAY_PAYMENT = 4378
  # Constant AM_MO_PAY_PAYMENT_RESPONSE for EMsg
  AM_MO_PAY_PAYMENT_RESPONSE = 4379
  # Constant AM_BOA_COMPRA_PAYMENT for EMsg
  AM_BOA_COMPRA_PAYMENT = 4380
  # Constant AM_BOA_COMPRA_PAYMENT_RESPONSE for EMsg
  AM_BOA_COMPRA_PAYMENT_RESPONSE = 4381
  # Constant AM_EXPIRE_CAPTCHA_BY_GID for EMsg
  AM_EXPIRE_CAPTCHA_BY_GID = 4382
  # Constant AM_COMPLETE_EXTERNAL_PURCHASE for EMsg
  AM_COMPLETE_EXTERNAL_PURCHASE = 4383
  # Constant AM_COMPLETE_EXTERNAL_PURCHASE_RESPONSE for EMsg
  AM_COMPLETE_EXTERNAL_PURCHASE_RESPONSE = 4384
  # Constant AM_RESOLVE_NEGATIVE_WALLET_CREDITS for EMsg
  AM_RESOLVE_NEGATIVE_WALLET_CREDITS = 4385
  # Constant AM_RESOLVE_NEGATIVE_WALLET_CREDITS_RESPONSE for EMsg
  AM_RESOLVE_NEGATIVE_WALLET_CREDITS_RESPONSE = 4386
  # Constant AM_PAYELP_PAYMENT for EMsg
  AM_PAYELP_PAYMENT = 4387
  # Constant AM_PAYELP_PAYMENT_RESPONSE for EMsg
  AM_PAYELP_PAYMENT_RESPONSE = 4388
  # Constant AM_PLAYER_GET_CLAN_BASIC_DETAILS for EMsg
  AM_PLAYER_GET_CLAN_BASIC_DETAILS = 4389
  # Constant AM_PLAYER_GET_CLAN_BASIC_DETAILS_RESPONSE for EMsg
  AM_PLAYER_GET_CLAN_BASIC_DETAILS_RESPONSE = 4390
  # Constant AM_TWO_FACTOR_RECOVER_AUTHENTICATOR_REQUEST for EMsg
  AM_TWO_FACTOR_RECOVER_AUTHENTICATOR_REQUEST = 4402
  # Constant AM_TWO_FACTOR_RECOVER_AUTHENTICATOR_RESPONSE for EMsg
  AM_TWO_FACTOR_RECOVER_AUTHENTICATOR_RESPONSE = 4403
  # Constant AM_VALIDATE_PASSWORD_RESET_CODE_AND_SEND_SMS_REQUEST for EMsg
  AM_VALIDATE_PASSWORD_RESET_CODE_AND_SEND_SMS_REQUEST = 4406
  # Constant AM_VALIDATE_PASSWORD_RESET_CODE_AND_SEND_SMS_RESPONSE for EMsg
  AM_VALIDATE_PASSWORD_RESET_CODE_AND_SEND_SMS_RESPONSE = 4407
  # Constant AM_GET_ACCOUNT_RESET_DETAILS_REQUEST for EMsg
  AM_GET_ACCOUNT_RESET_DETAILS_REQUEST = 4408
  # Constant AM_GET_ACCOUNT_RESET_DETAILS_RESPONSE for EMsg
  AM_GET_ACCOUNT_RESET_DETAILS_RESPONSE = 4409
  # Constant BASE_PS_RANGE for EMsg
  BASE_PS_RANGE = 5000
  # Constant PS_CREATE_SHOPPING_CART for EMsg
  PS_CREATE_SHOPPING_CART = 5001
  # Constant PS_CREATE_SHOPPING_CART_RESPONSE for EMsg
  PS_CREATE_SHOPPING_CART_RESPONSE = 5002
  # Constant PS_IS_VALID_SHOPPING_CART for EMsg
  PS_IS_VALID_SHOPPING_CART = 5003
  # Constant PS_IS_VALID_SHOPPING_CART_RESPONSE for EMsg
  PS_IS_VALID_SHOPPING_CART_RESPONSE = 5004
  # Constant PS_ADD_PACKAGE_TO_SHOPPING_CART for EMsg
  PS_ADD_PACKAGE_TO_SHOPPING_CART = 5005
  # Constant PS_ADD_PACKAGE_TO_SHOPPING_CART_RESPONSE for EMsg
  PS_ADD_PACKAGE_TO_SHOPPING_CART_RESPONSE = 5006
  # Constant PS_REMOVE_LINE_ITEM_FROM_SHOPPING_CART for EMsg
  PS_REMOVE_LINE_ITEM_FROM_SHOPPING_CART = 5007
  # Constant PS_REMOVE_LINE_ITEM_FROM_SHOPPING_CART_RESPONSE for EMsg
  PS_REMOVE_LINE_ITEM_FROM_SHOPPING_CART_RESPONSE = 5008
  # Constant PS_GET_SHOPPING_CART_CONTENTS for EMsg
  PS_GET_SHOPPING_CART_CONTENTS = 5009
  # Constant PS_GET_SHOPPING_CART_CONTENTS_RESPONSE for EMsg
  PS_GET_SHOPPING_CART_CONTENTS_RESPONSE = 5010
  # Constant PS_ADD_WALLET_CREDIT_TO_SHOPPING_CART for EMsg
  PS_ADD_WALLET_CREDIT_TO_SHOPPING_CART = 5011
  # Constant PS_ADD_WALLET_CREDIT_TO_SHOPPING_CART_RESPONSE for EMsg
  PS_ADD_WALLET_CREDIT_TO_SHOPPING_CART_RESPONSE = 5012
  # Constant BASE_UFS_RANGE for EMsg
  BASE_UFS_RANGE = 5200
  # Constant CLIENT_UFS_UPLOAD_FILE_REQUEST for EMsg
  CLIENT_UFS_UPLOAD_FILE_REQUEST = 5202
  # Constant CLIENT_UFS_UPLOAD_FILE_RESPONSE for EMsg
  CLIENT_UFS_UPLOAD_FILE_RESPONSE = 5203
  # Constant CLIENT_UFS_UPLOAD_FILE_CHUNK for EMsg
  CLIENT_UFS_UPLOAD_FILE_CHUNK = 5204
  # Constant CLIENT_UFS_UPLOAD_FILE_FINISHED for EMsg
  CLIENT_UFS_UPLOAD_FILE_FINISHED = 5205
  # Constant CLIENT_UFS_GET_FILE_LIST_FOR_APP for EMsg
  CLIENT_UFS_GET_FILE_LIST_FOR_APP = 5206
  # Constant CLIENT_UFS_GET_FILE_LIST_FOR_APP_RESPONSE for EMsg
  CLIENT_UFS_GET_FILE_LIST_FOR_APP_RESPONSE = 5207
  # Constant CLIENT_UFS_DOWNLOAD_REQUEST for EMsg
  CLIENT_UFS_DOWNLOAD_REQUEST = 5210
  # Constant CLIENT_UFS_DOWNLOAD_RESPONSE for EMsg
  CLIENT_UFS_DOWNLOAD_RESPONSE = 5211
  # Constant CLIENT_UFS_DOWNLOAD_CHUNK for EMsg
  CLIENT_UFS_DOWNLOAD_CHUNK = 5212
  # Constant CLIENT_UFS_LOGIN_REQUEST for EMsg
  CLIENT_UFS_LOGIN_REQUEST = 5213
  # Constant CLIENT_UFS_LOGIN_RESPONSE for EMsg
  CLIENT_UFS_LOGIN_RESPONSE = 5214
  # Constant UFS_RELOAD_PARTITION_INFO for EMsg
  UFS_RELOAD_PARTITION_INFO = 5215
  # Constant CLIENT_UFS_TRANSFER_HEARTBEAT for EMsg
  CLIENT_UFS_TRANSFER_HEARTBEAT = 5216
  # Constant UFS_SYNCHRONIZE_FILE for EMsg
  UFS_SYNCHRONIZE_FILE = 5217
  # Constant UFS_SYNCHRONIZE_FILE_RESPONSE for EMsg
  UFS_SYNCHRONIZE_FILE_RESPONSE = 5218
  # Constant CLIENT_UFS_DELETE_FILE_REQUEST for EMsg
  CLIENT_UFS_DELETE_FILE_REQUEST = 5219
  # Constant CLIENT_UFS_DELETE_FILE_RESPONSE for EMsg
  CLIENT_UFS_DELETE_FILE_RESPONSE = 5220
  # Constant UFS_DOWNLOAD_REQUEST for EMsg
  UFS_DOWNLOAD_REQUEST = 5221
  # Constant UFS_DOWNLOAD_RESPONSE for EMsg
  UFS_DOWNLOAD_RESPONSE = 5222
  # Constant UFS_DOWNLOAD_CHUNK for EMsg
  UFS_DOWNLOAD_CHUNK = 5223
  # Constant CLIENT_UFS_GET_UGC_DETAILS for EMsg
  CLIENT_UFS_GET_UGC_DETAILS = 5226
  # Constant CLIENT_UFS_GET_UGC_DETAILS_RESPONSE for EMsg
  CLIENT_UFS_GET_UGC_DETAILS_RESPONSE = 5227
  # Constant UFS_UPDATE_FILE_FLAGS for EMsg
  UFS_UPDATE_FILE_FLAGS = 5228
  # Constant UFS_UPDATE_FILE_FLAGS_RESPONSE for EMsg
  UFS_UPDATE_FILE_FLAGS_RESPONSE = 5229
  # Constant CLIENT_UFS_GET_SINGLE_FILE_INFO for EMsg
  CLIENT_UFS_GET_SINGLE_FILE_INFO = 5230
  # Constant CLIENT_UFS_GET_SINGLE_FILE_INFO_RESPONSE for EMsg
  CLIENT_UFS_GET_SINGLE_FILE_INFO_RESPONSE = 5231
  # Constant CLIENT_UFS_SHARE_FILE for EMsg
  CLIENT_UFS_SHARE_FILE = 5232
  # Constant CLIENT_UFS_SHARE_FILE_RESPONSE for EMsg
  CLIENT_UFS_SHARE_FILE_RESPONSE = 5233
  # Constant UFS_RELOAD_ACCOUNT for EMsg
  UFS_RELOAD_ACCOUNT = 5234
  # Constant UFS_RELOAD_ACCOUNT_RESPONSE for EMsg
  UFS_RELOAD_ACCOUNT_RESPONSE = 5235
  # Constant UFS_UPDATE_RECORD_BATCHED for EMsg
  UFS_UPDATE_RECORD_BATCHED = 5236
  # Constant UFS_UPDATE_RECORD_BATCHED_RESPONSE for EMsg
  UFS_UPDATE_RECORD_BATCHED_RESPONSE = 5237
  # Constant UFS_MIGRATE_FILE for EMsg
  UFS_MIGRATE_FILE = 5238
  # Constant UFS_MIGRATE_FILE_RESPONSE for EMsg
  UFS_MIGRATE_FILE_RESPONSE = 5239
  # Constant UFS_GET_UGCUR_LS for EMsg
  UFS_GET_UGCUR_LS = 5240
  # Constant UFS_GET_UGCUR_LS_RESPONSE for EMsg
  UFS_GET_UGCUR_LS_RESPONSE = 5241
  # Constant UFS_HTTP_UPLOAD_FILE_FINISH_REQUEST for EMsg
  UFS_HTTP_UPLOAD_FILE_FINISH_REQUEST = 5242
  # Constant UFS_HTTP_UPLOAD_FILE_FINISH_RESPONSE for EMsg
  UFS_HTTP_UPLOAD_FILE_FINISH_RESPONSE = 5243
  # Constant UFS_DOWNLOAD_START_REQUEST for EMsg
  UFS_DOWNLOAD_START_REQUEST = 5244
  # Constant UFS_DOWNLOAD_START_RESPONSE for EMsg
  UFS_DOWNLOAD_START_RESPONSE = 5245
  # Constant UFS_DOWNLOAD_CHUNK_REQUEST for EMsg
  UFS_DOWNLOAD_CHUNK_REQUEST = 5246
  # Constant UFS_DOWNLOAD_CHUNK_RESPONSE for EMsg
  UFS_DOWNLOAD_CHUNK_RESPONSE = 5247
  # Constant UFS_DOWNLOAD_FINISH_REQUEST for EMsg
  UFS_DOWNLOAD_FINISH_REQUEST = 5248
  # Constant UFS_DOWNLOAD_FINISH_RESPONSE for EMsg
  UFS_DOWNLOAD_FINISH_RESPONSE = 5249
  # Constant UFS_FLUSH_URL_CACHE for EMsg
  UFS_FLUSH_URL_CACHE = 5250
  # Constant UFS_UPLOAD_COMMIT for EMsg
  UFS_UPLOAD_COMMIT = 5251
  # Constant UFS_UPLOAD_COMMIT_RESPONSE for EMsg
  UFS_UPLOAD_COMMIT_RESPONSE = 5252
  # Constant BASE_CLIENT2 for EMsg
  BASE_CLIENT2 = 5400
  # Constant CLIENT_REQUEST_FORGOTTEN_PASSWORD_EMAIL for EMsg
  CLIENT_REQUEST_FORGOTTEN_PASSWORD_EMAIL = 5401
  # Constant CLIENT_REQUEST_FORGOTTEN_PASSWORD_EMAIL_RESPONSE for EMsg
  CLIENT_REQUEST_FORGOTTEN_PASSWORD_EMAIL_RESPONSE = 5402
  # Constant CLIENT_CREATE_ACCOUNT_RESPONSE for EMsg
  CLIENT_CREATE_ACCOUNT_RESPONSE = 5403
  # Constant CLIENT_RESET_FORGOTTEN_PASSWORD for EMsg
  CLIENT_RESET_FORGOTTEN_PASSWORD = 5404
  # Constant CLIENT_RESET_FORGOTTEN_PASSWORD_RESPONSE for EMsg
  CLIENT_RESET_FORGOTTEN_PASSWORD_RESPONSE = 5405
  # Constant CLIENT_CREATE_ACCOUNT2 for EMsg
  CLIENT_CREATE_ACCOUNT2 = 5406
  # Constant CLIENT_INFORM_OF_RESET_FORGOTTEN_PASSWORD for EMsg
  CLIENT_INFORM_OF_RESET_FORGOTTEN_PASSWORD = 5407
  # Constant CLIENT_INFORM_OF_RESET_FORGOTTEN_PASSWORD_RESPONSE for EMsg
  CLIENT_INFORM_OF_RESET_FORGOTTEN_PASSWORD_RESPONSE = 5408
  # Constant CLIENT_ANON_USER_LOG_ON_DEPRECATED for EMsg
  CLIENT_ANON_USER_LOG_ON_DEPRECATED = 5409
  # Constant CLIENT_GAMES_PLAYED_WITH_DATA_BLOB for EMsg
  CLIENT_GAMES_PLAYED_WITH_DATA_BLOB = 5410
  # Constant CLIENT_UPDATE_USER_GAME_INFO for EMsg
  CLIENT_UPDATE_USER_GAME_INFO = 5411
  # Constant CLIENT_FILE_TO_DOWNLOAD for EMsg
  CLIENT_FILE_TO_DOWNLOAD = 5412
  # Constant CLIENT_FILE_TO_DOWNLOAD_RESPONSE for EMsg
  CLIENT_FILE_TO_DOWNLOAD_RESPONSE = 5413
  # Constant CLIENT_LBS_SET_SCORE for EMsg
  CLIENT_LBS_SET_SCORE = 5414
  # Constant CLIENT_LBS_SET_SCORE_RESPONSE for EMsg
  CLIENT_LBS_SET_SCORE_RESPONSE = 5415
  # Constant CLIENT_LBS_FIND_OR_CREATE_LB for EMsg
  CLIENT_LBS_FIND_OR_CREATE_LB = 5416
  # Constant CLIENT_LBS_FIND_OR_CREATE_LB_RESPONSE for EMsg
  CLIENT_LBS_FIND_OR_CREATE_LB_RESPONSE = 5417
  # Constant CLIENT_LBS_GET_LB_ENTRIES for EMsg
  CLIENT_LBS_GET_LB_ENTRIES = 5418
  # Constant CLIENT_LBS_GET_LB_ENTRIES_RESPONSE for EMsg
  CLIENT_LBS_GET_LB_ENTRIES_RESPONSE = 5419
  # Constant CLIENT_MARKETING_MESSAGE_UPDATE for EMsg
  CLIENT_MARKETING_MESSAGE_UPDATE = 5420
  # Constant CLIENT_CHAT_DECLINED for EMsg
  CLIENT_CHAT_DECLINED = 5426
  # Constant CLIENT_FRIEND_MSG_INCOMING for EMsg
  CLIENT_FRIEND_MSG_INCOMING = 5427
  # Constant CLIENT_AUTH_LIST_DEPRECATED for EMsg
  CLIENT_AUTH_LIST_DEPRECATED = 5428
  # Constant CLIENT_TICKET_AUTH_COMPLETE for EMsg
  CLIENT_TICKET_AUTH_COMPLETE = 5429
  # Constant CLIENT_IS_LIMITED_ACCOUNT for EMsg
  CLIENT_IS_LIMITED_ACCOUNT = 5430
  # Constant CLIENT_REQUEST_AUTH_LIST for EMsg
  CLIENT_REQUEST_AUTH_LIST = 5431
  # Constant CLIENT_AUTH_LIST for EMsg
  CLIENT_AUTH_LIST = 5432
  # Constant CLIENT_STAT for EMsg
  CLIENT_STAT = 5433
  # Constant CLIENT_P2_P_CONNECTION_INFO for EMsg
  CLIENT_P2_P_CONNECTION_INFO = 5434
  # Constant CLIENT_P2_P_CONNECTION_FAIL_INFO for EMsg
  CLIENT_P2_P_CONNECTION_FAIL_INFO = 5435
  # Constant CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS for EMsg
  CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS = 5436
  # Constant CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS_RESPONSE for EMsg
  CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS_RESPONSE = 5437
  # Constant CLIENT_GET_DEPOT_DECRYPTION_KEY for EMsg
  CLIENT_GET_DEPOT_DECRYPTION_KEY = 5438
  # Constant CLIENT_GET_DEPOT_DECRYPTION_KEY_RESPONSE for EMsg
  CLIENT_GET_DEPOT_DECRYPTION_KEY_RESPONSE = 5439
  # Constant GS_PERFORM_HARDWARE_SURVEY for EMsg
  GS_PERFORM_HARDWARE_SURVEY = 5440
  # Constant CLIENT_GET_APP_BETA_PASSWORDS for EMsg
  CLIENT_GET_APP_BETA_PASSWORDS = 5441
  # Constant CLIENT_GET_APP_BETA_PASSWORDS_RESPONSE for EMsg
  CLIENT_GET_APP_BETA_PASSWORDS_RESPONSE = 5442
  # Constant CLIENT_ENABLE_TEST_LICENSE for EMsg
  CLIENT_ENABLE_TEST_LICENSE = 5443
  # Constant CLIENT_ENABLE_TEST_LICENSE_RESPONSE for EMsg
  CLIENT_ENABLE_TEST_LICENSE_RESPONSE = 5444
  # Constant CLIENT_DISABLE_TEST_LICENSE for EMsg
  CLIENT_DISABLE_TEST_LICENSE = 5445
  # Constant CLIENT_DISABLE_TEST_LICENSE_RESPONSE for EMsg
  CLIENT_DISABLE_TEST_LICENSE_RESPONSE = 5446
  # Constant CLIENT_REQUEST_VALIDATION_MAIL for EMsg
  CLIENT_REQUEST_VALIDATION_MAIL = 5448
  # Constant CLIENT_REQUEST_VALIDATION_MAIL_RESPONSE for EMsg
  CLIENT_REQUEST_VALIDATION_MAIL_RESPONSE = 5449
  # Constant CLIENT_CHECK_APP_BETA_PASSWORD for EMsg
  CLIENT_CHECK_APP_BETA_PASSWORD = 5450
  # Constant CLIENT_CHECK_APP_BETA_PASSWORD_RESPONSE for EMsg
  CLIENT_CHECK_APP_BETA_PASSWORD_RESPONSE = 5451
  # Constant CLIENT_TO_GC for EMsg
  CLIENT_TO_GC = 5452
  # Constant CLIENT_FROM_GC for EMsg
  CLIENT_FROM_GC = 5453
  # Constant CLIENT_REQUEST_CHANGE_MAIL for EMsg
  CLIENT_REQUEST_CHANGE_MAIL = 5454
  # Constant CLIENT_REQUEST_CHANGE_MAIL_RESPONSE for EMsg
  CLIENT_REQUEST_CHANGE_MAIL_RESPONSE = 5455
  # Constant CLIENT_EMAIL_ADDR_INFO for EMsg
  CLIENT_EMAIL_ADDR_INFO = 5456
  # Constant CLIENT_PASSWORD_CHANGE3 for EMsg
  CLIENT_PASSWORD_CHANGE3 = 5457
  # Constant CLIENT_EMAIL_CHANGE3 for EMsg
  CLIENT_EMAIL_CHANGE3 = 5458
  # Constant CLIENT_PERSONAL_QA_CHANGE3 for EMsg
  CLIENT_PERSONAL_QA_CHANGE3 = 5459
  # Constant CLIENT_RESET_FORGOTTEN_PASSWORD3 for EMsg
  CLIENT_RESET_FORGOTTEN_PASSWORD3 = 5460
  # Constant CLIENT_REQUEST_FORGOTTEN_PASSWORD_EMAIL3 for EMsg
  CLIENT_REQUEST_FORGOTTEN_PASSWORD_EMAIL3 = 5461
  # Constant CLIENT_CREATE_ACCOUNT3 for EMsg
  CLIENT_CREATE_ACCOUNT3 = 5462
  # Constant CLIENT_NEW_LOGIN_KEY for EMsg
  CLIENT_NEW_LOGIN_KEY = 5463
  # Constant CLIENT_NEW_LOGIN_KEY_ACCEPTED for EMsg
  CLIENT_NEW_LOGIN_KEY_ACCEPTED = 5464
  # Constant CLIENT_LOG_ON_WITH_HASH_DEPRECATED for EMsg
  CLIENT_LOG_ON_WITH_HASH_DEPRECATED = 5465
  # Constant CLIENT_STORE_USER_STATS2 for EMsg
  CLIENT_STORE_USER_STATS2 = 5466
  # Constant CLIENT_STATS_UPDATED for EMsg
  CLIENT_STATS_UPDATED = 5467
  # Constant CLIENT_ACTIVATE_OEM_LICENSE for EMsg
  CLIENT_ACTIVATE_OEM_LICENSE = 5468
  # Constant CLIENT_REGISTER_OEM_MACHINE for EMsg
  CLIENT_REGISTER_OEM_MACHINE = 5469
  # Constant CLIENT_REGISTER_OEM_MACHINE_RESPONSE for EMsg
  CLIENT_REGISTER_OEM_MACHINE_RESPONSE = 5470
  # Constant CLIENT_REQUESTED_CLIENT_STATS for EMsg
  CLIENT_REQUESTED_CLIENT_STATS = 5480
  # Constant CLIENT_STAT2_INT32 for EMsg
  CLIENT_STAT2_INT32 = 5481
  # Constant CLIENT_STAT2 for EMsg
  CLIENT_STAT2 = 5482
  # Constant CLIENT_VERIFY_PASSWORD for EMsg
  CLIENT_VERIFY_PASSWORD = 5483
  # Constant CLIENT_VERIFY_PASSWORD_RESPONSE for EMsg
  CLIENT_VERIFY_PASSWORD_RESPONSE = 5484
  # Constant CLIENT_DRM_DOWNLOAD_REQUEST for EMsg
  CLIENT_DRM_DOWNLOAD_REQUEST = 5485
  # Constant CLIENT_DRM_DOWNLOAD_RESPONSE for EMsg
  CLIENT_DRM_DOWNLOAD_RESPONSE = 5486
  # Constant CLIENT_DRM_FINAL_RESULT for EMsg
  CLIENT_DRM_FINAL_RESULT = 5487
  # Constant CLIENT_GET_FRIENDS_WHO_PLAY_GAME for EMsg
  CLIENT_GET_FRIENDS_WHO_PLAY_GAME = 5488
  # Constant CLIENT_GET_FRIENDS_WHO_PLAY_GAME_RESPONSE for EMsg
  CLIENT_GET_FRIENDS_WHO_PLAY_GAME_RESPONSE = 5489
  # Constant CLIENT_OGS_BEGIN_SESSION for EMsg
  CLIENT_OGS_BEGIN_SESSION = 5490
  # Constant CLIENT_OGS_BEGIN_SESSION_RESPONSE for EMsg
  CLIENT_OGS_BEGIN_SESSION_RESPONSE = 5491
  # Constant CLIENT_OGS_END_SESSION for EMsg
  CLIENT_OGS_END_SESSION = 5492
  # Constant CLIENT_OGS_END_SESSION_RESPONSE for EMsg
  CLIENT_OGS_END_SESSION_RESPONSE = 5493
  # Constant CLIENT_OGS_WRITE_ROW for EMsg
  CLIENT_OGS_WRITE_ROW = 5494
  # Constant CLIENT_DRM_TEST for EMsg
  CLIENT_DRM_TEST = 5495
  # Constant CLIENT_DRM_TEST_RESULT for EMsg
  CLIENT_DRM_TEST_RESULT = 5496
  # Constant CLIENT_SERVER_UNAVAILABLE for EMsg
  CLIENT_SERVER_UNAVAILABLE = 5500
  # Constant CLIENT_SERVERS_AVAILABLE for EMsg
  CLIENT_SERVERS_AVAILABLE = 5501
  # Constant CLIENT_REGISTER_AUTH_TICKET_WITH_CM for EMsg
  CLIENT_REGISTER_AUTH_TICKET_WITH_CM = 5502
  # Constant CLIENT_GC_MSG_FAILED for EMsg
  CLIENT_GC_MSG_FAILED = 5503
  # Constant CLIENT_MICRO_TXN_AUTH_REQUEST for EMsg
  CLIENT_MICRO_TXN_AUTH_REQUEST = 5504
  # Constant CLIENT_MICRO_TXN_AUTHORIZE for EMsg
  CLIENT_MICRO_TXN_AUTHORIZE = 5505
  # Constant CLIENT_MICRO_TXN_AUTHORIZE_RESPONSE for EMsg
  CLIENT_MICRO_TXN_AUTHORIZE_RESPONSE = 5506
  # Constant CLIENT_APP_MINUTES_PLAYED_DATA for EMsg
  CLIENT_APP_MINUTES_PLAYED_DATA = 5507
  # Constant CLIENT_GET_MICRO_TXN_INFO for EMsg
  CLIENT_GET_MICRO_TXN_INFO = 5508
  # Constant CLIENT_GET_MICRO_TXN_INFO_RESPONSE for EMsg
  CLIENT_GET_MICRO_TXN_INFO_RESPONSE = 5509
  # Constant CLIENT_MARKETING_MESSAGE_UPDATE2 for EMsg
  CLIENT_MARKETING_MESSAGE_UPDATE2 = 5510
  # Constant CLIENT_DEREGISTER_WITH_SERVER for EMsg
  CLIENT_DEREGISTER_WITH_SERVER = 5511
  # Constant CLIENT_SUBSCRIBE_TO_PERSONA_FEED for EMsg
  CLIENT_SUBSCRIBE_TO_PERSONA_FEED = 5512
  # Constant CLIENT_LOGON for EMsg
  CLIENT_LOGON = 5514
  # Constant CLIENT_GET_CLIENT_DETAILS for EMsg
  CLIENT_GET_CLIENT_DETAILS = 5515
  # Constant CLIENT_GET_CLIENT_DETAILS_RESPONSE for EMsg
  CLIENT_GET_CLIENT_DETAILS_RESPONSE = 5516
  # Constant CLIENT_REPORT_OVERLAY_DETOUR_FAILURE for EMsg
  CLIENT_REPORT_OVERLAY_DETOUR_FAILURE = 5517
  # Constant CLIENT_GET_CLIENT_APP_LIST for EMsg
  CLIENT_GET_CLIENT_APP_LIST = 5518
  # Constant CLIENT_GET_CLIENT_APP_LIST_RESPONSE for EMsg
  CLIENT_GET_CLIENT_APP_LIST_RESPONSE = 5519
  # Constant CLIENT_INSTALL_CLIENT_APP for EMsg
  CLIENT_INSTALL_CLIENT_APP = 5520
  # Constant CLIENT_INSTALL_CLIENT_APP_RESPONSE for EMsg
  CLIENT_INSTALL_CLIENT_APP_RESPONSE = 5521
  # Constant CLIENT_UNINSTALL_CLIENT_APP for EMsg
  CLIENT_UNINSTALL_CLIENT_APP = 5522
  # Constant CLIENT_UNINSTALL_CLIENT_APP_RESPONSE for EMsg
  CLIENT_UNINSTALL_CLIENT_APP_RESPONSE = 5523
  # Constant CLIENT_SET_CLIENT_APP_UPDATE_STATE for EMsg
  CLIENT_SET_CLIENT_APP_UPDATE_STATE = 5524
  # Constant CLIENT_SET_CLIENT_APP_UPDATE_STATE_RESPONSE for EMsg
  CLIENT_SET_CLIENT_APP_UPDATE_STATE_RESPONSE = 5525
  # Constant CLIENT_REQUEST_ENCRYPTED_APP_TICKET for EMsg
  CLIENT_REQUEST_ENCRYPTED_APP_TICKET = 5526
  # Constant CLIENT_REQUEST_ENCRYPTED_APP_TICKET_RESPONSE for EMsg
  CLIENT_REQUEST_ENCRYPTED_APP_TICKET_RESPONSE = 5527
  # Constant CLIENT_WALLET_INFO_UPDATE for EMsg
  CLIENT_WALLET_INFO_UPDATE = 5528
  # Constant CLIENT_LBS_SET_UGC for EMsg
  CLIENT_LBS_SET_UGC = 5529
  # Constant CLIENT_LBS_SET_UGC_RESPONSE for EMsg
  CLIENT_LBS_SET_UGC_RESPONSE = 5530
  # Constant CLIENT_AM_GET_CLAN_OFFICERS for EMsg
  CLIENT_AM_GET_CLAN_OFFICERS = 5531
  # Constant CLIENT_AM_GET_CLAN_OFFICERS_RESPONSE for EMsg
  CLIENT_AM_GET_CLAN_OFFICERS_RESPONSE = 5532
  # Constant CLIENT_CHECK_FILE_SIGNATURE for EMsg
  CLIENT_CHECK_FILE_SIGNATURE = 5533
  # Constant CLIENT_CHECK_FILE_SIGNATURE_RESPONSE for EMsg
  CLIENT_CHECK_FILE_SIGNATURE_RESPONSE = 5534
  # Constant CLIENT_FRIEND_PROFILE_INFO for EMsg
  CLIENT_FRIEND_PROFILE_INFO = 5535
  # Constant CLIENT_FRIEND_PROFILE_INFO_RESPONSE for EMsg
  CLIENT_FRIEND_PROFILE_INFO_RESPONSE = 5536
  # Constant CLIENT_UPDATE_MACHINE_AUTH for EMsg
  CLIENT_UPDATE_MACHINE_AUTH = 5537
  # Constant CLIENT_UPDATE_MACHINE_AUTH_RESPONSE for EMsg
  CLIENT_UPDATE_MACHINE_AUTH_RESPONSE = 5538
  # Constant CLIENT_READ_MACHINE_AUTH for EMsg
  CLIENT_READ_MACHINE_AUTH = 5539
  # Constant CLIENT_READ_MACHINE_AUTH_RESPONSE for EMsg
  CLIENT_READ_MACHINE_AUTH_RESPONSE = 5540
  # Constant CLIENT_REQUEST_MACHINE_AUTH for EMsg
  CLIENT_REQUEST_MACHINE_AUTH = 5541
  # Constant CLIENT_REQUEST_MACHINE_AUTH_RESPONSE for EMsg
  CLIENT_REQUEST_MACHINE_AUTH_RESPONSE = 5542
  # Constant CLIENT_SCREENSHOTS_CHANGED for EMsg
  CLIENT_SCREENSHOTS_CHANGED = 5543
  # Constant CLIENT_EMAIL_CHANGE4 for EMsg
  CLIENT_EMAIL_CHANGE4 = 5544
  # Constant CLIENT_EMAIL_CHANGE_RESPONSE4 for EMsg
  CLIENT_EMAIL_CHANGE_RESPONSE4 = 5545
  # Constant CLIENT_GET_CDN_AUTH_TOKEN for EMsg
  CLIENT_GET_CDN_AUTH_TOKEN = 5546
  # Constant CLIENT_GET_CDN_AUTH_TOKEN_RESPONSE for EMsg
  CLIENT_GET_CDN_AUTH_TOKEN_RESPONSE = 5547
  # Constant CLIENT_DOWNLOAD_RATE_STATISTICS for EMsg
  CLIENT_DOWNLOAD_RATE_STATISTICS = 5548
  # Constant CLIENT_REQUEST_ACCOUNT_DATA for EMsg
  CLIENT_REQUEST_ACCOUNT_DATA = 5549
  # Constant CLIENT_REQUEST_ACCOUNT_DATA_RESPONSE for EMsg
  CLIENT_REQUEST_ACCOUNT_DATA_RESPONSE = 5550
  # Constant CLIENT_RESET_FORGOTTEN_PASSWORD4 for EMsg
  CLIENT_RESET_FORGOTTEN_PASSWORD4 = 5551
  # Constant CLIENT_HIDE_FRIEND for EMsg
  CLIENT_HIDE_FRIEND = 5552
  # Constant CLIENT_FRIENDS_GROUPS_LIST for EMsg
  CLIENT_FRIENDS_GROUPS_LIST = 5553
  # Constant CLIENT_GET_CLAN_ACTIVITY_COUNTS for EMsg
  CLIENT_GET_CLAN_ACTIVITY_COUNTS = 5554
  # Constant CLIENT_GET_CLAN_ACTIVITY_COUNTS_RESPONSE for EMsg
  CLIENT_GET_CLAN_ACTIVITY_COUNTS_RESPONSE = 5555
  # Constant CLIENT_OGS_REPORT_STRING for EMsg
  CLIENT_OGS_REPORT_STRING = 5556
  # Constant CLIENT_OGS_REPORT_BUG for EMsg
  CLIENT_OGS_REPORT_BUG = 5557
  # Constant CLIENT_SENT_LOGS for EMsg
  CLIENT_SENT_LOGS = 5558
  # Constant CLIENT_LOGON_GAME_SERVER for EMsg
  CLIENT_LOGON_GAME_SERVER = 5559
  # Constant AM_CLIENT_CREATE_FRIENDS_GROUP for EMsg
  AM_CLIENT_CREATE_FRIENDS_GROUP = 5560
  # Constant AM_CLIENT_CREATE_FRIENDS_GROUP_RESPONSE for EMsg
  AM_CLIENT_CREATE_FRIENDS_GROUP_RESPONSE = 5561
  # Constant AM_CLIENT_DELETE_FRIENDS_GROUP for EMsg
  AM_CLIENT_DELETE_FRIENDS_GROUP = 5562
  # Constant AM_CLIENT_DELETE_FRIENDS_GROUP_RESPONSE for EMsg
  AM_CLIENT_DELETE_FRIENDS_GROUP_RESPONSE = 5563
  # Constant AM_CLIENT_RENAME_FRIENDS_GROUP for EMsg
  AM_CLIENT_RENAME_FRIENDS_GROUP = 5564
  # Constant AM_CLIENT_RENAME_FRIENDS_GROUP_RESPONSE for EMsg
  AM_CLIENT_RENAME_FRIENDS_GROUP_RESPONSE = 5565
  # Constant AM_CLIENT_ADD_FRIEND_TO_GROUP for EMsg
  AM_CLIENT_ADD_FRIEND_TO_GROUP = 5566
  # Constant AM_CLIENT_ADD_FRIEND_TO_GROUP_RESPONSE for EMsg
  AM_CLIENT_ADD_FRIEND_TO_GROUP_RESPONSE = 5567
  # Constant AM_CLIENT_REMOVE_FRIEND_FROM_GROUP for EMsg
  AM_CLIENT_REMOVE_FRIEND_FROM_GROUP = 5568
  # Constant AM_CLIENT_REMOVE_FRIEND_FROM_GROUP_RESPONSE for EMsg
  AM_CLIENT_REMOVE_FRIEND_FROM_GROUP_RESPONSE = 5569
  # Constant CLIENT_AM_GET_PERSONA_NAME_HISTORY for EMsg
  CLIENT_AM_GET_PERSONA_NAME_HISTORY = 5570
  # Constant CLIENT_AM_GET_PERSONA_NAME_HISTORY_RESPONSE for EMsg
  CLIENT_AM_GET_PERSONA_NAME_HISTORY_RESPONSE = 5571
  # Constant CLIENT_REQUEST_FREE_LICENSE for EMsg
  CLIENT_REQUEST_FREE_LICENSE = 5572
  # Constant CLIENT_REQUEST_FREE_LICENSE_RESPONSE for EMsg
  CLIENT_REQUEST_FREE_LICENSE_RESPONSE = 5573
  # Constant CLIENT_DRM_DOWNLOAD_REQUEST_WITH_CRASH_DATA for EMsg
  CLIENT_DRM_DOWNLOAD_REQUEST_WITH_CRASH_DATA = 5574
  # Constant CLIENT_AUTH_LIST_ACK for EMsg
  CLIENT_AUTH_LIST_ACK = 5575
  # Constant CLIENT_ITEM_ANNOUNCEMENTS for EMsg
  CLIENT_ITEM_ANNOUNCEMENTS = 5576
  # Constant CLIENT_REQUEST_ITEM_ANNOUNCEMENTS for EMsg
  CLIENT_REQUEST_ITEM_ANNOUNCEMENTS = 5577
  # Constant CLIENT_FRIEND_MSG_ECHO_TO_SENDER for EMsg
  CLIENT_FRIEND_MSG_ECHO_TO_SENDER = 5578
  # Constant CLIENT_CHANGE_STEAM_GUARD_OPTIONS for EMsg
  CLIENT_CHANGE_STEAM_GUARD_OPTIONS = 5579
  # Constant CLIENT_CHANGE_STEAM_GUARD_OPTIONS_RESPONSE for EMsg
  CLIENT_CHANGE_STEAM_GUARD_OPTIONS_RESPONSE = 5580
  # Constant CLIENT_OGS_GAME_SERVER_PING_SAMPLE for EMsg
  CLIENT_OGS_GAME_SERVER_PING_SAMPLE = 5581
  # Constant CLIENT_COMMENT_NOTIFICATIONS for EMsg
  CLIENT_COMMENT_NOTIFICATIONS = 5582
  # Constant CLIENT_REQUEST_COMMENT_NOTIFICATIONS for EMsg
  CLIENT_REQUEST_COMMENT_NOTIFICATIONS = 5583
  # Constant CLIENT_PERSONA_CHANGE_RESPONSE for EMsg
  CLIENT_PERSONA_CHANGE_RESPONSE = 5584
  # Constant CLIENT_REQUEST_WEB_API_AUTHENTICATE_USER_NONCE for EMsg
  CLIENT_REQUEST_WEB_API_AUTHENTICATE_USER_NONCE = 5585
  # Constant CLIENT_REQUEST_WEB_API_AUTHENTICATE_USER_NONCE_RESPONSE for EMsg
  CLIENT_REQUEST_WEB_API_AUTHENTICATE_USER_NONCE_RESPONSE = 5586
  # Constant CLIENT_PLAYER_NICKNAME_LIST for EMsg
  CLIENT_PLAYER_NICKNAME_LIST = 5587
  # Constant AM_CLIENT_SET_PLAYER_NICKNAME for EMsg
  AM_CLIENT_SET_PLAYER_NICKNAME = 5588
  # Constant AM_CLIENT_SET_PLAYER_NICKNAME_RESPONSE for EMsg
  AM_CLIENT_SET_PLAYER_NICKNAME_RESPONSE = 5589
  # Constant CLIENT_REQUEST_O_AUTH_TOKEN_FOR_APP for EMsg
  CLIENT_REQUEST_O_AUTH_TOKEN_FOR_APP = 5590
  # Constant CLIENT_REQUEST_O_AUTH_TOKEN_FOR_APP_RESPONSE for EMsg
  CLIENT_REQUEST_O_AUTH_TOKEN_FOR_APP_RESPONSE = 5591
  # Constant CLIENT_CREATE_ACCOUNT_PROTO for EMsg
  CLIENT_CREATE_ACCOUNT_PROTO = 5590
  # Constant CLIENT_CREATE_ACCOUNT_PROTO_RESPONSE for EMsg
  CLIENT_CREATE_ACCOUNT_PROTO_RESPONSE = 5591
  # Constant CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS_DP for EMsg
  CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS_DP = 5592
  # Constant CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS_DP_RESPONSE for EMsg
  CLIENT_GET_NUMBER_OF_CURRENT_PLAYERS_DP_RESPONSE = 5593
  # Constant CLIENT_SERVICE_METHOD for EMsg
  CLIENT_SERVICE_METHOD = 5594
  # Constant CLIENT_SERVICE_METHOD_RESPONSE for EMsg
  CLIENT_SERVICE_METHOD_RESPONSE = 5595
  # Constant CLIENT_FRIEND_USER_STATUS_PUBLISHED for EMsg
  CLIENT_FRIEND_USER_STATUS_PUBLISHED = 5596
  # Constant CLIENT_CURRENT_UI_MODE for EMsg
  CLIENT_CURRENT_UI_MODE = 5597
  # Constant CLIENT_VANITY_URL_CHANGED_NOTIFICATION for EMsg
  CLIENT_VANITY_URL_CHANGED_NOTIFICATION = 5598
  # Constant CLIENT_USER_NOTIFICATIONS for EMsg
  CLIENT_USER_NOTIFICATIONS = 5599
  # Constant BASE_DFS for EMsg
  BASE_DFS = 5600
  # Constant DFS_GET_FILE for EMsg
  DFS_GET_FILE = 5601
  # Constant DFS_INSTALL_LOCAL_FILE for EMsg
  DFS_INSTALL_LOCAL_FILE = 5602
  # Constant DFS_CONNECTION for EMsg
  DFS_CONNECTION = 5603
  # Constant DFS_CONNECTION_REPLY for EMsg
  DFS_CONNECTION_REPLY = 5604
  # Constant CLIENT_DFS_AUTHENTICATE_REQUEST for EMsg
  CLIENT_DFS_AUTHENTICATE_REQUEST = 5605
  # Constant CLIENT_DFS_AUTHENTICATE_RESPONSE for EMsg
  CLIENT_DFS_AUTHENTICATE_RESPONSE = 5606
  # Constant CLIENT_DFS_END_SESSION for EMsg
  CLIENT_DFS_END_SESSION = 5607
  # Constant DFS_PURGE_FILE for EMsg
  DFS_PURGE_FILE = 5608
  # Constant DFS_ROUTE_FILE for EMsg
  DFS_ROUTE_FILE = 5609
  # Constant DFS_GET_FILE_FROM_SERVER for EMsg
  DFS_GET_FILE_FROM_SERVER = 5610
  # Constant DFS_ACCEPTED_RESPONSE for EMsg
  DFS_ACCEPTED_RESPONSE = 5611
  # Constant DFS_REQUEST_PINGBACK for EMsg
  DFS_REQUEST_PINGBACK = 5612
  # Constant DFS_RECV_TRANSMIT_FILE for EMsg
  DFS_RECV_TRANSMIT_FILE = 5613
  # Constant DFS_SEND_TRANSMIT_FILE for EMsg
  DFS_SEND_TRANSMIT_FILE = 5614
  # Constant DFS_REQUEST_PINGBACK2 for EMsg
  DFS_REQUEST_PINGBACK2 = 5615
  # Constant DFS_RESPONSE_PINGBACK2 for EMsg
  DFS_RESPONSE_PINGBACK2 = 5616
  # Constant CLIENT_DFS_DOWNLOAD_STATUS for EMsg
  CLIENT_DFS_DOWNLOAD_STATUS = 5617
  # Constant DFS_START_TRANSFER for EMsg
  DFS_START_TRANSFER = 5618
  # Constant DFS_TRANSFER_COMPLETE for EMsg
  DFS_TRANSFER_COMPLETE = 5619
  # Constant BASE_MDS for EMsg
  BASE_MDS = 5800
  # Constant CLIENT_MDS_LOGIN_REQUEST for EMsg
  CLIENT_MDS_LOGIN_REQUEST = 5801
  # Constant CLIENT_MDS_LOGIN_RESPONSE for EMsg
  CLIENT_MDS_LOGIN_RESPONSE = 5802
  # Constant CLIENT_MDS_UPLOAD_MANIFEST_REQUEST for EMsg
  CLIENT_MDS_UPLOAD_MANIFEST_REQUEST = 5803
  # Constant CLIENT_MDS_UPLOAD_MANIFEST_RESPONSE for EMsg
  CLIENT_MDS_UPLOAD_MANIFEST_RESPONSE = 5804
  # Constant CLIENT_MDS_TRANSMIT_MANIFEST_DATA_CHUNK for EMsg
  CLIENT_MDS_TRANSMIT_MANIFEST_DATA_CHUNK = 5805
  # Constant CLIENT_MDS_HEARTBEAT for EMsg
  CLIENT_MDS_HEARTBEAT = 5806
  # Constant CLIENT_MDS_UPLOAD_DEPOT_CHUNKS for EMsg
  CLIENT_MDS_UPLOAD_DEPOT_CHUNKS = 5807
  # Constant CLIENT_MDS_UPLOAD_DEPOT_CHUNKS_RESPONSE for EMsg
  CLIENT_MDS_UPLOAD_DEPOT_CHUNKS_RESPONSE = 5808
  # Constant CLIENT_MDS_INIT_DEPOT_BUILD_REQUEST for EMsg
  CLIENT_MDS_INIT_DEPOT_BUILD_REQUEST = 5809
  # Constant CLIENT_MDS_INIT_DEPOT_BUILD_RESPONSE for EMsg
  CLIENT_MDS_INIT_DEPOT_BUILD_RESPONSE = 5810
  # Constant AM_TO_MDS_GET_DEPOT_DECRYPTION_KEY for EMsg
  AM_TO_MDS_GET_DEPOT_DECRYPTION_KEY = 5812
  # Constant MDS_TO_AM_GET_DEPOT_DECRYPTION_KEY_RESPONSE for EMsg
  MDS_TO_AM_GET_DEPOT_DECRYPTION_KEY_RESPONSE = 5813
  # Constant MDS_GET_VERSIONS_FOR_DEPOT for EMsg
  MDS_GET_VERSIONS_FOR_DEPOT = 5814
  # Constant MDS_GET_VERSIONS_FOR_DEPOT_RESPONSE for EMsg
  MDS_GET_VERSIONS_FOR_DEPOT_RESPONSE = 5815
  # Constant MDS_SET_PUBLIC_VERSION_FOR_DEPOT for EMsg
  MDS_SET_PUBLIC_VERSION_FOR_DEPOT = 5816
  # Constant MDS_SET_PUBLIC_VERSION_FOR_DEPOT_RESPONSE for EMsg
  MDS_SET_PUBLIC_VERSION_FOR_DEPOT_RESPONSE = 5817
  # Constant CLIENT_MDS_INIT_WORKSHOP_BUILD_REQUEST for EMsg
  CLIENT_MDS_INIT_WORKSHOP_BUILD_REQUEST = 5816
  # Constant CLIENT_MDS_INIT_WORKSHOP_BUILD_RESPONSE for EMsg
  CLIENT_MDS_INIT_WORKSHOP_BUILD_RESPONSE = 5817
  # Constant CLIENT_MDS_GET_DEPOT_MANIFEST for EMsg
  CLIENT_MDS_GET_DEPOT_MANIFEST = 5818
  # Constant CLIENT_MDS_GET_DEPOT_MANIFEST_RESPONSE for EMsg
  CLIENT_MDS_GET_DEPOT_MANIFEST_RESPONSE = 5819
  # Constant CLIENT_MDS_GET_DEPOT_MANIFEST_CHUNK for EMsg
  CLIENT_MDS_GET_DEPOT_MANIFEST_CHUNK = 5820
  # Constant CLIENT_MDS_UPLOAD_RATE_TEST for EMsg
  CLIENT_MDS_UPLOAD_RATE_TEST = 5823
  # Constant CLIENT_MDS_UPLOAD_RATE_TEST_RESPONSE for EMsg
  CLIENT_MDS_UPLOAD_RATE_TEST_RESPONSE = 5824
  # Constant MDS_DOWNLOAD_DEPOT_CHUNKS_ACK for EMsg
  MDS_DOWNLOAD_DEPOT_CHUNKS_ACK = 5825
  # Constant MDS_CONTENT_SERVER_STATS_BROADCAST for EMsg
  MDS_CONTENT_SERVER_STATS_BROADCAST = 5826
  # Constant MDS_CONTENT_SERVER_CONFIG_REQUEST for EMsg
  MDS_CONTENT_SERVER_CONFIG_REQUEST = 5827
  # Constant MDS_CONTENT_SERVER_CONFIG for EMsg
  MDS_CONTENT_SERVER_CONFIG = 5828
  # Constant MDS_GET_DEPOT_MANIFEST for EMsg
  MDS_GET_DEPOT_MANIFEST = 5829
  # Constant MDS_GET_DEPOT_MANIFEST_RESPONSE for EMsg
  MDS_GET_DEPOT_MANIFEST_RESPONSE = 5830
  # Constant MDS_GET_DEPOT_MANIFEST_CHUNK for EMsg
  MDS_GET_DEPOT_MANIFEST_CHUNK = 5831
  # Constant MDS_GET_DEPOT_CHUNK for EMsg
  MDS_GET_DEPOT_CHUNK = 5832
  # Constant MDS_GET_DEPOT_CHUNK_RESPONSE for EMsg
  MDS_GET_DEPOT_CHUNK_RESPONSE = 5833
  # Constant MDS_GET_DEPOT_CHUNK_CHUNK for EMsg
  MDS_GET_DEPOT_CHUNK_CHUNK = 5834
  # Constant MDS_UPDATE_CONTENT_SERVER_CONFIG for EMsg
  MDS_UPDATE_CONTENT_SERVER_CONFIG = 5835
  # Constant MDS_GET_SERVER_LIST_FOR_USER for EMsg
  MDS_GET_SERVER_LIST_FOR_USER = 5836
  # Constant MDS_GET_SERVER_LIST_FOR_USER_RESPONSE for EMsg
  MDS_GET_SERVER_LIST_FOR_USER_RESPONSE = 5837
  # Constant CLIENT_MDS_REGISTER_APP_BUILD for EMsg
  CLIENT_MDS_REGISTER_APP_BUILD = 5838
  # Constant CLIENT_MDS_REGISTER_APP_BUILD_RESPONSE for EMsg
  CLIENT_MDS_REGISTER_APP_BUILD_RESPONSE = 5839
  # Constant CLIENT_MDS_SET_APP_BUILD_LIVE for EMsg
  CLIENT_MDS_SET_APP_BUILD_LIVE = 5840
  # Constant CLIENT_MDS_SET_APP_BUILD_LIVE_RESPONSE for EMsg
  CLIENT_MDS_SET_APP_BUILD_LIVE_RESPONSE = 5841
  # Constant CLIENT_MDS_GET_PREV_DEPOT_BUILD for EMsg
  CLIENT_MDS_GET_PREV_DEPOT_BUILD = 5842
  # Constant CLIENT_MDS_GET_PREV_DEPOT_BUILD_RESPONSE for EMsg
  CLIENT_MDS_GET_PREV_DEPOT_BUILD_RESPONSE = 5843
  # Constant MDS_TO_CS_FLUSH_CHUNK for EMsg
  MDS_TO_CS_FLUSH_CHUNK = 5844
  # Constant CLIENT_MDS_SIGN_INSTALL_SCRIPT for EMsg
  CLIENT_MDS_SIGN_INSTALL_SCRIPT = 5845
  # Constant CLIENT_MDS_SIGN_INSTALL_SCRIPT_RESPONSE for EMsg
  CLIENT_MDS_SIGN_INSTALL_SCRIPT_RESPONSE = 5846
  # Constant CS_BASE for EMsg
  CS_BASE = 6200
  # Constant CS_PING for EMsg
  CS_PING = 6201
  # Constant CS_PING_RESPONSE for EMsg
  CS_PING_RESPONSE = 6202
  # Constant GMS_BASE for EMsg
  GMS_BASE = 6400
  # Constant GMS_GAME_SERVER_REPLICATE for EMsg
  GMS_GAME_SERVER_REPLICATE = 6401
  # Constant CLIENT_GMS_SERVER_QUERY for EMsg
  CLIENT_GMS_SERVER_QUERY = 6403
  # Constant GMS_CLIENT_SERVER_QUERY_RESPONSE for EMsg
  GMS_CLIENT_SERVER_QUERY_RESPONSE = 6404
  # Constant AMGMS_GAME_SERVER_UPDATE for EMsg
  AMGMS_GAME_SERVER_UPDATE = 6405
  # Constant AMGMS_GAME_SERVER_REMOVE for EMsg
  AMGMS_GAME_SERVER_REMOVE = 6406
  # Constant GAME_SERVER_OUT_OF_DATE for EMsg
  GAME_SERVER_OUT_OF_DATE = 6407
  # Constant CLIENT_AUTHORIZE_LOCAL_DEVICE_REQUEST for EMsg
  CLIENT_AUTHORIZE_LOCAL_DEVICE_REQUEST = 6501
  # Constant CLIENT_AUTHORIZE_LOCAL_DEVICE for EMsg
  CLIENT_AUTHORIZE_LOCAL_DEVICE = 6502
  # Constant CLIENT_DEAUTHORIZE_DEVICE_REQUEST for EMsg
  CLIENT_DEAUTHORIZE_DEVICE_REQUEST = 6503
  # Constant CLIENT_DEAUTHORIZE_DEVICE for EMsg
  CLIENT_DEAUTHORIZE_DEVICE = 6504
  # Constant CLIENT_USE_LOCAL_DEVICE_AUTHORIZATIONS for EMsg
  CLIENT_USE_LOCAL_DEVICE_AUTHORIZATIONS = 6505
  # Constant CLIENT_GET_AUTHORIZED_DEVICES for EMsg
  CLIENT_GET_AUTHORIZED_DEVICES = 6506
  # Constant CLIENT_GET_AUTHORIZED_DEVICES_RESPONSE for EMsg
  CLIENT_GET_AUTHORIZED_DEVICES_RESPONSE = 6507
  # Constant MMS_BASE for EMsg
  MMS_BASE = 6600
  # Constant CLIENT_MMS_CREATE_LOBBY for EMsg
  CLIENT_MMS_CREATE_LOBBY = 6601
  # Constant CLIENT_MMS_CREATE_LOBBY_RESPONSE for EMsg
  CLIENT_MMS_CREATE_LOBBY_RESPONSE = 6602
  # Constant CLIENT_MMS_JOIN_LOBBY for EMsg
  CLIENT_MMS_JOIN_LOBBY = 6603
  # Constant CLIENT_MMS_JOIN_LOBBY_RESPONSE for EMsg
  CLIENT_MMS_JOIN_LOBBY_RESPONSE = 6604
  # Constant CLIENT_MMS_LEAVE_LOBBY for EMsg
  CLIENT_MMS_LEAVE_LOBBY = 6605
  # Constant CLIENT_MMS_LEAVE_LOBBY_RESPONSE for EMsg
  CLIENT_MMS_LEAVE_LOBBY_RESPONSE = 6606
  # Constant CLIENT_MMS_GET_LOBBY_LIST for EMsg
  CLIENT_MMS_GET_LOBBY_LIST = 6607
  # Constant CLIENT_MMS_GET_LOBBY_LIST_RESPONSE for EMsg
  CLIENT_MMS_GET_LOBBY_LIST_RESPONSE = 6608
  # Constant CLIENT_MMS_SET_LOBBY_DATA for EMsg
  CLIENT_MMS_SET_LOBBY_DATA = 6609
  # Constant CLIENT_MMS_SET_LOBBY_DATA_RESPONSE for EMsg
  CLIENT_MMS_SET_LOBBY_DATA_RESPONSE = 6610
  # Constant CLIENT_MMS_GET_LOBBY_DATA for EMsg
  CLIENT_MMS_GET_LOBBY_DATA = 6611
  # Constant CLIENT_MMS_LOBBY_DATA for EMsg
  CLIENT_MMS_LOBBY_DATA = 6612
  # Constant CLIENT_MMS_SEND_LOBBY_CHAT_MSG for EMsg
  CLIENT_MMS_SEND_LOBBY_CHAT_MSG = 6613
  # Constant CLIENT_MMS_LOBBY_CHAT_MSG for EMsg
  CLIENT_MMS_LOBBY_CHAT_MSG = 6614
  # Constant CLIENT_MMS_SET_LOBBY_OWNER for EMsg
  CLIENT_MMS_SET_LOBBY_OWNER = 6615
  # Constant CLIENT_MMS_SET_LOBBY_OWNER_RESPONSE for EMsg
  CLIENT_MMS_SET_LOBBY_OWNER_RESPONSE = 6616
  # Constant CLIENT_MMS_SET_LOBBY_GAME_SERVER for EMsg
  CLIENT_MMS_SET_LOBBY_GAME_SERVER = 6617
  # Constant CLIENT_MMS_LOBBY_GAME_SERVER_SET for EMsg
  CLIENT_MMS_LOBBY_GAME_SERVER_SET = 6618
  # Constant CLIENT_MMS_USER_JOINED_LOBBY for EMsg
  CLIENT_MMS_USER_JOINED_LOBBY = 6619
  # Constant CLIENT_MMS_USER_LEFT_LOBBY for EMsg
  CLIENT_MMS_USER_LEFT_LOBBY = 6620
  # Constant CLIENT_MMS_INVITE_TO_LOBBY for EMsg
  CLIENT_MMS_INVITE_TO_LOBBY = 6621
  # Constant CLIENT_MMS_FLUSH_FRENEMY_LIST_CACHE for EMsg
  CLIENT_MMS_FLUSH_FRENEMY_LIST_CACHE = 6622
  # Constant CLIENT_MMS_FLUSH_FRENEMY_LIST_CACHE_RESPONSE for EMsg
  CLIENT_MMS_FLUSH_FRENEMY_LIST_CACHE_RESPONSE = 6623
  # Constant CLIENT_MMS_SET_LOBBY_LINKED for EMsg
  CLIENT_MMS_SET_LOBBY_LINKED = 6624
  # Constant NON_STD_MSG_BASE for EMsg
  NON_STD_MSG_BASE = 6800
  # Constant NON_STD_MSG_MEMCACHED for EMsg
  NON_STD_MSG_MEMCACHED = 6801
  # Constant NON_STD_MSG_HTTP_SERVER for EMsg
  NON_STD_MSG_HTTP_SERVER = 6802
  # Constant NON_STD_MSG_HTTP_CLIENT for EMsg
  NON_STD_MSG_HTTP_CLIENT = 6803
  # Constant NON_STD_MSG_WG_RESPONSE for EMsg
  NON_STD_MSG_WG_RESPONSE = 6804
  # Constant NON_STD_MSG_PHP_SIMULATOR for EMsg
  NON_STD_MSG_PHP_SIMULATOR = 6805
  # Constant NON_STD_MSG_CHASE for EMsg
  NON_STD_MSG_CHASE = 6806
  # Constant NON_STD_MSG_DFS_TRANSFER for EMsg
  NON_STD_MSG_DFS_TRANSFER = 6807
  # Constant NON_STD_MSG_TESTS for EMsg
  NON_STD_MSG_TESTS = 6808
  # Constant NON_STD_MSG_UM_QPIPE_AAPL for EMsg
  NON_STD_MSG_UM_QPIPE_AAPL = 6809
  # Constant NON_STD_MSG_SYSLOG for EMsg
  NON_STD_MSG_SYSLOG = 6810
  # Constant NON_STD_MSG_LOGSINK for EMsg
  NON_STD_MSG_LOGSINK = 6811
  # Constant UDS_BASE for EMsg
  UDS_BASE = 7000
  # Constant CLIENT_UDSP2_P_SESSION_STARTED for EMsg
  CLIENT_UDSP2_P_SESSION_STARTED = 7001
  # Constant CLIENT_UDSP2_P_SESSION_ENDED for EMsg
  CLIENT_UDSP2_P_SESSION_ENDED = 7002
  # Constant UDS_RENDER_USER_AUTH for EMsg
  UDS_RENDER_USER_AUTH = 7003
  # Constant UDS_RENDER_USER_AUTH_RESPONSE for EMsg
  UDS_RENDER_USER_AUTH_RESPONSE = 7004
  # Constant CLIENT_UDS_INVITE_TO_GAME for EMsg
  CLIENT_UDS_INVITE_TO_GAME = 7005
  # Constant UDS_FIND_SESSION for EMsg
  UDS_FIND_SESSION = 7006
  # Constant UDS_FIND_SESSION_RESPONSE for EMsg
  UDS_FIND_SESSION_RESPONSE = 7007
  # Constant MPAS_BASE for EMsg
  MPAS_BASE = 7100
  # Constant MPAS_VAC_BAN_RESET for EMsg
  MPAS_VAC_BAN_RESET = 7101
  # Constant KGS_BASE for EMsg
  KGS_BASE = 7200
  # Constant KGS_ALLOCATE_KEY_RANGE for EMsg
  KGS_ALLOCATE_KEY_RANGE = 7201
  # Constant KGS_ALLOCATE_KEY_RANGE_RESPONSE for EMsg
  KGS_ALLOCATE_KEY_RANGE_RESPONSE = 7202
  # Constant KGS_GENERATE_KEYS for EMsg
  KGS_GENERATE_KEYS = 7203
  # Constant KGS_GENERATE_KEYS_RESPONSE for EMsg
  KGS_GENERATE_KEYS_RESPONSE = 7204
  # Constant KGS_REMAP_KEYS for EMsg
  KGS_REMAP_KEYS = 7205
  # Constant KGS_REMAP_KEYS_RESPONSE for EMsg
  KGS_REMAP_KEYS_RESPONSE = 7206
  # Constant KGS_GENERATE_GAME_STOP_WC_KEYS for EMsg
  KGS_GENERATE_GAME_STOP_WC_KEYS = 7207
  # Constant KGS_GENERATE_GAME_STOP_WC_KEYS_RESPONSE for EMsg
  KGS_GENERATE_GAME_STOP_WC_KEYS_RESPONSE = 7208
  # Constant UCM_BASE for EMsg
  UCM_BASE = 7300
  # Constant CLIENT_UCM_ADD_SCREENSHOT for EMsg
  CLIENT_UCM_ADD_SCREENSHOT = 7301
  # Constant CLIENT_UCM_ADD_SCREENSHOT_RESPONSE for EMsg
  CLIENT_UCM_ADD_SCREENSHOT_RESPONSE = 7302
  # Constant UCM_VALIDATE_OBJECT_EXISTS for EMsg
  UCM_VALIDATE_OBJECT_EXISTS = 7303
  # Constant UCM_VALIDATE_OBJECT_EXISTS_RESPONSE for EMsg
  UCM_VALIDATE_OBJECT_EXISTS_RESPONSE = 7304
  # Constant UCM_RESET_COMMUNITY_CONTENT for EMsg
  UCM_RESET_COMMUNITY_CONTENT = 7307
  # Constant UCM_RESET_COMMUNITY_CONTENT_RESPONSE for EMsg
  UCM_RESET_COMMUNITY_CONTENT_RESPONSE = 7308
  # Constant CLIENT_UCM_DELETE_SCREENSHOT for EMsg
  CLIENT_UCM_DELETE_SCREENSHOT = 7309
  # Constant CLIENT_UCM_DELETE_SCREENSHOT_RESPONSE for EMsg
  CLIENT_UCM_DELETE_SCREENSHOT_RESPONSE = 7310
  # Constant CLIENT_UCM_PUBLISH_FILE for EMsg
  CLIENT_UCM_PUBLISH_FILE = 7311
  # Constant CLIENT_UCM_PUBLISH_FILE_RESPONSE for EMsg
  CLIENT_UCM_PUBLISH_FILE_RESPONSE = 7312
  # Constant CLIENT_UCM_GET_PUBLISHED_FILE_DETAILS for EMsg
  CLIENT_UCM_GET_PUBLISHED_FILE_DETAILS = 7313
  # Constant CLIENT_UCM_GET_PUBLISHED_FILE_DETAILS_RESPONSE for EMsg
  CLIENT_UCM_GET_PUBLISHED_FILE_DETAILS_RESPONSE = 7314
  # Constant CLIENT_UCM_DELETE_PUBLISHED_FILE for EMsg
  CLIENT_UCM_DELETE_PUBLISHED_FILE = 7315
  # Constant CLIENT_UCM_DELETE_PUBLISHED_FILE_RESPONSE for EMsg
  CLIENT_UCM_DELETE_PUBLISHED_FILE_RESPONSE = 7316
  # Constant CLIENT_UCM_ENUMERATE_USER_PUBLISHED_FILES for EMsg
  CLIENT_UCM_ENUMERATE_USER_PUBLISHED_FILES = 7317
  # Constant CLIENT_UCM_ENUMERATE_USER_PUBLISHED_FILES_RESPONSE for EMsg
  CLIENT_UCM_ENUMERATE_USER_PUBLISHED_FILES_RESPONSE = 7318
  # Constant CLIENT_UCM_SUBSCRIBE_PUBLISHED_FILE for EMsg
  CLIENT_UCM_SUBSCRIBE_PUBLISHED_FILE = 7319
  # Constant CLIENT_UCM_SUBSCRIBE_PUBLISHED_FILE_RESPONSE for EMsg
  CLIENT_UCM_SUBSCRIBE_PUBLISHED_FILE_RESPONSE = 7320
  # Constant CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES for EMsg
  CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES = 7321
  # Constant CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES_RESPONSE for EMsg
  CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES_RESPONSE = 7322
  # Constant CLIENT_UCM_UNSUBSCRIBE_PUBLISHED_FILE for EMsg
  CLIENT_UCM_UNSUBSCRIBE_PUBLISHED_FILE = 7323
  # Constant CLIENT_UCM_UNSUBSCRIBE_PUBLISHED_FILE_RESPONSE for EMsg
  CLIENT_UCM_UNSUBSCRIBE_PUBLISHED_FILE_RESPONSE = 7324
  # Constant CLIENT_UCM_UPDATE_PUBLISHED_FILE for EMsg
  CLIENT_UCM_UPDATE_PUBLISHED_FILE = 7325
  # Constant CLIENT_UCM_UPDATE_PUBLISHED_FILE_RESPONSE for EMsg
  CLIENT_UCM_UPDATE_PUBLISHED_FILE_RESPONSE = 7326
  # Constant UCM_UPDATE_PUBLISHED_FILE for EMsg
  UCM_UPDATE_PUBLISHED_FILE = 7327
  # Constant UCM_UPDATE_PUBLISHED_FILE_RESPONSE for EMsg
  UCM_UPDATE_PUBLISHED_FILE_RESPONSE = 7328
  # Constant UCM_DELETE_PUBLISHED_FILE for EMsg
  UCM_DELETE_PUBLISHED_FILE = 7329
  # Constant UCM_DELETE_PUBLISHED_FILE_RESPONSE for EMsg
  UCM_DELETE_PUBLISHED_FILE_RESPONSE = 7330
  # Constant UCM_UPDATE_PUBLISHED_FILE_STAT for EMsg
  UCM_UPDATE_PUBLISHED_FILE_STAT = 7331
  # Constant UCM_UPDATE_PUBLISHED_FILE_BAN for EMsg
  UCM_UPDATE_PUBLISHED_FILE_BAN = 7332
  # Constant UCM_UPDATE_PUBLISHED_FILE_BAN_RESPONSE for EMsg
  UCM_UPDATE_PUBLISHED_FILE_BAN_RESPONSE = 7333
  # Constant UCM_UPDATE_TAGGED_SCREENSHOT for EMsg
  UCM_UPDATE_TAGGED_SCREENSHOT = 7334
  # Constant UCM_ADD_TAGGED_SCREENSHOT for EMsg
  UCM_ADD_TAGGED_SCREENSHOT = 7335
  # Constant UCM_REMOVE_TAGGED_SCREENSHOT for EMsg
  UCM_REMOVE_TAGGED_SCREENSHOT = 7336
  # Constant UCM_RELOAD_PUBLISHED_FILE for EMsg
  UCM_RELOAD_PUBLISHED_FILE = 7337
  # Constant UCM_RELOAD_USER_FILE_LIST_CACHES for EMsg
  UCM_RELOAD_USER_FILE_LIST_CACHES = 7338
  # Constant UCM_PUBLISHED_FILE_REPORTED for EMsg
  UCM_PUBLISHED_FILE_REPORTED = 7339
  # Constant UCM_UPDATE_PUBLISHED_FILE_INCOMPATIBLE_STATUS for EMsg
  UCM_UPDATE_PUBLISHED_FILE_INCOMPATIBLE_STATUS = 7340
  # Constant UCM_PUBLISHED_FILE_PREVIEW_ADD for EMsg
  UCM_PUBLISHED_FILE_PREVIEW_ADD = 7341
  # Constant UCM_PUBLISHED_FILE_PREVIEW_ADD_RESPONSE for EMsg
  UCM_PUBLISHED_FILE_PREVIEW_ADD_RESPONSE = 7342
  # Constant UCM_PUBLISHED_FILE_PREVIEW_REMOVE for EMsg
  UCM_PUBLISHED_FILE_PREVIEW_REMOVE = 7343
  # Constant UCM_PUBLISHED_FILE_PREVIEW_REMOVE_RESPONSE for EMsg
  UCM_PUBLISHED_FILE_PREVIEW_REMOVE_RESPONSE = 7344
  # Constant UCM_PUBLISHED_FILE_PREVIEW_CHANGE_SORT_ORDER for EMsg
  UCM_PUBLISHED_FILE_PREVIEW_CHANGE_SORT_ORDER = 7345
  # Constant UCM_PUBLISHED_FILE_PREVIEW_CHANGE_SORT_ORDER_RESPONSE for EMsg
  UCM_PUBLISHED_FILE_PREVIEW_CHANGE_SORT_ORDER_RESPONSE = 7346
  # Constant CLIENT_UCM_PUBLISHED_FILE_SUBSCRIBED for EMsg
  CLIENT_UCM_PUBLISHED_FILE_SUBSCRIBED = 7347
  # Constant CLIENT_UCM_PUBLISHED_FILE_UNSUBSCRIBED for EMsg
  CLIENT_UCM_PUBLISHED_FILE_UNSUBSCRIBED = 7348
  # Constant UCM_PUBLISHED_FILE_SUBSCRIBED for EMsg
  UCM_PUBLISHED_FILE_SUBSCRIBED = 7349
  # Constant UCM_PUBLISHED_FILE_UNSUBSCRIBED for EMsg
  UCM_PUBLISHED_FILE_UNSUBSCRIBED = 7350
  # Constant UCM_PUBLISH_FILE for EMsg
  UCM_PUBLISH_FILE = 7351
  # Constant UCM_PUBLISH_FILE_RESPONSE for EMsg
  UCM_PUBLISH_FILE_RESPONSE = 7352
  # Constant UCM_PUBLISHED_FILE_CHILD_ADD for EMsg
  UCM_PUBLISHED_FILE_CHILD_ADD = 7353
  # Constant UCM_PUBLISHED_FILE_CHILD_ADD_RESPONSE for EMsg
  UCM_PUBLISHED_FILE_CHILD_ADD_RESPONSE = 7354
  # Constant UCM_PUBLISHED_FILE_CHILD_REMOVE for EMsg
  UCM_PUBLISHED_FILE_CHILD_REMOVE = 7355
  # Constant UCM_PUBLISHED_FILE_CHILD_REMOVE_RESPONSE for EMsg
  UCM_PUBLISHED_FILE_CHILD_REMOVE_RESPONSE = 7356
  # Constant UCM_PUBLISHED_FILE_CHILD_CHANGE_SORT_ORDER for EMsg
  UCM_PUBLISHED_FILE_CHILD_CHANGE_SORT_ORDER = 7357
  # Constant UCM_PUBLISHED_FILE_CHILD_CHANGE_SORT_ORDER_RESPONSE for EMsg
  UCM_PUBLISHED_FILE_CHILD_CHANGE_SORT_ORDER_RESPONSE = 7358
  # Constant UCM_PUBLISHED_FILE_PARENT_CHANGED for EMsg
  UCM_PUBLISHED_FILE_PARENT_CHANGED = 7359
  # Constant CLIENT_UCM_GET_PUBLISHED_FILES_FOR_USER for EMsg
  CLIENT_UCM_GET_PUBLISHED_FILES_FOR_USER = 7360
  # Constant CLIENT_UCM_GET_PUBLISHED_FILES_FOR_USER_RESPONSE for EMsg
  CLIENT_UCM_GET_PUBLISHED_FILES_FOR_USER_RESPONSE = 7361
  # Constant UCM_GET_PUBLISHED_FILES_FOR_USER for EMsg
  UCM_GET_PUBLISHED_FILES_FOR_USER = 7362
  # Constant UCM_GET_PUBLISHED_FILES_FOR_USER_RESPONSE for EMsg
  UCM_GET_PUBLISHED_FILES_FOR_USER_RESPONSE = 7363
  # Constant CLIENT_UCM_SET_USER_PUBLISHED_FILE_ACTION for EMsg
  CLIENT_UCM_SET_USER_PUBLISHED_FILE_ACTION = 7364
  # Constant CLIENT_UCM_SET_USER_PUBLISHED_FILE_ACTION_RESPONSE for EMsg
  CLIENT_UCM_SET_USER_PUBLISHED_FILE_ACTION_RESPONSE = 7365
  # Constant CLIENT_UCM_ENUMERATE_PUBLISHED_FILES_BY_USER_ACTION for EMsg
  CLIENT_UCM_ENUMERATE_PUBLISHED_FILES_BY_USER_ACTION = 7366
  # Constant CLIENT_UCM_ENUMERATE_PUBLISHED_FILES_BY_USER_ACTION_RESPONSE for EMsg
  CLIENT_UCM_ENUMERATE_PUBLISHED_FILES_BY_USER_ACTION_RESPONSE = 7367
  # Constant CLIENT_UCM_PUBLISHED_FILE_DELETED for EMsg
  CLIENT_UCM_PUBLISHED_FILE_DELETED = 7368
  # Constant UCM_GET_USER_SUBSCRIBED_FILES for EMsg
  UCM_GET_USER_SUBSCRIBED_FILES = 7369
  # Constant UCM_GET_USER_SUBSCRIBED_FILES_RESPONSE for EMsg
  UCM_GET_USER_SUBSCRIBED_FILES_RESPONSE = 7370
  # Constant UCM_FIX_STATS_PUBLISHED_FILE for EMsg
  UCM_FIX_STATS_PUBLISHED_FILE = 7371
  # Constant UCM_DELETE_OLD_SCREENSHOT for EMsg
  UCM_DELETE_OLD_SCREENSHOT = 7372
  # Constant UCM_DELETE_OLD_SCREENSHOT_RESPONSE for EMsg
  UCM_DELETE_OLD_SCREENSHOT_RESPONSE = 7373
  # Constant UCM_DELETE_OLD_VIDEO for EMsg
  UCM_DELETE_OLD_VIDEO = 7374
  # Constant UCM_DELETE_OLD_VIDEO_RESPONSE for EMsg
  UCM_DELETE_OLD_VIDEO_RESPONSE = 7375
  # Constant UCM_UPDATE_OLD_SCREENSHOT_PRIVACY for EMsg
  UCM_UPDATE_OLD_SCREENSHOT_PRIVACY = 7376
  # Constant UCM_UPDATE_OLD_SCREENSHOT_PRIVACY_RESPONSE for EMsg
  UCM_UPDATE_OLD_SCREENSHOT_PRIVACY_RESPONSE = 7377
  # Constant CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES_WITH_UPDATES for EMsg
  CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES_WITH_UPDATES = 7378
  # Constant CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES_WITH_UPDATES_RESPONSE for EMsg
  CLIENT_UCM_ENUMERATE_USER_SUBSCRIBED_FILES_WITH_UPDATES_RESPONSE = 7379
  # Constant UCM_PUBLISHED_FILE_CONTENT_UPDATED for EMsg
  UCM_PUBLISHED_FILE_CONTENT_UPDATED = 7380
  # Constant UCM_PUBLISHED_FILE_UPDATED for EMsg
  UCM_PUBLISHED_FILE_UPDATED = 7381
  # Constant CLIENT_WORKSHOP_ITEM_CHANGES_REQUEST for EMsg
  CLIENT_WORKSHOP_ITEM_CHANGES_REQUEST = 7382
  # Constant CLIENT_WORKSHOP_ITEM_CHANGES_RESPONSE for EMsg
  CLIENT_WORKSHOP_ITEM_CHANGES_RESPONSE = 7383
  # Constant CLIENT_WORKSHOP_ITEM_INFO_REQUEST for EMsg
  CLIENT_WORKSHOP_ITEM_INFO_REQUEST = 7384
  # Constant CLIENT_WORKSHOP_ITEM_INFO_RESPONSE for EMsg
  CLIENT_WORKSHOP_ITEM_INFO_RESPONSE = 7385
  # Constant FS_BASE for EMsg
  FS_BASE = 7500
  # Constant CLIENT_RICH_PRESENCE_UPLOAD for EMsg
  CLIENT_RICH_PRESENCE_UPLOAD = 7501
  # Constant CLIENT_RICH_PRESENCE_REQUEST for EMsg
  CLIENT_RICH_PRESENCE_REQUEST = 7502
  # Constant CLIENT_RICH_PRESENCE_INFO for EMsg
  CLIENT_RICH_PRESENCE_INFO = 7503
  # Constant FS_RICH_PRESENCE_REQUEST for EMsg
  FS_RICH_PRESENCE_REQUEST = 7504
  # Constant FS_RICH_PRESENCE_RESPONSE for EMsg
  FS_RICH_PRESENCE_RESPONSE = 7505
  # Constant FS_COMPUTE_FRENEMATRIX for EMsg
  FS_COMPUTE_FRENEMATRIX = 7506
  # Constant FS_COMPUTE_FRENEMATRIX_RESPONSE for EMsg
  FS_COMPUTE_FRENEMATRIX_RESPONSE = 7507
  # Constant FS_PLAY_STATUS_NOTIFICATION for EMsg
  FS_PLAY_STATUS_NOTIFICATION = 7508
  # Constant FS_PUBLISH_PERSONA_STATUS for EMsg
  FS_PUBLISH_PERSONA_STATUS = 7509
  # Constant FS_ADD_OR_REMOVE_FOLLOWER for EMsg
  FS_ADD_OR_REMOVE_FOLLOWER = 7510
  # Constant FS_ADD_OR_REMOVE_FOLLOWER_RESPONSE for EMsg
  FS_ADD_OR_REMOVE_FOLLOWER_RESPONSE = 7511
  # Constant FS_UPDATE_FOLLOWING_LIST for EMsg
  FS_UPDATE_FOLLOWING_LIST = 7512
  # Constant FS_COMMENT_NOTIFICATION for EMsg
  FS_COMMENT_NOTIFICATION = 7513
  # Constant FS_COMMENT_NOTIFICATION_VIEWED for EMsg
  FS_COMMENT_NOTIFICATION_VIEWED = 7514
  # Constant CLIENT_FS_GET_FOLLOWER_COUNT for EMsg
  CLIENT_FS_GET_FOLLOWER_COUNT = 7515
  # Constant CLIENT_FS_GET_FOLLOWER_COUNT_RESPONSE for EMsg
  CLIENT_FS_GET_FOLLOWER_COUNT_RESPONSE = 7516
  # Constant CLIENT_FS_GET_IS_FOLLOWING for EMsg
  CLIENT_FS_GET_IS_FOLLOWING = 7517
  # Constant CLIENT_FS_GET_IS_FOLLOWING_RESPONSE for EMsg
  CLIENT_FS_GET_IS_FOLLOWING_RESPONSE = 7518
  # Constant CLIENT_FS_ENUMERATE_FOLLOWING_LIST for EMsg
  CLIENT_FS_ENUMERATE_FOLLOWING_LIST = 7519
  # Constant CLIENT_FS_ENUMERATE_FOLLOWING_LIST_RESPONSE for EMsg
  CLIENT_FS_ENUMERATE_FOLLOWING_LIST_RESPONSE = 7520
  # Constant FS_GET_PENDING_NOTIFICATION_COUNT for EMsg
  FS_GET_PENDING_NOTIFICATION_COUNT = 7521
  # Constant FS_GET_PENDING_NOTIFICATION_COUNT_RESPONSE for EMsg
  FS_GET_PENDING_NOTIFICATION_COUNT_RESPONSE = 7522
  # Constant CLIENT_FS_OFFLINE_MESSAGE_NOTIFICATION for EMsg
  CLIENT_FS_OFFLINE_MESSAGE_NOTIFICATION = 7523
  # Constant CLIENT_FS_REQUEST_OFFLINE_MESSAGE_COUNT for EMsg
  CLIENT_FS_REQUEST_OFFLINE_MESSAGE_COUNT = 7524
  # Constant CLIENT_FS_GET_FRIEND_MESSAGE_HISTORY for EMsg
  CLIENT_FS_GET_FRIEND_MESSAGE_HISTORY = 7525
  # Constant CLIENT_FS_GET_FRIEND_MESSAGE_HISTORY_RESPONSE for EMsg
  CLIENT_FS_GET_FRIEND_MESSAGE_HISTORY_RESPONSE = 7526
  # Constant CLIENT_FS_GET_FRIEND_MESSAGE_HISTORY_FOR_OFFLINE_MESSAGES for EMsg
  CLIENT_FS_GET_FRIEND_MESSAGE_HISTORY_FOR_OFFLINE_MESSAGES = 7527
  # Constant CLIENT_FS_GET_FRIENDS_STEAM_LEVELS for EMsg
  CLIENT_FS_GET_FRIENDS_STEAM_LEVELS = 7528
  # Constant CLIENT_FS_GET_FRIENDS_STEAM_LEVELS_RESPONSE for EMsg
  CLIENT_FS_GET_FRIENDS_STEAM_LEVELS_RESPONSE = 7529
  # Constant DRM_RANGE2 for EMsg
  DRM_RANGE2 = 7600
  # Constant CEG_VERSION_SET_ENABLE_DISABLE_REQUEST for EMsg
  CEG_VERSION_SET_ENABLE_DISABLE_REQUEST = 7600
  # Constant CEG_VERSION_SET_ENABLE_DISABLE_RESPONSE for EMsg
  CEG_VERSION_SET_ENABLE_DISABLE_RESPONSE = 7601
  # Constant CEG_PROP_STATUS_DRMS_REQUEST for EMsg
  CEG_PROP_STATUS_DRMS_REQUEST = 7602
  # Constant CEG_PROP_STATUS_DRMS_RESPONSE for EMsg
  CEG_PROP_STATUS_DRMS_RESPONSE = 7603
  # Constant CEG_WHACK_FAILURE_REPORT_REQUEST for EMsg
  CEG_WHACK_FAILURE_REPORT_REQUEST = 7604
  # Constant CEG_WHACK_FAILURE_REPORT_RESPONSE for EMsg
  CEG_WHACK_FAILURE_REPORT_RESPONSE = 7605
  # Constant DRMS_FETCH_VERSION_SET for EMsg
  DRMS_FETCH_VERSION_SET = 7606
  # Constant DRMS_FETCH_VERSION_SET_RESPONSE for EMsg
  DRMS_FETCH_VERSION_SET_RESPONSE = 7607
  # Constant ECON_BASE for EMsg
  ECON_BASE = 7700
  # Constant ECON_TRADING_INITIATE_TRADE_REQUEST for EMsg
  ECON_TRADING_INITIATE_TRADE_REQUEST = 7701
  # Constant ECON_TRADING_INITIATE_TRADE_PROPOSED for EMsg
  ECON_TRADING_INITIATE_TRADE_PROPOSED = 7702
  # Constant ECON_TRADING_INITIATE_TRADE_RESPONSE for EMsg
  ECON_TRADING_INITIATE_TRADE_RESPONSE = 7703
  # Constant ECON_TRADING_INITIATE_TRADE_RESULT for EMsg
  ECON_TRADING_INITIATE_TRADE_RESULT = 7704
  # Constant ECON_TRADING_START_SESSION for EMsg
  ECON_TRADING_START_SESSION = 7705
  # Constant ECON_TRADING_CANCEL_TRADE_REQUEST for EMsg
  ECON_TRADING_CANCEL_TRADE_REQUEST = 7706
  # Constant ECON_FLUSH_INVENTORY_CACHE for EMsg
  ECON_FLUSH_INVENTORY_CACHE = 7707
  # Constant ECON_FLUSH_INVENTORY_CACHE_RESPONSE for EMsg
  ECON_FLUSH_INVENTORY_CACHE_RESPONSE = 7708
  # Constant ECON_CD_KEY_PROCESS_TRANSACTION for EMsg
  ECON_CD_KEY_PROCESS_TRANSACTION = 7711
  # Constant ECON_CD_KEY_PROCESS_TRANSACTION_RESPONSE for EMsg
  ECON_CD_KEY_PROCESS_TRANSACTION_RESPONSE = 7712
  # Constant ECON_GET_ERROR_LOGS for EMsg
  ECON_GET_ERROR_LOGS = 7713
  # Constant ECON_GET_ERROR_LOGS_RESPONSE for EMsg
  ECON_GET_ERROR_LOGS_RESPONSE = 7714
  # Constant RM_RANGE for EMsg
  RM_RANGE = 7800
  # Constant RM_TEST_VERISIGN_OTP for EMsg
  RM_TEST_VERISIGN_OTP = 7800
  # Constant RM_TEST_VERISIGN_OTP_RESPONSE for EMsg
  RM_TEST_VERISIGN_OTP_RESPONSE = 7801
  # Constant RM_DELETE_MEMCACHED_KEYS for EMsg
  RM_DELETE_MEMCACHED_KEYS = 7803
  # Constant RM_REMOTE_INVOKE for EMsg
  RM_REMOTE_INVOKE = 7804
  # Constant BAD_LOGIN_IP_LIST for EMsg
  BAD_LOGIN_IP_LIST = 7805
  # Constant UGS_BASE for EMsg
  UGS_BASE = 7900
  # Constant UGS_UPDATE_GLOBAL_STATS for EMsg
  UGS_UPDATE_GLOBAL_STATS = 7900
  # Constant CLIENT_UGS_GET_GLOBAL_STATS for EMsg
  CLIENT_UGS_GET_GLOBAL_STATS = 7901
  # Constant CLIENT_UGS_GET_GLOBAL_STATS_RESPONSE for EMsg
  CLIENT_UGS_GET_GLOBAL_STATS_RESPONSE = 7902
  # Constant STORE_BASE for EMsg
  STORE_BASE = 8000
  # Constant STORE_UPDATE_RECOMMENDATION_COUNT for EMsg
  STORE_UPDATE_RECOMMENDATION_COUNT = 8000
  # Constant UMQ_BASE for EMsg
  UMQ_BASE = 8100
  # Constant UMQ_LOGON_REQUEST for EMsg
  UMQ_LOGON_REQUEST = 8100
  # Constant UMQ_LOGON_RESPONSE for EMsg
  UMQ_LOGON_RESPONSE = 8101
  # Constant UMQ_LOGOFF_REQUEST for EMsg
  UMQ_LOGOFF_REQUEST = 8102
  # Constant UMQ_LOGOFF_RESPONSE for EMsg
  UMQ_LOGOFF_RESPONSE = 8103
  # Constant UMQ_SEND_CHAT_MESSAGE for EMsg
  UMQ_SEND_CHAT_MESSAGE = 8104
  # Constant UMQ_INCOMING_CHAT_MESSAGE for EMsg
  UMQ_INCOMING_CHAT_MESSAGE = 8105
  # Constant UMQ_POLL for EMsg
  UMQ_POLL = 8106
  # Constant UMQ_POLL_RESULTS for EMsg
  UMQ_POLL_RESULTS = 8107
  # Constant UMQ2_AM_CLIENT_MSG_BATCH for EMsg
  UMQ2_AM_CLIENT_MSG_BATCH = 8108
  # Constant UMQ_ENQUEUE_MOBILE_SALE_PROMOTIONS for EMsg
  UMQ_ENQUEUE_MOBILE_SALE_PROMOTIONS = 8109
  # Constant UMQ_ENQUEUE_MOBILE_ANNOUNCEMENTS for EMsg
  UMQ_ENQUEUE_MOBILE_ANNOUNCEMENTS = 8110
  # Constant WORKSHOP_BASE for EMsg
  WORKSHOP_BASE = 8200
  # Constant WORKSHOP_ACCEPT_TOS_REQUEST for EMsg
  WORKSHOP_ACCEPT_TOS_REQUEST = 8200
  # Constant WORKSHOP_ACCEPT_TOS_RESPONSE for EMsg
  WORKSHOP_ACCEPT_TOS_RESPONSE = 8201
  # Constant WEB_API_BASE for EMsg
  WEB_API_BASE = 8300
  # Constant WEB_API_VALIDATE_O_AUTH2_TOKEN for EMsg
  WEB_API_VALIDATE_O_AUTH2_TOKEN = 8300
  # Constant WEB_API_VALIDATE_O_AUTH2_TOKEN_RESPONSE for EMsg
  WEB_API_VALIDATE_O_AUTH2_TOKEN_RESPONSE = 8301
  # Constant WEB_API_INVALIDATE_TOKENS_FOR_ACCOUNT for EMsg
  WEB_API_INVALIDATE_TOKENS_FOR_ACCOUNT = 8302
  # Constant WEB_API_REGISTER_GC_INTERFACES for EMsg
  WEB_API_REGISTER_GC_INTERFACES = 8303
  # Constant WEB_API_INVALIDATE_O_AUTH_CLIENT_CACHE for EMsg
  WEB_API_INVALIDATE_O_AUTH_CLIENT_CACHE = 8304
  # Constant WEB_API_INVALIDATE_O_AUTH_TOKEN_CACHE for EMsg
  WEB_API_INVALIDATE_O_AUTH_TOKEN_CACHE = 8305
  # Constant BACKPACK_BASE for EMsg
  BACKPACK_BASE = 8400
  # Constant BACKPACK_ADD_TO_CURRENCY for EMsg
  BACKPACK_ADD_TO_CURRENCY = 8401
  # Constant BACKPACK_ADD_TO_CURRENCY_RESPONSE for EMsg
  BACKPACK_ADD_TO_CURRENCY_RESPONSE = 8402
  # Constant CRE_BASE for EMsg
  CRE_BASE = 8500
  # Constant CRE_RANK_BY_TREND for EMsg
  CRE_RANK_BY_TREND = 8501
  # Constant CRE_RANK_BY_TREND_RESPONSE for EMsg
  CRE_RANK_BY_TREND_RESPONSE = 8502
  # Constant CRE_ITEM_VOTE_SUMMARY for EMsg
  CRE_ITEM_VOTE_SUMMARY = 8503
  # Constant CRE_ITEM_VOTE_SUMMARY_RESPONSE for EMsg
  CRE_ITEM_VOTE_SUMMARY_RESPONSE = 8504
  # Constant CRE_RANK_BY_VOTE for EMsg
  CRE_RANK_BY_VOTE = 8505
  # Constant CRE_RANK_BY_VOTE_RESPONSE for EMsg
  CRE_RANK_BY_VOTE_RESPONSE = 8506
  # Constant CRE_UPDATE_USER_PUBLISHED_ITEM_VOTE for EMsg
  CRE_UPDATE_USER_PUBLISHED_ITEM_VOTE = 8507
  # Constant CRE_UPDATE_USER_PUBLISHED_ITEM_VOTE_RESPONSE for EMsg
  CRE_UPDATE_USER_PUBLISHED_ITEM_VOTE_RESPONSE = 8508
  # Constant CRE_GET_USER_PUBLISHED_ITEM_VOTE_DETAILS for EMsg
  CRE_GET_USER_PUBLISHED_ITEM_VOTE_DETAILS = 8509
  # Constant CRE_GET_USER_PUBLISHED_ITEM_VOTE_DETAILS_RESPONSE for EMsg
  CRE_GET_USER_PUBLISHED_ITEM_VOTE_DETAILS_RESPONSE = 8510
  # Constant CRE_ENUMERATE_PUBLISHED_FILES for EMsg
  CRE_ENUMERATE_PUBLISHED_FILES = 8511
  # Constant CRE_ENUMERATE_PUBLISHED_FILES_RESPONSE for EMsg
  CRE_ENUMERATE_PUBLISHED_FILES_RESPONSE = 8512
  # Constant CRE_PUBLISHED_FILE_VOTE_ADDED for EMsg
  CRE_PUBLISHED_FILE_VOTE_ADDED = 8513
  # Constant SECRETS_BASE for EMsg
  SECRETS_BASE = 8600
  # Constant SECRETS_REQUEST_CREDENTIAL_PAIR for EMsg
  SECRETS_REQUEST_CREDENTIAL_PAIR = 8600
  # Constant SECRETS_CREDENTIAL_PAIR_RESPONSE for EMsg
  SECRETS_CREDENTIAL_PAIR_RESPONSE = 8601
  # Constant SECRETS_REQUEST_SERVER_IDENTITY for EMsg
  SECRETS_REQUEST_SERVER_IDENTITY = 8602
  # Constant SECRETS_SERVER_IDENTITY_RESPONSE for EMsg
  SECRETS_SERVER_IDENTITY_RESPONSE = 8603
  # Constant SECRETS_UPDATE_SERVER_IDENTITIES for EMsg
  SECRETS_UPDATE_SERVER_IDENTITIES = 8604
  # Constant BOX_MONITOR_BASE for EMsg
  BOX_MONITOR_BASE = 8700
  # Constant BOX_MONITOR_REPORT_REQUEST for EMsg
  BOX_MONITOR_REPORT_REQUEST = 8700
  # Constant BOX_MONITOR_REPORT_RESPONSE for EMsg
  BOX_MONITOR_REPORT_RESPONSE = 8701
  # Constant LOGSINK_BASE for EMsg
  LOGSINK_BASE = 8800
  # Constant LOGSINK_WRITE_REPORT for EMsg
  LOGSINK_WRITE_REPORT = 8800
  # Constant PICS_BASE for EMsg
  PICS_BASE = 8900
  # Constant CLIENT_PICS_CHANGES_SINCE_REQUEST for EMsg
  CLIENT_PICS_CHANGES_SINCE_REQUEST = 8901
  # Constant CLIENT_PICS_CHANGES_SINCE_RESPONSE for EMsg
  CLIENT_PICS_CHANGES_SINCE_RESPONSE = 8902
  # Constant CLIENT_PICS_PRODUCT_INFO_REQUEST for EMsg
  CLIENT_PICS_PRODUCT_INFO_REQUEST = 8903
  # Constant CLIENT_PICS_PRODUCT_INFO_RESPONSE for EMsg
  CLIENT_PICS_PRODUCT_INFO_RESPONSE = 8904
  # Constant CLIENT_PICS_ACCESS_TOKEN_REQUEST for EMsg
  CLIENT_PICS_ACCESS_TOKEN_REQUEST = 8905
  # Constant CLIENT_PICS_ACCESS_TOKEN_RESPONSE for EMsg
  CLIENT_PICS_ACCESS_TOKEN_RESPONSE = 8906
  # Constant WORKER_PROCESS for EMsg
  WORKER_PROCESS = 9000
  # Constant WORKER_PROCESS_PING_REQUEST for EMsg
  WORKER_PROCESS_PING_REQUEST = 9000
  # Constant WORKER_PROCESS_PING_RESPONSE for EMsg
  WORKER_PROCESS_PING_RESPONSE = 9001
  # Constant WORKER_PROCESS_SHUTDOWN for EMsg
  WORKER_PROCESS_SHUTDOWN = 9002
  # Constant DRM_WORKER_PROCESS for EMsg
  DRM_WORKER_PROCESS = 9100
  # Constant DRM_WORKER_PROCESS_DRM_AND_SIGN for EMsg
  DRM_WORKER_PROCESS_DRM_AND_SIGN = 9100
  # Constant DRM_WORKER_PROCESS_DRM_AND_SIGN_RESPONSE for EMsg
  DRM_WORKER_PROCESS_DRM_AND_SIGN_RESPONSE = 9101
  # Constant DRM_WORKER_PROCESS_STEAMWORKS_INFO_REQUEST for EMsg
  DRM_WORKER_PROCESS_STEAMWORKS_INFO_REQUEST = 9102
  # Constant DRM_WORKER_PROCESS_STEAMWORKS_INFO_RESPONSE for EMsg
  DRM_WORKER_PROCESS_STEAMWORKS_INFO_RESPONSE = 9103
  # Constant DRM_WORKER_PROCESS_INSTALL_DRMDLL_REQUEST for EMsg
  DRM_WORKER_PROCESS_INSTALL_DRMDLL_REQUEST = 9104
  # Constant DRM_WORKER_PROCESS_INSTALL_DRMDLL_RESPONSE for EMsg
  DRM_WORKER_PROCESS_INSTALL_DRMDLL_RESPONSE = 9105
  # Constant DRM_WORKER_PROCESS_SECRET_ID_STRING_REQUEST for EMsg
  DRM_WORKER_PROCESS_SECRET_ID_STRING_REQUEST = 9106
  # Constant DRM_WORKER_PROCESS_SECRET_ID_STRING_RESPONSE for EMsg
  DRM_WORKER_PROCESS_SECRET_ID_STRING_RESPONSE = 9107
  # Constant DRM_WORKER_PROCESS_GET_DRM_GUIDS_FROM_FILE_REQUEST for EMsg
  DRM_WORKER_PROCESS_GET_DRM_GUIDS_FROM_FILE_REQUEST = 9108
  # Constant DRM_WORKER_PROCESS_GET_DRM_GUIDS_FROM_FILE_RESPONSE for EMsg
  DRM_WORKER_PROCESS_GET_DRM_GUIDS_FROM_FILE_RESPONSE = 9109
  # Constant DRM_WORKER_PROCESS_INSTALL_PROCESSED_FILES_REQUEST for EMsg
  DRM_WORKER_PROCESS_INSTALL_PROCESSED_FILES_REQUEST = 9110
  # Constant DRM_WORKER_PROCESS_INSTALL_PROCESSED_FILES_RESPONSE for EMsg
  DRM_WORKER_PROCESS_INSTALL_PROCESSED_FILES_RESPONSE = 9111
  # Constant DRM_WORKER_PROCESS_EXAMINE_BLOB_REQUEST for EMsg
  DRM_WORKER_PROCESS_EXAMINE_BLOB_REQUEST = 9112
  # Constant DRM_WORKER_PROCESS_EXAMINE_BLOB_RESPONSE for EMsg
  DRM_WORKER_PROCESS_EXAMINE_BLOB_RESPONSE = 9113
  # Constant DRM_WORKER_PROCESS_DESCRIBE_SECRET_REQUEST for EMsg
  DRM_WORKER_PROCESS_DESCRIBE_SECRET_REQUEST = 9114
  # Constant DRM_WORKER_PROCESS_DESCRIBE_SECRET_RESPONSE for EMsg
  DRM_WORKER_PROCESS_DESCRIBE_SECRET_RESPONSE = 9115
  # Constant DRM_WORKER_PROCESS_BACKFILL_ORIGINAL_REQUEST for EMsg
  DRM_WORKER_PROCESS_BACKFILL_ORIGINAL_REQUEST = 9116
  # Constant DRM_WORKER_PROCESS_BACKFILL_ORIGINAL_RESPONSE for EMsg
  DRM_WORKER_PROCESS_BACKFILL_ORIGINAL_RESPONSE = 9117
  # Constant DRM_WORKER_PROCESS_VALIDATE_DRMDLL_REQUEST for EMsg
  DRM_WORKER_PROCESS_VALIDATE_DRMDLL_REQUEST = 9118
  # Constant DRM_WORKER_PROCESS_VALIDATE_DRMDLL_RESPONSE for EMsg
  DRM_WORKER_PROCESS_VALIDATE_DRMDLL_RESPONSE = 9119
  # Constant DRM_WORKER_PROCESS_VALIDATE_FILE_REQUEST for EMsg
  DRM_WORKER_PROCESS_VALIDATE_FILE_REQUEST = 9120
  # Constant DRM_WORKER_PROCESS_VALIDATE_FILE_RESPONSE for EMsg
  DRM_WORKER_PROCESS_VALIDATE_FILE_RESPONSE = 9121
  # Constant DRM_WORKER_PROCESS_SPLIT_AND_INSTALL_REQUEST for EMsg
  DRM_WORKER_PROCESS_SPLIT_AND_INSTALL_REQUEST = 9122
  # Constant DRM_WORKER_PROCESS_SPLIT_AND_INSTALL_RESPONSE for EMsg
  DRM_WORKER_PROCESS_SPLIT_AND_INSTALL_RESPONSE = 9123
  # Constant DRM_WORKER_PROCESS_GET_BLOB_REQUEST for EMsg
  DRM_WORKER_PROCESS_GET_BLOB_REQUEST = 9124
  # Constant DRM_WORKER_PROCESS_GET_BLOB_RESPONSE for EMsg
  DRM_WORKER_PROCESS_GET_BLOB_RESPONSE = 9125
  # Constant DRM_WORKER_PROCESS_EVALUATE_CRASH_REQUEST for EMsg
  DRM_WORKER_PROCESS_EVALUATE_CRASH_REQUEST = 9126
  # Constant DRM_WORKER_PROCESS_EVALUATE_CRASH_RESPONSE for EMsg
  DRM_WORKER_PROCESS_EVALUATE_CRASH_RESPONSE = 9127
  # Constant DRM_WORKER_PROCESS_ANALYZE_FILE_REQUEST for EMsg
  DRM_WORKER_PROCESS_ANALYZE_FILE_REQUEST = 9128
  # Constant DRM_WORKER_PROCESS_ANALYZE_FILE_RESPONSE for EMsg
  DRM_WORKER_PROCESS_ANALYZE_FILE_RESPONSE = 9129
  # Constant DRM_WORKER_PROCESS_UNPACK_BLOB_REQUEST for EMsg
  DRM_WORKER_PROCESS_UNPACK_BLOB_REQUEST = 9130
  # Constant DRM_WORKER_PROCESS_UNPACK_BLOB_RESPONSE for EMsg
  DRM_WORKER_PROCESS_UNPACK_BLOB_RESPONSE = 9131
  # Constant DRM_WORKER_PROCESS_INSTALL_ALL_REQUEST for EMsg
  DRM_WORKER_PROCESS_INSTALL_ALL_REQUEST = 9132
  # Constant DRM_WORKER_PROCESS_INSTALL_ALL_RESPONSE for EMsg
  DRM_WORKER_PROCESS_INSTALL_ALL_RESPONSE = 9133
  # Constant TEST_WORKER_PROCESS for EMsg
  TEST_WORKER_PROCESS = 9200
  # Constant TEST_WORKER_PROCESS_LOAD_UNLOAD_MODULE_REQUEST for EMsg
  TEST_WORKER_PROCESS_LOAD_UNLOAD_MODULE_REQUEST = 9200
  # Constant TEST_WORKER_PROCESS_LOAD_UNLOAD_MODULE_RESPONSE for EMsg
  TEST_WORKER_PROCESS_LOAD_UNLOAD_MODULE_RESPONSE = 9201
  # Constant TEST_WORKER_PROCESS_SERVICE_MODULE_CALL_REQUEST for EMsg
  TEST_WORKER_PROCESS_SERVICE_MODULE_CALL_REQUEST = 9202
  # Constant TEST_WORKER_PROCESS_SERVICE_MODULE_CALL_RESPONSE for EMsg
  TEST_WORKER_PROCESS_SERVICE_MODULE_CALL_RESPONSE = 9203
  # Constant CLIENT_GET_EMOTICON_LIST for EMsg
  CLIENT_GET_EMOTICON_LIST = 9330
  # Constant CLIENT_EMOTICON_LIST for EMsg
  CLIENT_EMOTICON_LIST = 9331
  # Constant CLIENT_SHARED_LIBRARY_BASE for EMsg
  CLIENT_SHARED_LIBRARY_BASE = 9400
  # Constant CLIENT_SHARED_LICENSES_LOCK_STATUS for EMsg
  CLIENT_SHARED_LICENSES_LOCK_STATUS = 9403
  # Constant CLIENT_SHARED_LICENSES_STOP_PLAYING for EMsg
  CLIENT_SHARED_LICENSES_STOP_PLAYING = 9404
  # Constant CLIENT_SHARED_LIBRARY_LOCK_STATUS for EMsg
  CLIENT_SHARED_LIBRARY_LOCK_STATUS = 9405
  # Constant CLIENT_SHARED_LIBRARY_STOP_PLAYING for EMsg
  CLIENT_SHARED_LIBRARY_STOP_PLAYING = 9406
  # Constant CLIENT_UNLOCK_STREAMING for EMsg
  CLIENT_UNLOCK_STREAMING = 9507
  # Constant CLIENT_UNLOCK_STREAMING_RESPONSE for EMsg
  CLIENT_UNLOCK_STREAMING_RESPONSE = 9508
  # Constant CLIENT_PLAYING_SESSION_STATE for EMsg
  CLIENT_PLAYING_SESSION_STATE = 9600
  # Constant CLIENT_KICK_PLAYING_SESSION for EMsg
  CLIENT_KICK_PLAYING_SESSION = 9601
  # Constant CLIENT_BROADCAST_INIT for EMsg
  CLIENT_BROADCAST_INIT = 9700
  # Constant CLIENT_BROADCAST_FRAMES for EMsg
  CLIENT_BROADCAST_FRAMES = 9701
  # Constant CLIENT_BROADCAST_DISCONNECT for EMsg
  CLIENT_BROADCAST_DISCONNECT = 9702
  # Constant CLIENT_BROADCAST_SCREENSHOT for EMsg
  CLIENT_BROADCAST_SCREENSHOT = 9703
  # Constant CLIENT_BROADCAST_UPLOAD_CONFIG for EMsg
  CLIENT_BROADCAST_UPLOAD_CONFIG = 9704
  # Constant CLIENT_VOICE_CALL_PRE_AUTHORIZE for EMsg
  CLIENT_VOICE_CALL_PRE_AUTHORIZE = 9800
  # Constant CLIENT_VOICE_CALL_PRE_AUTHORIZE_RESPONSE for EMsg
  CLIENT_VOICE_CALL_PRE_AUTHORIZE_RESPONSE = 9801
end

