# Represents the EResult enum
class EResult
  # Data type of EResult
  DATA_TYPE = 'int'
  # Constant INVALID for EResult
  INVALID = 0
  # Constant OK for EResult
  OK = 1
  # Constant FAIL for EResult
  FAIL = 2
  # Constant NO_CONNECTION for EResult
  NO_CONNECTION = 3
  # Constant INVALID_PASSWORD for EResult
  INVALID_PASSWORD = 5
  # Constant LOGGED_IN_ELSEWHERE for EResult
  LOGGED_IN_ELSEWHERE = 6
  # Constant INVALID_PROTOCOL_VER for EResult
  INVALID_PROTOCOL_VER = 7
  # Constant INVALID_PARAM for EResult
  INVALID_PARAM = 8
  # Constant FILE_NOT_FOUND for EResult
  FILE_NOT_FOUND = 9
  # Constant BUSY for EResult
  BUSY = 10
  # Constant INVALID_STATE for EResult
  INVALID_STATE = 11
  # Constant INVALID_NAME for EResult
  INVALID_NAME = 12
  # Constant INVALID_EMAIL for EResult
  INVALID_EMAIL = 13
  # Constant DUPLICATE_NAME for EResult
  DUPLICATE_NAME = 14
  # Constant ACCESS_DENIED for EResult
  ACCESS_DENIED = 15
  # Constant TIMEOUT for EResult
  TIMEOUT = 16
  # Constant BANNED for EResult
  BANNED = 17
  # Constant ACCOUNT_NOT_FOUND for EResult
  ACCOUNT_NOT_FOUND = 18
  # Constant INVALID_STEAM_ID for EResult
  INVALID_STEAM_ID = 19
  # Constant SERVICE_UNAVAILABLE for EResult
  SERVICE_UNAVAILABLE = 20
  # Constant NOT_LOGGED_ON for EResult
  NOT_LOGGED_ON = 21
  # Constant PENDING for EResult
  PENDING = 22
  # Constant ENCRYPTION_FAILURE for EResult
  ENCRYPTION_FAILURE = 23
  # Constant INSUFFICIENT_PRIVILEGE for EResult
  INSUFFICIENT_PRIVILEGE = 24
  # Constant LIMIT_EXCEEDED for EResult
  LIMIT_EXCEEDED = 25
  # Constant REVOKED for EResult
  REVOKED = 26
  # Constant EXPIRED for EResult
  EXPIRED = 27
  # Constant ALREADY_REDEEMED for EResult
  ALREADY_REDEEMED = 28
  # Constant DUPLICATE_REQUEST for EResult
  DUPLICATE_REQUEST = 29
  # Constant ALREADY_OWNED for EResult
  ALREADY_OWNED = 30
  # Constant IP_NOT_FOUND for EResult
  IP_NOT_FOUND = 31
  # Constant PERSIST_FAILED for EResult
  PERSIST_FAILED = 32
  # Constant LOCKING_FAILED for EResult
  LOCKING_FAILED = 33
  # Constant LOGON_SESSION_REPLACED for EResult
  LOGON_SESSION_REPLACED = 34
  # Constant CONNECT_FAILED for EResult
  CONNECT_FAILED = 35
  # Constant HANDSHAKE_FAILED for EResult
  HANDSHAKE_FAILED = 36
  # Constant IO_FAILURE for EResult
  IO_FAILURE = 37
  # Constant REMOTE_DISCONNECT for EResult
  REMOTE_DISCONNECT = 38
  # Constant SHOPPING_CART_NOT_FOUND for EResult
  SHOPPING_CART_NOT_FOUND = 39
  # Constant BLOCKED for EResult
  BLOCKED = 40
  # Constant IGNORED for EResult
  IGNORED = 41
  # Constant NO_MATCH for EResult
  NO_MATCH = 42
  # Constant ACCOUNT_DISABLED for EResult
  ACCOUNT_DISABLED = 43
  # Constant SERVICE_READ_ONLY for EResult
  SERVICE_READ_ONLY = 44
  # Constant ACCOUNT_NOT_FEATURED for EResult
  ACCOUNT_NOT_FEATURED = 45
  # Constant ADMINISTRATOR_OK for EResult
  ADMINISTRATOR_OK = 46
  # Constant CONTENT_VERSION for EResult
  CONTENT_VERSION = 47
  # Constant TRY_ANOTHER_CM for EResult
  TRY_ANOTHER_CM = 48
  # Constant PASSWORD_REQUIRED_TO_KICK_SESSION for EResult
  PASSWORD_REQUIRED_TO_KICK_SESSION = 49
  # Constant ALREADY_LOGGED_IN_ELSEWHERE for EResult
  ALREADY_LOGGED_IN_ELSEWHERE = 50
  # Constant SUSPENDED for EResult
  SUSPENDED = 51
  # Constant CANCELLED for EResult
  CANCELLED = 52
  # Constant DATA_CORRUPTION for EResult
  DATA_CORRUPTION = 53
  # Constant DISK_FULL for EResult
  DISK_FULL = 54
  # Constant REMOTE_CALL_FAILED for EResult
  REMOTE_CALL_FAILED = 55
  # Constant PASSWORD_NOT_SET for EResult
  PASSWORD_NOT_SET = 56
  # Constant PASSWORD_UNSET for EResult
  PASSWORD_UNSET = 56
  # Constant EXTERNAL_ACCOUNT_UNLINKED for EResult
  EXTERNAL_ACCOUNT_UNLINKED = 57
  # Constant PSN_TICKET_INVALID for EResult
  PSN_TICKET_INVALID = 58
  # Constant EXTERNAL_ACCOUNT_ALREADY_LINKED for EResult
  EXTERNAL_ACCOUNT_ALREADY_LINKED = 59
  # Constant REMOTE_FILE_CONFLICT for EResult
  REMOTE_FILE_CONFLICT = 60
  # Constant ILLEGAL_PASSWORD for EResult
  ILLEGAL_PASSWORD = 61
  # Constant SAME_AS_PREVIOUS_VALUE for EResult
  SAME_AS_PREVIOUS_VALUE = 62
  # Constant ACCOUNT_LOGON_DENIED for EResult
  ACCOUNT_LOGON_DENIED = 63
  # Constant CANNOT_USE_OLD_PASSWORD for EResult
  CANNOT_USE_OLD_PASSWORD = 64
  # Constant INVALID_LOGIN_AUTH_CODE for EResult
  INVALID_LOGIN_AUTH_CODE = 65
  # Constant ACCOUNT_LOGON_DENIED_NO_MAIL_SENT for EResult
  ACCOUNT_LOGON_DENIED_NO_MAIL_SENT = 66
  # Constant ACCOUNT_LOGON_DENIED_NO_MAIL for EResult
  ACCOUNT_LOGON_DENIED_NO_MAIL = 66
  # Constant HARDWARE_NOT_CAPABLE_OF_IPT for EResult
  HARDWARE_NOT_CAPABLE_OF_IPT = 67
  # Constant IPT_INIT_ERROR for EResult
  IPT_INIT_ERROR = 68
  # Constant PARENTAL_CONTROL_RESTRICTED for EResult
  PARENTAL_CONTROL_RESTRICTED = 69
  # Constant FACEBOOK_QUERY_ERROR for EResult
  FACEBOOK_QUERY_ERROR = 70
  # Constant EXPIRED_LOGIN_AUTH_CODE for EResult
  EXPIRED_LOGIN_AUTH_CODE = 71
  # Constant IP_LOGIN_RESTRICTION_FAILED for EResult
  IP_LOGIN_RESTRICTION_FAILED = 72
  # Constant ACCOUNT_LOCKED for EResult
  ACCOUNT_LOCKED = 73
  # Constant ACCOUNT_LOCKED_DOWN for EResult
  ACCOUNT_LOCKED_DOWN = 73
  # Constant ACCOUNT_LOGON_DENIED_VERIFIED_EMAIL_REQUIRED for EResult
  ACCOUNT_LOGON_DENIED_VERIFIED_EMAIL_REQUIRED = 74
  # Constant NO_MATCHING_URL for EResult
  NO_MATCHING_URL = 75
  # Constant BAD_RESPONSE for EResult
  BAD_RESPONSE = 76
  # Constant REQUIRE_PASSWORD_RE_ENTRY for EResult
  REQUIRE_PASSWORD_RE_ENTRY = 77
  # Constant VALUE_OUT_OF_RANGE for EResult
  VALUE_OUT_OF_RANGE = 78
  # Constant UNEXPECTED_ERROR for EResult
  UNEXPECTED_ERROR = 79
  # Constant DISABLED for EResult
  DISABLED = 80
  # Constant INVALID_CEG_SUBMISSION for EResult
  INVALID_CEG_SUBMISSION = 81
  # Constant RESTRICTED_DEVICE for EResult
  RESTRICTED_DEVICE = 82
  # Constant REGION_LOCKED for EResult
  REGION_LOCKED = 83
  # Constant RATE_LIMIT_EXCEEDED for EResult
  RATE_LIMIT_EXCEEDED = 84
  # Constant ACCOUNT_LOGON_DENIED_NEED_TWO_FACTOR_CODE for EResult
  ACCOUNT_LOGON_DENIED_NEED_TWO_FACTOR_CODE = 85
  # Constant ACCOUNT_LOGIN_DENIED_NEED_TWO_FACTOR for EResult
  ACCOUNT_LOGIN_DENIED_NEED_TWO_FACTOR = 85
  # Constant ITEM_OR_ENTRY_HAS_BEEN_DELETED for EResult
  ITEM_OR_ENTRY_HAS_BEEN_DELETED = 86
  # Constant ITEM_DELETED for EResult
  ITEM_DELETED = 86
  # Constant ACCOUNT_LOGIN_DENIED_THROTTLE for EResult
  ACCOUNT_LOGIN_DENIED_THROTTLE = 87
  # Constant TWO_FACTOR_CODE_MISMATCH for EResult
  TWO_FACTOR_CODE_MISMATCH = 88
  # Constant TWO_FACTOR_ACTIVATION_CODE_MISMATCH for EResult
  TWO_FACTOR_ACTIVATION_CODE_MISMATCH = 89
  # Constant ACCOUNT_ASSOCIATED_TO_MULTIPLE_PLAYERS for EResult
  ACCOUNT_ASSOCIATED_TO_MULTIPLE_PLAYERS = 90
  # Constant ACCOUNT_ASSOCIATED_TO_MULTIPLE_PARTNERS for EResult
  ACCOUNT_ASSOCIATED_TO_MULTIPLE_PARTNERS = 90
  # Constant NOT_MODIFIED for EResult
  NOT_MODIFIED = 91
  # Constant NO_MOBILE_DEVICE_AVAILABLE for EResult
  NO_MOBILE_DEVICE_AVAILABLE = 92
  # Constant NO_MOBILE_DEVICE for EResult
  NO_MOBILE_DEVICE = 92
  # Constant TIME_IS_OUT_OF_SYNC for EResult
  TIME_IS_OUT_OF_SYNC = 93
  # Constant TIME_NOT_SYNCED for EResult
  TIME_NOT_SYNCED = 93
  # Constant SMS_CODE_FAILED for EResult
  SMS_CODE_FAILED = 94
  # Constant TOO_MANY_ACCOUNTS_ACCESS_THIS_RESOURCE for EResult
  TOO_MANY_ACCOUNTS_ACCESS_THIS_RESOURCE = 95
  # Constant ACCOUNT_LIMIT_EXCEEDED for EResult
  ACCOUNT_LIMIT_EXCEEDED = 95
  # Constant ACCOUNT_ACTIVITY_LIMIT_EXCEEDED for EResult
  ACCOUNT_ACTIVITY_LIMIT_EXCEEDED = 96
  # Constant PHONE_ACTIVITY_LIMIT_EXCEEDED for EResult
  PHONE_ACTIVITY_LIMIT_EXCEEDED = 97
  # Constant REFUND_TO_WALLET for EResult
  REFUND_TO_WALLET = 98
  # Constant EMAIL_SEND_FAILURE for EResult
  EMAIL_SEND_FAILURE = 99
  # Constant NOT_SETTLED for EResult
  NOT_SETTLED = 100
  # Constant NEED_CAPTCHA for EResult
  NEED_CAPTCHA = 101
  # Constant GSLT_DENIED for EResult
  GSLT_DENIED = 102
  # Constant GS_OWNER_DENIED for EResult
  GS_OWNER_DENIED = 103
  # Constant INVALID_ITEM_TYPE for EResult
  INVALID_ITEM_TYPE = 104
  # Constant IP_BANNED for EResult
  IP_BANNED = 105
  # Constant GSLT_EXPIRED for EResult
  GSLT_EXPIRED = 106
end

