# frozen_string_literal: true
module Steamd
  module Generator
    # Represents an import from the Generator
    class GeneratedImport
      def initialize(import)
        @import = import
      end

      # Import filename
      def filename
        @import[:filename]
      end

      # ERB Binding
      def erb_binding
        binding
      end
    end
  end
end
