# frozen_string_literal: true
# The root of the parsed tree
class Block < Node
  # Gets the statements in a Steam Language block
  #
  # @see ClassStatement
  # @see ImportStatement
  # @see EnumStatement
  #
  # @return Array
  def statements
    elements.map(&:statement)
  end
end
